(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    571198,      13172]
NotebookOptionsPosition[    541429,      12746]
NotebookOutlinePosition[    541873,      12765]
CellTagsIndexPosition[    541830,      12762]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"ParallelNeeds", "[", "\"\<PairwiseComparisonsNoGIDX`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{3.753648384323613*^9, 3.7536484408453693`*^9, 
  3.7824969073508463`*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"062d065d-f6ce-472f-8da1-32e86362a31c"],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"<<", " ", "PairwiseComparisonsNoGIDX`"}], ";"}],
  FontWeight->"Plain"]], "Input",
 CellChangeTimes->{3.7824969115859756`*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"14bbcb78-82fe-457b-9f96-b50513a9704e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetConnectedRandomGraph", "[", 
    RowBox[{"noVertex_", ",", " ", "noEdges_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{"noEdges", " ", "<", " ", 
      RowBox[{"(", 
       RowBox[{"noVertex", "-", "1"}], ")"}]}], ",", " ", "Null", ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "there", " ", "are", " ", "no", " ", "exists", " ", "connected", " ", 
       "graph"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"noEdges", "\[Equal]", " ", 
      RowBox[{"noVertex", "-", "1"}]}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"Graph", "[", 
      RowBox[{
       RowBox[{"Range", "[", "noVertex", "]"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"vertexSeq", " ", "=", " ", 
           RowBox[{"RandomSample", "@", 
            RowBox[{"Range", "[", "noVertex", "]"}]}]}], "}"}], ",", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"vertexSeq", "[", 
              RowBox[{"[", "#", "]"}], "]"}], " ", "\[UndirectedEdge]", "  ", 
             
             RowBox[{"vertexSeq", "[", 
              RowBox[{"[", 
               RowBox[{"#", "+", "1"}], "]"}], "]"}]}], " ", "&"}], ",", " ", 
           
           RowBox[{"Range", "[", 
            RowBox[{"noVertex", "-", "1"}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"noEdges", ">", " ", 
      RowBox[{"noVertex", "-", "1"}]}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"randomGraph", " ", "=", " ", 
         RowBox[{"RandomGraph", "[", 
          RowBox[{"{", 
           RowBox[{"noVertex", ",", "noEdges"}], "}"}], "]"}]}], "}"}], ",", 
       " ", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "@", 
           RowBox[{"ConnectedComponents", "[", "randomGraph", "]"}]}], 
          "\[Equal]", "1"}], ",", "randomGraph", ",", " ", 
         RowBox[{"GetConnectedRandomGraph", "[", 
          RowBox[{"noVertex", ",", " ", "noEdges"}], "]"}]}], "]"}]}], 
      "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753648382928104*^9, 3.753648382946102*^9}, 
   3.7536484646950283`*^9},
 CellLabel->"In[3]:=",ExpressionUUID->"ef7c421a-17e4-4d07-9048-1c269d1b7f89"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
    RowBox[{"inputMatrix_", ",", "patternMatrix_"}], "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}], ",", 
        "\[Placeholder]", ",", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], " ", "&"}], ",", " ", 
     RowBox[{"Transpose", "/@", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"inputMatrix", ",", " ", "patternMatrix"}], "}"}], "]"}]}], 
     ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[4]:=",ExpressionUUID->"9f20258c-eee6-4b30-8142-7e9effc2ee6f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MakeIrreversibleBinaryRandomMatrix", "[", 
    RowBox[{"noVertices_", ",", "noEdges_"}], "]"}], ":=", " ", 
   RowBox[{"MapIndexed", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#2", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "==", 
         RowBox[{"#2", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", "1", ",", " ", "#1"}], 
       "]"}], " ", "&"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"set", " ", "diagonal", " ", "to", " ", "1"}], " ", "*)"}], 
     RowBox[{"Normal", "@", 
      RowBox[{"AdjacencyMatrix", "@", 
       RowBox[{"GetConnectedRandomGraph", "[", 
        RowBox[{"noVertices", ",", "noEdges"}], "]"}]}]}], ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.757928460906734*^9},
 CellLabel->"In[5]:=",ExpressionUUID->"5a14d5b9-dd2d-4d2c-a409-3ba08402b05f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RandomlyIncompleteRandomlyDisturbedMatrix", "[", 
    RowBox[{"randMatrix_", ",", " ", "noOfComparisons_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"patternMatrix", " ", "=", " ", 
       RowBox[{"MakeIrreversibleBinaryRandomMatrix", "[", 
        RowBox[{
         RowBox[{"Length", "@", "randMatrix"}], ",", " ", "noOfComparisons"}],
         "]"}]}], "}"}], ",", " ", 
     RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
      RowBox[{"randMatrix", ",", " ", "patternMatrix"}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[6]:=",ExpressionUUID->"40740209-4c6e-413d-9662-e3982720560d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
   "AutoRandomlyIncompleteRandomlyDisturbedMatrix", "[", "randMatrix_", "]"}],
    ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"patternMatrix", " ", "=", " ", 
       RowBox[{"MakeIrreversibleBinaryRandomMatrix", "[", 
        RowBox[{
         RowBox[{"Length", "@", "randMatrix"}], ",", " ", 
         RowBox[{"RandomChoice", "@", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "@", "randMatrix"}], "-", "1"}], ",", " ", 
            RowBox[{"Binomial", "[", 
             RowBox[{
              RowBox[{"Length", "@", "randMatrix"}], ",", "2"}], "]"}]}], 
           "]"}]}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
      RowBox[{"randMatrix", ",", " ", "patternMatrix"}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellLabel->"In[7]:=",ExpressionUUID->"d3ecae77-5222-4fe5-a76c-4d2d2e4257e0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"AdjacencyMatrixFromPCMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"NumberQ", "@", "#"}], ",", " ", "1", ",", " ", "0"}], "]"}],
        " ", "&"}], ",", " ", "matrix", ",", " ", 
      RowBox[{"{", "2", "}"}]}], "]"}], "-", 
    RowBox[{"IdentityMatrix", "[", 
     RowBox[{"Length", "@", "matrix"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{3.757947989420772*^9},
 CellLabel->"In[8]:=",ExpressionUUID->"ddb5e883-52d3-42b1-98c4-a67f52fbd6d4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["C", "test"], " ", "=", " ", 
   RowBox[{"RandomlyIncompleteRandomlyDisturbedMatrix", "[", 
    RowBox[{
     RowBox[{"RandomMatrix", "[", 
      RowBox[{"7", ",", " ", 
       RowBox[{"RandomRankingPattern", "[", 
        RowBox[{"7", ",", " ", "9"}], "]"}], ",", " ", "1.5"}], "]"}], ",", 
     " ", "12"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753648744176811*^9, 3.75364875552089*^9}, {
  3.753649688661417*^9, 3.753649691597337*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"6c2521ae-f0b7-4af2-81f9-6cd7aacb48fc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["C", "test"], " ", "//", " ", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.753648760221958*^9, 3.753648762668748*^9}, 
   3.753649698605915*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"8c9f3741-3191-4996-aa6b-8316e9f4678b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.8017780039691671`", "\[Placeholder]", "\[Placeholder]", 
      "1.779731408349984`", "2.1987963576492913`", "\[Placeholder]"},
     {"1.2472280295163294`", "1.`", "17.487378197119163`", 
      "9.476454486780415`", "\[Placeholder]", "\[Placeholder]", 
      "1.457983249052232`"},
     {"\[Placeholder]", "0.057184100939999004`", "1.`", "\[Placeholder]", 
      "0.0758061767675159`", "\[Placeholder]", "\[Placeholder]"},
     {"\[Placeholder]", "0.10552469822917344`", "\[Placeholder]", "1.`", 
      "0.12211491175427414`", "\[Placeholder]", "0.07896292565102792`"},
     {"0.5618825376167942`", "\[Placeholder]", "13.191537189203231`", 
      "8.189008087826744`", "1.`", "0.7592863581878664`", 
      "0.6218262452625495`"},
     {"0.45479427711490705`", "\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]", "1.3170261643928747`", "1.`", "0.8035255354014514`"},
     {"\[Placeholder]", "0.6858789362978307`", "\[Placeholder]", 
      "12.664171087320677`", "1.6081662805624692`", "1.2445155205931164`", 
      "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.753648763019292*^9, 3.753649699409979*^9, 3.7537249506250973`*^9, 
   3.753800562322027*^9, 3.7556063211117764`*^9, 3.757696203444569*^9, 
   3.7576962608789663`*^9, 3.757777393268965*^9, 3.7577845533650084`*^9, 
   3.757793925409647*^9, {3.757800103691059*^9, 3.7578001610105953`*^9}, 
   3.757947653899926*^9, 3.757947754221374*^9, 3.7579478822498837`*^9, 
   3.757948037717346*^9, 3.757948303649623*^9, 3.757953773436307*^9, 
   3.7579541552404337`*^9, 3.757954320752013*^9, 3.757954541150613*^9, 
   3.7579556068608923`*^9, 3.757956183326665*^9, 3.757959394037363*^9, 
   3.757959577437387*^9, 3.75795974743727*^9, 3.757960004611189*^9, 
   3.757963293163169*^9, 3.757995358133237*^9, 3.7582872963501587`*^9, 
   3.759167708086401*^9, 3.759174464636856*^9, 3.759176476064761*^9, 
   3.7591768114715023`*^9, 3.759177372931677*^9, 3.759494596657014*^9, 
   3.759494895385441*^9, 3.759508149592195*^9, 3.759604263728477*^9, 
   3.759608983521331*^9, 3.759609219524393*^9, 3.7596093652154627`*^9, 
   3.75961134329967*^9, 3.759637663609849*^9, 3.760296244798559*^9, 
   3.7602964280919113`*^9, 3.7651178449176683`*^9, 3.782225462305812*^9, 
   3.782409434503888*^9, 3.782424117310128*^9, 3.782425584854343*^9, 
   3.782425957270516*^9, 3.782428784984209*^9, 3.782429114006516*^9, 
   3.782433717102446*^9, 3.782434089728078*^9, 3.782456173825129*^9, 
   3.782464156892145*^9, 3.782473000714529*^9, 3.782473323407201*^9, 
   3.782473580739806*^9, 3.7824755697285433`*^9, 3.7824970467112703`*^9, 
   3.78249923258908*^9, 3.782499274030308*^9, 3.782565825342984*^9, 
   3.782579241189198*^9},
 CellLabel->
  "Out[10]//MatrixForm=",ExpressionUUID->"0769e4a9-f6fe-4b56-892c-\
711094bd7ea3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MakeIrreversibleBinaryRandomMatrix", "[", 
   RowBox[{"7", ",", "18"}], "]"}], " ", "//", " ", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.755617856265546*^9, 3.7556178650233192`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"36a0968a-0081-45ed-98c9-6b2337f3f7d8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1", "1", "0", "1"},
     {"1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "1", "1"},
     {"1", "1", "1", "1", "1", "0", "1"},
     {"1", "1", "1", "1", "1", "1", "0"},
     {"0", "1", "1", "0", "1", "1", "1"},
     {"1", "1", "1", "1", "0", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.75561786536156*^9, 3.7576962034966307`*^9, 3.757696260969495*^9, 
   3.7577773933587933`*^9, 3.7577845534494543`*^9, 3.757793925514526*^9, {
   3.7578001037969513`*^9, 3.7578001610998583`*^9}, 3.75794765400208*^9, 
   3.757947754340417*^9, 3.757947882347077*^9, 3.75794803783753*^9, 
   3.7579483037477503`*^9, 3.757953773545191*^9, 3.757954155353847*^9, 
   3.7579543208763866`*^9, 3.757954541259898*^9, 3.757955606989463*^9, 
   3.7579561834548264`*^9, 3.757959394132579*^9, 3.75795957754237*^9, 
   3.7579597475572*^9, 3.757960004732677*^9, 3.757963293245668*^9, 
   3.7579953582458973`*^9, 3.758287296418119*^9, 3.759167708181028*^9, 
   3.759174464740299*^9, 3.759176476168751*^9, 3.759176811587784*^9, 
   3.759177373022087*^9, 3.759494596744751*^9, 3.759494895476883*^9, 
   3.7595081496602287`*^9, 3.759604263816465*^9, 3.7596089903817883`*^9, 
   3.7596092196467648`*^9, 3.75960936530473*^9, 3.759611343382965*^9, 
   3.7596376636923637`*^9, 3.7602962449228897`*^9, 3.760296428183707*^9, 
   3.7651178449387693`*^9, 3.7822254669651957`*^9, 3.78240943678643*^9, 
   3.78242411732635*^9, 3.7824255848677073`*^9, 3.782425957287714*^9, 
   3.782428785015809*^9, 3.782429114069851*^9, 3.78243371711987*^9, 
   3.782434089744783*^9, 3.782456173849513*^9, 3.78246415690536*^9, 
   3.78247300072823*^9, 3.782473323452786*^9, 3.782473580761471*^9, 
   3.7824755697512283`*^9, 3.782497052446254*^9, 3.782499232602519*^9, 
   3.7824992740429783`*^9, 3.7825658253556213`*^9, 3.7825792412037373`*^9},
 CellLabel->
  "Out[11]//MatrixForm=",ExpressionUUID->"cf392092-c261-4c99-955b-\
6d81408162e1"]
}, Open  ]],

Cell["\<\
===========================================================
(Generalized) Geometric Consistency \
Index\[LineSeparator]=========================================================\
==\
\>", "Text",
 CellChangeTimes->{{3.753648694431881*^9, 3.753648701586224*^9}, {
  3.753650036410014*^9, 3.7536500443613377`*^9}, {3.7536505204678288`*^9, 
  3.753650535825062*^9}, {3.7536505892396593`*^9, 3.753650608657942*^9}, {
  3.759336090070849*^9, 
  3.759336091173218*^9}},ExpressionUUID->"a961d06f-2470-46bd-9fed-\
ad62ee010190"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetErrorMatrix", "[", 
    RowBox[{"matrix_", ",", " ", "w_"}], "]"}], ":=", 
   RowBox[{"MapIndexed", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"#1", " ", "*", " ", 
       RowBox[{
        RowBox[{"w", "[", 
         RowBox[{"[", 
          RowBox[{"Last", "@", "#2"}], "]"}], "]"}], "/", 
        RowBox[{"w", "[", 
         RowBox[{"[", 
          RowBox[{"First", "@", "#2"}], "]"}], "]"}]}]}], " ", "&"}], ",", 
     " ", "matrix", ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753649355421611*^9, 3.753649372370987*^9}, {
  3.753649448406389*^9, 3.7536494925369997`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"2a338232-58c0-4e7b-9855-86a66999dbfa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GetErrorMatrix", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", 
        SubscriptBox["a", "12"], 
        SubscriptBox["a", "13"], 
        SubscriptBox["a", "14"], 
        SubscriptBox["a", "14"]},
       {
        SubscriptBox["a", "21"], "1", 
        SubscriptBox["a", "23"], 
        SubscriptBox["a", "24"], 
        SubscriptBox["a", "25"]},
       {
        SubscriptBox["a", "31"], 
        SubscriptBox["a", "32"], "1", 
        SubscriptBox["a", "34"], 
        SubscriptBox["a", "35"]},
       {
        SubscriptBox["a", "41"], 
        SubscriptBox["a", "42"], 
        SubscriptBox["a", "43"], "1", 
        SubscriptBox["a", "45"]},
       {
        SubscriptBox["a", "51"], 
        SubscriptBox["a", "52"], 
        SubscriptBox["a", "53"], 
        SubscriptBox["a", "54"], "1"}
      }], "\[NoBreak]", ")"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["w", "1"], ",", 
      SubscriptBox["w", "2"], ",", 
      SubscriptBox["w", "3"], ",", 
      SubscriptBox["w", "4"], ",", 
      SubscriptBox["w", "5"]}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",\

 CellChangeTimes->{{3.753649147655344*^9, 3.7536493150994673`*^9}, {
   3.753649376617879*^9, 3.753649379460504*^9}, 3.7536494717386713`*^9},
 CellLabel->"In[13]:=",ExpressionUUID->"1b0723c7-8ab5-4884-bcf8-df079e1e32bf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "12"], " ", 
        SubscriptBox["w", "2"]}], 
       SubscriptBox["w", "1"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "13"], " ", 
        SubscriptBox["w", "3"]}], 
       SubscriptBox["w", "1"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "14"], " ", 
        SubscriptBox["w", "4"]}], 
       SubscriptBox["w", "1"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "14"], " ", 
        SubscriptBox["w", "5"]}], 
       SubscriptBox["w", "1"]]},
     {
      FractionBox[
       RowBox[{
        SubscriptBox["a", "21"], " ", 
        SubscriptBox["w", "1"]}], 
       SubscriptBox["w", "2"]], "1", 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "23"], " ", 
        SubscriptBox["w", "3"]}], 
       SubscriptBox["w", "2"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "24"], " ", 
        SubscriptBox["w", "4"]}], 
       SubscriptBox["w", "2"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "25"], " ", 
        SubscriptBox["w", "5"]}], 
       SubscriptBox["w", "2"]]},
     {
      FractionBox[
       RowBox[{
        SubscriptBox["a", "31"], " ", 
        SubscriptBox["w", "1"]}], 
       SubscriptBox["w", "3"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "32"], " ", 
        SubscriptBox["w", "2"]}], 
       SubscriptBox["w", "3"]], "1", 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "34"], " ", 
        SubscriptBox["w", "4"]}], 
       SubscriptBox["w", "3"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "35"], " ", 
        SubscriptBox["w", "5"]}], 
       SubscriptBox["w", "3"]]},
     {
      FractionBox[
       RowBox[{
        SubscriptBox["a", "41"], " ", 
        SubscriptBox["w", "1"]}], 
       SubscriptBox["w", "4"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "42"], " ", 
        SubscriptBox["w", "2"]}], 
       SubscriptBox["w", "4"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "43"], " ", 
        SubscriptBox["w", "3"]}], 
       SubscriptBox["w", "4"]], "1", 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "45"], " ", 
        SubscriptBox["w", "5"]}], 
       SubscriptBox["w", "4"]]},
     {
      FractionBox[
       RowBox[{
        SubscriptBox["a", "51"], " ", 
        SubscriptBox["w", "1"]}], 
       SubscriptBox["w", "5"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "52"], " ", 
        SubscriptBox["w", "2"]}], 
       SubscriptBox["w", "5"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "53"], " ", 
        SubscriptBox["w", "3"]}], 
       SubscriptBox["w", "5"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["a", "54"], " ", 
        SubscriptBox["w", "4"]}], 
       SubscriptBox["w", "5"]], "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7537249507277403`*^9, 3.7538005624153852`*^9, 3.755606329159589*^9, 
   3.7576962035725937`*^9, 3.757696261038073*^9, 3.757777393453416*^9, 
   3.757784553544231*^9, 3.7577939256253223`*^9, {3.757800103906489*^9, 
   3.7578001611939163`*^9}, 3.757947654103812*^9, 3.757947754472529*^9, 
   3.7579478824738483`*^9, 3.7579480379605837`*^9, 3.757948303842688*^9, 
   3.757953773648328*^9, 3.757954155469194*^9, 3.757954320996367*^9, 
   3.757954541376151*^9, 3.7579556071040707`*^9, 3.757956183572489*^9, 
   3.7579593942398243`*^9, 3.7579595776640253`*^9, 3.757959747673149*^9, 
   3.75796000485356*^9, 3.7579632933637943`*^9, 3.757995358343412*^9, 
   3.758287296487878*^9, 3.759167708288888*^9, 3.759174464844727*^9, 
   3.759176476272849*^9, 3.759176811691122*^9, 3.759177373107358*^9, 
   3.759494596831069*^9, 3.759494895564324*^9, 3.759508149750454*^9, 
   3.759604263902544*^9, 3.759609219766411*^9, 3.759609365369341*^9, 
   3.759611343446312*^9, 3.7596376637864647`*^9, 3.760296245039122*^9, 
   3.760296428265465*^9, 3.765117845001615*^9, 3.78222548453526*^9, 
   3.782409443360591*^9, 3.782424117391075*^9, 3.7824255849246817`*^9, 
   3.782425957352887*^9, 3.782428785093088*^9, 3.782429114147468*^9, 
   3.782433717189013*^9, 3.782434089815895*^9, 3.782456173916297*^9, 
   3.782464156988958*^9, 3.782473000792045*^9, 3.7824733235096416`*^9, 
   3.782473580825714*^9, 3.782475569825142*^9, 3.78249705991995*^9, 
   3.782499232670142*^9, 3.782499274121564*^9, 3.782565825422288*^9, 
   3.782579241267117*^9},
 CellLabel->
  "Out[13]//MatrixForm=",ExpressionUUID->"41826a40-a2ab-4be0-b1d1-\
a77a3ce8da3f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetGMMErrorMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"NumberQ", "@", "#"}], ",", " ", "#", ",", " ", 
        "\[Placeholder]"}], "]"}], " ", "&"}], ",", " ", 
     RowBox[{"GetErrorMatrix", "[", 
      RowBox[{"matrix", ",", " ", 
       RowBox[{"GMM", "@", "matrix"}]}], "]"}], ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753648772234168*^9, 3.7536490094290457`*^9}, {
   3.753649431193734*^9, 3.753649437242278*^9}, {3.753649537427743*^9, 
   3.753649680862857*^9}, 3.78222548954198*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"715ef334-f366-4d89-b247-9a003f897ab7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"GetGMMErrorMatrix", "[", 
   SubscriptBox["C", "test"], "]"}], " ", "//", " ", "MatrixForm"}]], "Input",\

 CellChangeTimes->{{3.7536497042805443`*^9, 3.753649716857534*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"38107bb5-a51b-4063-88b2-4e7052f4dead"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.777825906587146`", "\[Placeholder]", "\[Placeholder]", 
      "0.9788120647605317`", "1.3134643278872165`", "\[Placeholder]"},
     {"1.2856347307685903`", "1.`", "0.8669078579517714`", 
      "0.7413773291754506`", "\[Placeholder]", "\[Placeholder]", 
      "1.2102362658193055`"},
     {"\[Placeholder]", "1.1535251305285006`", "1.`", "\[Placeholder]", 
      "0.8669078579517708`", "\[Placeholder]", "\[Placeholder]"},
     {"\[Placeholder]", "1.3488408137758756`", "\[Placeholder]", "1.`", 
      "0.8848952468779203`", "\[Placeholder]", "0.8378136641497078`"},
     {"1.0216465816087503`", "\[Placeholder]", "1.1535251305285013`", 
      "1.1300772645442398`", "1.`", "0.8246962536400523`", 
      "0.9104793368324435`"},
     {"0.7613453816507968`", "\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]", "1.212567652133971`", "1.`", "1.0832091104984356`"},
     {"\[Placeholder]", "0.8262849397617583`", "\[Placeholder]", 
      "1.193582824905218`", "1.098322564330783`", "0.9231827818913495`", "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.753649711709507*^9, 3.753649717213084*^9}, 
   3.753724950873087*^9, 3.753800562512165*^9, 3.755606334220462*^9, 
   3.757696203645095*^9, 3.7576962611513*^9, 3.757777393552989*^9, 
   3.757784553649152*^9, 3.757793925760974*^9, {3.757800104025218*^9, 
   3.757800161288498*^9}, 3.757947654229004*^9, 3.757947754637398*^9, 
   3.757947882587716*^9, 3.7579480380963*^9, 3.757948303938238*^9, 
   3.7579537737542477`*^9, 3.757954155577553*^9, 3.7579543211139936`*^9, 
   3.7579545414746*^9, 3.757955607226873*^9, 3.757956183692891*^9, 
   3.7579593943373137`*^9, 3.7579595778975887`*^9, 3.757959747790522*^9, 
   3.7579600049771013`*^9, 3.7579632934781733`*^9, 3.757995358452462*^9, 
   3.758287296609921*^9, 3.759167708434742*^9, 3.759174464968296*^9, 
   3.7591764763898287`*^9, 3.759176811801133*^9, 3.759177373199772*^9, 
   3.7594945969699907`*^9, 3.759494895676271*^9, 3.759508150447557*^9, 
   3.759604263984975*^9, 3.759609219902714*^9, 3.759609365452812*^9, 
   3.759611343535467*^9, 3.759637663970866*^9, 3.760296245182403*^9, 
   3.760296428369069*^9, 3.765117845066402*^9, 3.782225491624197*^9, 
   3.7824094488300037`*^9, 3.7824241174947567`*^9, 3.782425585019516*^9, 
   3.78242595745129*^9, 3.7824287852126093`*^9, 3.782429114224763*^9, 
   3.782433717310153*^9, 3.782434090379731*^9, 3.7824561740248404`*^9, 
   3.782464157129301*^9, 3.782473000897896*^9, 3.782473323565896*^9, 
   3.782473580929592*^9, 3.782475569932147*^9, 3.782497062934926*^9, 
   3.782499232762022*^9, 3.7824992742278347`*^9, 3.782565825497733*^9, 
   3.78257924137484*^9},
 CellLabel->
  "Out[15]//MatrixForm=",ExpressionUUID->"83685ce9-0d69-41f9-af5d-\
69d61e9a7c0a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"UpperTriangularizeToUndef", "[", "matrix_", "]"}], ":=", 
   RowBox[{"MapIndexed", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"First", "@", "#2"}], " ", "\[GreaterEqual]", " ", 
         RowBox[{"Last", "@", "#2"}]}], ",", " ", "\[Placeholder]", ",", " ", 
        "#1"}], "]"}], " ", "&"}], ",", " ", "matrix", ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.75364996559031*^9, 3.75365000413308*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"dc83daa2-de53-4fac-b370-11e4a1e2a5fa"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"UpperTriangularizeToUndef", "@", " ", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       SubscriptBox["a", "12"], 
       SubscriptBox["a", "13"], 
       SubscriptBox["a", "14"], 
       SubscriptBox["a", "14"]},
      {
       SubscriptBox["a", "21"], "1", 
       SubscriptBox["a", "23"], 
       SubscriptBox["a", "24"], 
       SubscriptBox["a", "25"]},
      {
       SubscriptBox["a", "31"], 
       SubscriptBox["a", "32"], "1", 
       SubscriptBox["a", "34"], 
       SubscriptBox["a", "35"]},
      {
       SubscriptBox["a", "41"], 
       SubscriptBox["a", "42"], 
       SubscriptBox["a", "43"], "1", 
       SubscriptBox["a", "45"]},
      {
       SubscriptBox["a", "51"], 
       SubscriptBox["a", "52"], 
       SubscriptBox["a", "53"], 
       SubscriptBox["a", "54"], "1"}
     }], "\[NoBreak]", ")"}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.753649877532714*^9, 3.75364994894059*^9}, {
  3.753650013236281*^9, 3.7536500263918324`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"00893386-ae21-485f-8127-e9e7ec864fa5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\[Placeholder]", 
      SubscriptBox["a", "12"], 
      SubscriptBox["a", "13"], 
      SubscriptBox["a", "14"], 
      SubscriptBox["a", "14"]},
     {"\[Placeholder]", "\[Placeholder]", 
      SubscriptBox["a", "23"], 
      SubscriptBox["a", "24"], 
      SubscriptBox["a", "25"]},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
      SubscriptBox["a", "34"], 
      SubscriptBox["a", "35"]},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
      
      SubscriptBox["a", "45"]},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.753649891315488*^9, 3.753649896318839*^9}, {
   3.753649939018824*^9, 3.753649950275578*^9}, {3.7536500217940598`*^9, 
   3.753650026704067*^9}, 3.753724951108932*^9, 3.753800562598037*^9, 
   3.755606338655211*^9, 3.757696203726899*^9, 3.75769626123703*^9, 
   3.757777393651698*^9, 3.757784553726831*^9, 3.757793925859508*^9, {
   3.757800104124714*^9, 3.757800161378296*^9}, 3.757947654345326*^9, 
   3.757947754777423*^9, 3.7579478827021637`*^9, 3.7579480382238827`*^9, 
   3.757948304471448*^9, 3.757953773849228*^9, 3.757954155682452*^9, 
   3.757954321233986*^9, 3.757954541613675*^9, 3.757955607343169*^9, 
   3.757956183810149*^9, 3.757959394437806*^9, 3.75795957801991*^9, 
   3.757959747907865*^9, 3.757960005089077*^9, 3.75796329358755*^9, 
   3.757995358555951*^9, 3.758287296694837*^9, 3.759167708548181*^9, 
   3.759174465068266*^9, 3.759176476484025*^9, 3.759176811899559*^9, 
   3.7591773732804317`*^9, 3.759494597072311*^9, 3.759494895761726*^9, 
   3.759508153102901*^9, 3.7596042640675*^9, 3.75960922003053*^9, 
   3.759609365533058*^9, 3.759611343611157*^9, 3.7596376641040792`*^9, 
   3.7602962452984056`*^9, 3.760296428445384*^9, 3.7651178451294403`*^9, 
   3.7822254961570053`*^9, 3.78240945025721*^9, 3.782424117554537*^9, 
   3.782425585069282*^9, 3.7824259575116*^9, 3.782428785283413*^9, 
   3.782429114299651*^9, 3.7824337173823853`*^9, 3.782434090440879*^9, 
   3.782456174088925*^9, 3.782464157210362*^9, 3.7824730009587507`*^9, 
   3.7824733236235332`*^9, 3.782473580991547*^9, 3.782475569996814*^9, 
   3.782497066795272*^9, 3.782499232823081*^9, 3.782499274285452*^9, 
   3.78256582556726*^9, 3.782579241435985*^9},
 CellLabel->
  "Out[17]//MatrixForm=",ExpressionUUID->"12b39275-64d4-4292-bdaa-\
c0ddee8fa8c0"]
}, Open  ]],

Cell["Generalized consistency index", "Text",
 CellChangeTimes->{{3.753650494211227*^9, 
  3.753650509330755*^9}},ExpressionUUID->"6a048541-c281-431f-a0a0-\
bac1a68a650e"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"GCI", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Mean", "@", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"Log", "@", "#"}], ")"}], "2"], " ", "&"}], ",", " ", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Flatten", "@", 
         RowBox[{"UpperTriangularizeToUndef", "@", "matrix"}]}], ",", " ", 
        RowBox[{
         RowBox[{"NumberQ", "@", "#"}], "&"}]}], "]"}]}], "]"}]}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.753650062596547*^9, 3.753650207716496*^9}, {
   3.753650325223031*^9, 3.753650384387648*^9}, {3.75365041870203*^9, 
   3.7536504464761868`*^9}, 3.757784142512217*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"692c0b99-c8c3-4225-8184-9dd7087f77fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GCIv1", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Mean", "@", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"Log", "@", "#"}], ")"}], "2"], " ", "&"}], ",", " ", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Flatten", "@", 
         RowBox[{"UpperTriangularizeToUndef", "@", 
          RowBox[{"GetGMMErrorMatrix", "@", "matrix"}]}]}], ",", " ", 
        RowBox[{
         RowBox[{"NumberQ", "@", "#"}], "&"}]}], "]"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.757784134831462*^9, 3.757784176004573*^9}, 
   3.7577842177245502`*^9, 3.757794004028702*^9, 3.75794231052673*^9, {
   3.7822255100385323`*^9, 3.782225510153493*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"b24a858e-2feb-416e-ace9-67ed7326e34e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GCIv2", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", 
       RowBox[{"Length", "@", "matrix"}]}], "}"}], ",", 
     RowBox[{
      FractionBox["2", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "1"}], ")"}], 
        RowBox[{"(", 
         RowBox[{"n", "-", "2"}], ")"}]}]], 
      RowBox[{"Plus", "@@", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"Log", "@", "#"}], ")"}], "2"], " ", "&"}], ",", " ", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Flatten", "@", 
            RowBox[{"UpperTriangularizeToUndef", "@", 
             RowBox[{"GetGMMErrorMatrix", "@", "matrix"}]}]}], ",", " ", 
           RowBox[{
            RowBox[{"NumberQ", "@", "#"}], "&"}]}], "]"}]}], "]"}]}]}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759336205560739*^9, 3.759336292770124*^9}, {
  3.759336333880631*^9, 3.759336345985805*^9}, {3.782225513839946*^9, 
  3.78222553161585*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"6496e9ce-56d8-48b0-a0ec-88a43da714cd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GCIv2", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{{3.753650455262743*^9, 3.7536504598419847`*^9}, 
   3.757794009225156*^9, 3.757942351338088*^9, 3.759336307037222*^9, {
   3.7593363530046387`*^9, 3.759336356469653*^9}, {3.7822255187786903`*^9, 
   3.782225519627437*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"85294013-ddb7-45ef-b14d-4bb0bc45e5dd"],

Cell[BoxData["0.02688604979115901`"], "Output",
 CellChangeTimes->{
  3.753650460394249*^9, 3.75372495154535*^9, 3.7538005626971617`*^9, 
   3.755606344670401*^9, 3.757696203795083*^9, 3.757696261315322*^9, 
   3.7577773937359247`*^9, 3.757784182210544*^9, 3.757784222468021*^9, 
   3.757784553826833*^9, 3.757793925976262*^9, 3.7577940119512672`*^9, {
   3.757800104240198*^9, 3.757800161493772*^9}, 3.757942352368361*^9, 
   3.757947654479475*^9, 3.757947754919318*^9, 3.757947882841276*^9, 
   3.757948038367106*^9, 3.757948304739644*^9, 3.757953773970771*^9, 
   3.757954155809273*^9, 3.757954321368659*^9, 3.757954541746957*^9, 
   3.757955607494074*^9, 3.7579561839430237`*^9, 3.757959394589373*^9, 
   3.757959578134335*^9, 3.75795974804569*^9, 3.757960005226541*^9, 
   3.757963293714572*^9, 3.7579953586703453`*^9, 3.758287296771542*^9, 
   3.759167708667502*^9, 3.759174465171433*^9, 3.759176476599699*^9, 
   3.7591768120197563`*^9, 3.759177373383151*^9, 3.759336307957286*^9, {
   3.75933634328456*^9, 3.759336357208308*^9}, 3.759494597189548*^9, 
   3.759494896524538*^9, 3.759508153264255*^9, 3.7596042641687098`*^9, 
   3.759609220169209*^9, 3.759609365632392*^9, 3.759611343711904*^9, 
   3.759637664686915*^9, 3.760296245431069*^9, 3.7602964285350237`*^9, 
   3.765117845245615*^9, {3.7822255205894613`*^9, 3.78222553423396*^9}, 
   3.782409458362434*^9, 3.782424117643375*^9, 3.7824255851701717`*^9, 
   3.7824259576028557`*^9, 3.782428785389249*^9, 3.78242911439067*^9, 
   3.782433717510664*^9, 3.782434090761359*^9, 3.782456174217018*^9, 
   3.782464157339026*^9, 3.78247300104888*^9, 3.782473323695416*^9, 
   3.78247358111904*^9, 3.782475570118559*^9, 3.782497077164583*^9, 
   3.7824992329052763`*^9, 3.782499274406301*^9, 3.782565825650958*^9, 
   3.782579241551878*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"01211876-8e6a-447b-8620-78166df3a138"]
}, Open  ]],

Cell["\<\
===========================================================
(Generalized) Koczkodaj Index
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753650577563319*^9, 3.7536506194471283`*^9}, {
  3.753650702091199*^9, 
  3.753650704137285*^9}},ExpressionUUID->"f1742098-427b-4075-ac4f-\
776b5aa44aa7"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"KoczkodajTriadIndex", "[", 
    RowBox[{"matrix_", ",", " ", "triad_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", " ", "=", " ", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
       RowBox[{"k", "=", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
       RowBox[{"j", "=", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a", "=", 
          RowBox[{"matrix", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "k"}], "]"}], "]"}]}], ",", " ", 
         RowBox[{"b", "=", 
          RowBox[{"matrix", "[", 
           RowBox[{"[", 
            RowBox[{"k", ",", "j"}], "]"}], "]"}]}], ",", " ", 
         RowBox[{"c", "=", 
          RowBox[{"matrix", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"1", "-", 
           FractionBox[
            RowBox[{"a", "*", "b"}], "c"]}], "]"}], ",", 
         RowBox[{"Abs", "[", 
          RowBox[{"1", "-", 
           FractionBox["c", 
            RowBox[{"a", "*", "b"}]]}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.753650750641337*^9, 3.753650758121011*^9}, {
  3.7536508640927*^9, 3.753651108556876*^9}, {3.75365135686453*^9, 
  3.753651410897273*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"fc980d77-cfcf-45b5-956a-6a93dbbb90ed"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"KoczkodajTupleIndex", "[", 
    RowBox[{"matrix_", ",", " ", "tuple_"}], "]"}], ":=", 
   RowBox[{"Min", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{"matrix", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"tuple", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"tuple", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ",", 
          " ", 
          RowBox[{"{", 
           RowBox[{"i", ",", " ", "1", ",", " ", 
            RowBox[{
             RowBox[{"Length", "@", "tuple"}], "-", "1"}]}], "}"}]}], "]"}], 
        "/", 
        RowBox[{"matrix", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"tuple", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "  ", 
           RowBox[{"tuple", "[", 
            RowBox[{"[", 
             RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}], "]"}], ",",
      " ", 
     RowBox[{"Abs", "[", 
      RowBox[{"1", "-", 
       RowBox[{
        RowBox[{"matrix", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"tuple", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "  ", 
           RowBox[{"tuple", "[", 
            RowBox[{"[", 
             RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "]"}], "/", 
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{"matrix", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{"tuple", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{"tuple", "[", 
              RowBox[{"[", 
               RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ",", 
          " ", 
          RowBox[{"{", 
           RowBox[{"i", ",", " ", "1", ",", " ", 
            RowBox[{
             RowBox[{"Length", "@", "tuple"}], "-", "1"}]}], "}"}]}], 
         "]"}]}]}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.757930763127022*^9, {3.757935298162305*^9, 3.757935324607218*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"c9db419d-7be8-433e-8219-f3192ab4ae41"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KoczkodajTriadIndex", "[", 
  RowBox[{
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       SubscriptBox["a", "12"], 
       SubscriptBox["a", "13"], 
       SubscriptBox["a", "14"], 
       SubscriptBox["a", "14"]},
      {
       SubscriptBox["a", "21"], "1", 
       SubscriptBox["a", "23"], 
       SubscriptBox["a", "24"], 
       SubscriptBox["a", "25"]},
      {
       SubscriptBox["a", "31"], 
       SubscriptBox["a", "32"], "1", 
       SubscriptBox["a", "34"], 
       SubscriptBox["a", "35"]},
      {
       SubscriptBox["a", "41"], 
       SubscriptBox["a", "42"], 
       SubscriptBox["a", "43"], "1", 
       SubscriptBox["a", "45"]},
      {
       SubscriptBox["a", "51"], 
       SubscriptBox["a", "52"], 
       SubscriptBox["a", "53"], 
       SubscriptBox["a", "54"], "1"}
     }], "\[NoBreak]", ")"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.753651120088388*^9, 3.7536511343983917`*^9}, 
   3.75365128271472*^9, 3.753651419763967*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"c57e5cfe-f694-470b-a5d2-f1f9a668fc93"],

Cell[BoxData[
 RowBox[{"Min", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"1", "-", 
     FractionBox[
      SubscriptBox["a", "13"], 
      RowBox[{
       SubscriptBox["a", "12"], " ", 
       SubscriptBox["a", "23"]}]]}], "]"}], ",", 
   RowBox[{"Abs", "[", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       SubscriptBox["a", "12"], " ", 
       SubscriptBox["a", "23"]}], 
      SubscriptBox["a", "13"]]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->{
  3.753651137529853*^9, 3.7536512836202087`*^9, 3.753651350150269*^9, 
   3.753651420529443*^9, 3.7537249522748404`*^9, 3.7538005627970657`*^9, 
   3.755606355343526*^9, 3.7576962038785143`*^9, 3.757696261397725*^9, 
   3.757777393835972*^9, 3.757784553909588*^9, 3.757793926075447*^9, {
   3.7578001043410177`*^9, 3.757800161594062*^9}, 3.757947654612389*^9, 
   3.7579477551357603`*^9, 3.757947882975952*^9, 3.757948038517931*^9, 
   3.757948304852907*^9, 3.75795377408705*^9, 3.75795415594308*^9, 
   3.75795432151824*^9, 3.757954541880905*^9, 3.7579556077423153`*^9, 
   3.757956184186726*^9, 3.757959394735188*^9, 3.757959578217292*^9, 
   3.757959748178699*^9, 3.757960005359688*^9, 3.757963293847293*^9, 
   3.75799535880562*^9, 3.7582872968700113`*^9, 3.759167708783845*^9, 
   3.7591744652704973`*^9, 3.759176476715391*^9, 3.759176812815281*^9, 
   3.759177373484704*^9, 3.759494597282351*^9, 3.7594948966141577`*^9, 
   3.7595081533436537`*^9, 3.759604264264222*^9, 3.759609220473856*^9, 
   3.759609365715351*^9, 3.7596113437859583`*^9, 3.759637664841563*^9, 
   3.7602962456339083`*^9, 3.760296428627975*^9, 3.765117845353258*^9, 
   3.78222555297327*^9, 3.7824094661736727`*^9, 3.782424117718148*^9, 
   3.782425585247087*^9, 3.782425957675002*^9, 3.782428785477466*^9, 
   3.782429114479753*^9, 3.7824337177568617`*^9, 3.782434090844026*^9, 
   3.782456174289859*^9, 3.7824641574539223`*^9, 3.782473001134295*^9, 
   3.782473323756978*^9, 3.78247358119783*^9, 3.782475570192675*^9, 
   3.7824970843783484`*^9, 3.7824992329822683`*^9, 3.782499274477681*^9, 
   3.782565825734357*^9, 3.782579241622695*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"47d976a0-e426-45c2-a886-330c68b03b30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KoczkodajTupleIndex", "[", 
  RowBox[{
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       SubscriptBox["a", "12"], 
       SubscriptBox["a", "13"], 
       SubscriptBox["a", "14"], 
       SubscriptBox["a", "14"]},
      {
       SubscriptBox["a", "21"], "1", 
       SubscriptBox["a", "23"], 
       SubscriptBox["a", "24"], 
       SubscriptBox["a", "25"]},
      {
       SubscriptBox["a", "31"], 
       SubscriptBox["a", "32"], "1", 
       SubscriptBox["a", "34"], 
       SubscriptBox["a", "35"]},
      {
       SubscriptBox["a", "41"], 
       SubscriptBox["a", "42"], 
       SubscriptBox["a", "43"], "1", 
       SubscriptBox["a", "45"]},
      {
       SubscriptBox["a", "51"], 
       SubscriptBox["a", "52"], 
       SubscriptBox["a", "53"], 
       SubscriptBox["a", "54"], "1"}
     }], "\[NoBreak]", ")"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.75793077397217*^9, 3.75793078243073*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"b1c47155-eabf-4195-8fd2-189d2ffed3de"],

Cell[BoxData[
 RowBox[{"Min", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"1", "-", 
     FractionBox[
      SubscriptBox["a", "14"], 
      RowBox[{
       SubscriptBox["a", "12"], " ", 
       SubscriptBox["a", "23"], " ", 
       SubscriptBox["a", "34"]}]]}], "]"}], ",", 
   RowBox[{"Abs", "[", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{
       SubscriptBox["a", "12"], " ", 
       SubscriptBox["a", "23"], " ", 
       SubscriptBox["a", "34"]}], 
      SubscriptBox["a", "14"]]}], "]"}]}], "]"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwVy0sowwEcwPF5HeYxDpoVVkMiedNWKP9lkXIwB5GhGZskkcTWph1E85xJ
Qt5S/quxWptpyHNZJIsbeYxkf885COH3O3z7nL4ccZOw1otGo3Eh5qMn2vDn
JiQf59Vm8CRX1ojKZsRKNLDibAgd0LKN6JdpT2QFf8fU/WgyPWMOPV3YtKGH
N9/8dTBtlt6LTuvLI2yg9rYwHe1TawrQXYVBhmbrNnw2QWnQBXkMTnWzeSIa
RXjuJsMDvClC15wgY4AvWeM1weCPcqYftacbnag1VG9ZBs0ZzEs0gpVYugry
UwIEV2ALY3jlBozlr22j0uuvtVvQFRI58goOqc2xab4UQe2M5qB/G2SLJIgi
WHLTqV8SRRwcKKarQLLHsl8Hvk/Eq6Qgu92sR/3LUhn1IENSzEWt85a2BrDS
XbGIusIcjW1gHH21RA46t2IWVWDUUscR6nhYekIHn/PvO8HLIrtUgz+P09oL
5mUXd6DCN+4nCQrIzC4j+A85J+aJ
  "],
 CellLabel->"Out[25]=",ExpressionUUID->"490f4cd4-f143-43ea-8822-cb834360b475"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TriadExistsQ", "[", 
    RowBox[{"matrix_", ",", " ", "triad_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", " ", "=", " ", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
       RowBox[{"k", "=", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
       RowBox[{"j", "=", 
        RowBox[{"triad", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"NumberQ", "@", 
       RowBox[{"matrix", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "k"}], "]"}], "]"}]}], " ", "&&", " ", 
      RowBox[{"NumberQ", "@", 
       RowBox[{"matrix", "[", 
        RowBox[{"[", 
         RowBox[{"k", ",", "j"}], "]"}], "]"}]}], " ", "&&", " ", 
      RowBox[{"NumberQ", "@", 
       RowBox[{"matrix", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.753651555231517*^9, 3.753651646488331*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"3ca287e0-be1d-4e5b-a2b1-c2ab9c3448d5"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TupleExistsQ", "[", 
    RowBox[{"matrix_", ",", " ", "tuple_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"And", "@@", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"NumberQ", "@", 
        RowBox[{"matrix", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"tuple", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
           RowBox[{"tuple", "[", 
            RowBox[{"[", 
             RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}]}], ",", 
       " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{
          RowBox[{"Length", "@", "tuple"}], "-", "1"}]}], "}"}]}], "]"}]}], 
    " ", "&&", " ", 
    RowBox[{"NumberQ", "@", 
     RowBox[{"matrix", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"tuple", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
        RowBox[{"tuple", "[", 
         RowBox[{"[", 
          RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "]"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.757931405620412*^9, {3.757933149117375*^9, 3.7579331590419073`*^9}, 
   3.75793512899716*^9, {3.75794015986272*^9, 3.757940161605049*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"1cd3f0ba-ab32-4568-ba0a-1e580be04caa"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"KoczkodajIndex", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"KoczkodajIndex", "[", "matrix", "]"}], "=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"allTriads", " ", "=", " ", 
        RowBox[{"Subsets", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"Length", "@", "matrix"}], "]"}], ",", " ", 
          RowBox[{"{", "3", "}"}]}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"existingTriads", " ", "=", " ", 
          RowBox[{"Select", "[", 
           RowBox[{"allTriads", ",", 
            RowBox[{
             RowBox[{"TriadExistsQ", "[", 
              RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}]}], " ", 
           "]"}]}], "}"}], ",", " ", 
        RowBox[{"Max", "@", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"KoczkodajTriadIndex", "[", 
             RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}], ",", "  ", 
           "existingTriads"}], "]"}]}]}], "]"}]}], "]"}]}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.753651714184669*^9, 3.753651829715907*^9}, {
  3.753651866549346*^9, 3.753651969928121*^9}, {3.757957154095778*^9, 
  3.7579571625988083`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"762337de-eaf1-4c4b-81a6-2ffeec331a56"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Unset", "[", "GetAllTuplesLongerThan2", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.757932414324751*^9, 3.7579324187515373`*^9}, {
   3.757932471869989*^9, 3.757932479013103*^9}, 3.757933278918895*^9},
 CellLabel->"In[29]:=",ExpressionUUID->"8b8f77b2-0832-49ae-9a96-aef21c5300de"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"GetAllTuplesLongerThan2", "[", "length_", "]"}], ":=", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"GetAllTuplesLongerThan2", "[", "length", "]"}], " ", "="}], 
     " ", "*)"}], 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Subsets", "[", 
       RowBox[{"Range", "[", "length", "]"}], "]"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "@", "#"}], " ", "\[GreaterEqual]", " ", "3"}], " ",
        "&"}]}], "]"}]}], ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.757931603069965*^9, 3.757931639350546*^9}, {
   3.757931675656704*^9, 3.757931697536332*^9}, {3.7579323938424892`*^9, 
   3.7579324055153637`*^9}, {3.7579332675229807`*^9, 3.7579332737003603`*^9}, 
   3.757935119977684*^9},
 CellLabel->"In[30]:=",ExpressionUUID->"969fed61-e46c-4be8-9a80-bccc0e64be3c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetTuplesByCyclesFromAdjacencyMatrix", "[", "adjMatrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"GetTuplesByCyclesFromAdjacencyMatrix", "[", "adjMatrix", "]"}], 
    "=", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"First", "@", "#"}], " ", "&"}], ",", " ", 
      RowBox[{"FindCycle", "[", 
       RowBox[{
        RowBox[{"AdjacencyGraph", "@", "adjMatrix"}], ",", " ", "Infinity", 
        ",", " ", "All"}], "]"}], ",", " ", 
      RowBox[{"{", "2", "}"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7579551855671663`*^9, 3.7579553021320677`*^9}, 
   3.7579555818120413`*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"0a3b53b1-1666-4c15-9e3c-2f1cd508950b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "SetSharedFunction", "[", "GetTuplesByCyclesFromAdjacencyMatrix", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.757955550906722*^9, 3.757955560422881*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"aaaab5f9-3d71-48b7-b0f1-4c72b35194d0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetTuplesByCycles", "[", "matrix_", "]"}], ":=", 
   RowBox[{"GetTuplesByCyclesFromAdjacencyMatrix", "@", 
    RowBox[{"AdjacencyMatrixFromPCMatrix", "@", "matrix"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.7579350658930187`*^9, {3.757955312711059*^9, 3.757955318962274*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"616d15ed-ec9d-4799-b81f-c7f0dcf7a720"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GeneralizedKoczkodajIndex", "[", "matrix_", "]"}], ":=", "  ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tuples", " ", "=", " ", 
       RowBox[{"GetTuplesByCycles", "[", "matrix", "]"}]}], " ", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "@", "tuples"}], " ", "\[Equal]", " ", "0"}], ",", 
       " ", "0", ",", " ", 
       RowBox[{"Max", "@", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"KoczkodajTupleIndex", "[", 
            RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}], ",", "  ", 
          "tuples"}], "]"}]}]}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757931526433674*^9, 3.757931571526873*^9}, {
   3.75793171727015*^9, 3.7579317803286753`*^9}, {3.757931833269623*^9, 
   3.75793184341895*^9}, {3.757935091591248*^9, 3.7579351126425333`*^9}, {
   3.757941048215486*^9, 3.7579411122834387`*^9}, 3.757942223990224*^9},
 CellLabel->"In[34]:=",ExpressionUUID->"18c6c698-819a-4567-bc46-270bdacea867"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"KoczkodajIndex", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{{3.753652035959701*^9, 3.753652045673862*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"64eac9bf-030e-4ae6-b6f5-9453ccfa8940"],

Cell[BoxData["0.48676463082726096`"], "Output",
 CellChangeTimes->{
  3.753652046004833*^9, 3.753724952391856*^9, 3.753800562900139*^9, 
   3.7556063615950613`*^9, 3.757696203963313*^9, 3.757696261483491*^9, 
   3.75777739395288*^9, 3.757784554010734*^9, 3.7577939262594852`*^9, {
   3.7578001047302437`*^9, 3.7578001617109013`*^9}, 3.757947654937149*^9, 
   3.757947755433812*^9, 3.7579478832724457`*^9, 3.757948038852186*^9, 
   3.7579483071804237`*^9, 3.7579537743398314`*^9, 3.7579541562757607`*^9, 
   3.757954321873855*^9, 3.7579545422005672`*^9, 3.757955608373599*^9, 
   3.757956184490341*^9, 3.7579593950068913`*^9, 3.7579595786263723`*^9, 
   3.7579597485082703`*^9, 3.757960005719378*^9, 3.757963294171631*^9, 
   3.7579953591061153`*^9, 3.758287297099483*^9, 3.7591677091189537`*^9, 
   3.7591744656198473`*^9, 3.759176476975878*^9, 3.759176815066655*^9, 
   3.759177373787693*^9, 3.7594945975401163`*^9, 3.759494896824106*^9, 
   3.759508153526802*^9, 3.759604264944476*^9, 3.759609220724771*^9, 
   3.759609366121346*^9, 3.759611343979068*^9, 3.75963766514001*^9, 
   3.760296245889079*^9, 3.7602964289555807`*^9, 3.765117845641521*^9, 
   3.782225614968048*^9, 3.7824094855744*^9, 3.782424117922845*^9, 
   3.782425585441554*^9, 3.782425957874906*^9, 3.782428785819035*^9, 
   3.7824291148113813`*^9, 3.782433718067078*^9, 3.782434091522196*^9, 
   3.78245617479148*^9, 3.782464157907901*^9, 3.78247300129076*^9, 
   3.782473323911791*^9, 3.782473581626481*^9, 3.782475570618156*^9, 
   3.7824971009322968`*^9, 3.782499233175273*^9, 3.7824992748880997`*^9, 
   3.78256582588913*^9, 3.782579242098013*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"1a9d6745-7439-4821-8035-443d77bdc540"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GeneralizedKoczkodajIndex", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{{3.78222566567065*^9, 3.782225672775383*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"26090a21-8d65-48fa-97e9-22863ffde6ce"],

Cell[BoxData["0.6796023611124653`"], "Output",
 CellChangeTimes->{3.782225673631414*^9, 3.782409487026863*^9, 
  3.782424117974847*^9, 3.782425585454607*^9, 3.782425957927637*^9, 
  3.782428785884885*^9, 3.782429114823205*^9, 3.782433718083068*^9, 
  3.782434091534897*^9, 3.782456174837076*^9, 3.782464157978176*^9, 
  3.782473001347044*^9, 3.782473323920775*^9, 3.782473581677287*^9, 
  3.7824755706293173`*^9, 3.7824971040434*^9, 3.782499233187866*^9, 
  3.782499274936536*^9, 3.782565825948596*^9, 3.78257924216574*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"fccd33c2-c71c-4e97-9150-c64d8f6c56f5"]
}, Open  ]],

Cell["\<\
===========================================================
Triads based average inconsistency indices
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.7536530243616343`*^9, 3.7536530429757566`*^9}, {
  3.757938208303269*^9, 
  3.75793820885314*^9}},ExpressionUUID->"50eae05b-f339-491a-8f99-\
ab669a4ac61e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TBSI1", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"allTriads", " ", "=", " ", 
       RowBox[{"Subsets", "[", 
        RowBox[{
         RowBox[{"Range", "[", 
          RowBox[{"Length", "@", "matrix"}], "]"}], ",", " ", 
         RowBox[{"{", "3", "}"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"existingTriads", " ", "=", " ", 
         RowBox[{"Select", "[", 
          RowBox[{"allTriads", ",", 
           RowBox[{
            RowBox[{"TriadExistsQ", "[", 
             RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}]}], " ", 
          "]"}]}], "}"}], ",", " ", 
       RowBox[{"Mean", "@", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"KoczkodajTriadIndex", "[", 
            RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}], ",", "  ", 
          "existingTriads"}], "]"}]}]}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753653116899123*^9, 3.753653177481114*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"f47b3536-12fd-40c6-b954-a5ef75b7054f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GeneralizedTBSI1", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"GeneralizedTBSI1", "[", "matrix", "]"}], "=", 
    "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tuples", " ", "=", " ", 
        RowBox[{"GetTuplesByCycles", "[", "matrix", "]"}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "@", "tuples"}], " ", "\[Equal]", " ", "0"}], ",", 
        " ", "0", ",", 
        RowBox[{"Mean", "@", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"KoczkodajTupleIndex", "[", 
             RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}], ",", "  ", 
           "tuples"}], "]"}]}]}], "]"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757936718360179*^9, 3.757936759940763*^9}, {
  3.757936951158869*^9, 3.7579369859780617`*^9}, {3.75794121332419*^9, 
  3.757941243964669*^9}, {3.7579570912746677`*^9, 3.757957096895999*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"4dee688a-6c81-46ba-92d2-ad836c178848"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TBSI2", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"allTriads", " ", "=", " ", 
       RowBox[{"Subsets", "[", 
        RowBox[{
         RowBox[{"Range", "[", 
          RowBox[{"Length", "@", "matrix"}], "]"}], ",", " ", 
         RowBox[{"{", "3", "}"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"existingTriads", " ", "=", " ", 
         RowBox[{"Select", "[", 
          RowBox[{"allTriads", ",", 
           RowBox[{
            RowBox[{"TriadExistsQ", "[", 
             RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}]}], " ", 
          "]"}]}], "}"}], ",", " ", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"trlist", " ", "=", " ", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"KoczkodajTriadIndex", "[", 
                RowBox[{"matrix", ",", " ", "#"}], "]"}], "*", 
               RowBox[{"KoczkodajTriadIndex", "[", 
                RowBox[{"matrix", ",", " ", "#"}], "]"}]}], " ", "&"}], ",", 
             "  ", "existingTriads"}], "]"}]}], "}"}], ",", " ", 
         FractionBox[
          RowBox[{"Sqrt", "[", 
           RowBox[{"Plus", "@@", "trlist"}], "]"}], 
          RowBox[{"Length", "@", "trlist"}]]}], " ", "]"}]}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7536533005710897`*^9, 3.753653349834703*^9}, {
  3.753653398660309*^9, 3.7536534325220947`*^9}, {3.7536534636068068`*^9, 
  3.7536535586272993`*^9}, {3.7536536273313007`*^9, 3.753653641562152*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"af3ac631-7d93-4be1-bb4f-bc21280b0361"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GeneralizedTBSI2", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"GeneralizedTBSI2", "[", "matrix", "]"}], "=", 
    "\[IndentingNewLine]", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tuples", " ", "=", " ", 
        RowBox[{"GetTuplesByCycles", "[", "matrix", "]"}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Length", "@", "tuples"}], " ", "\[Equal]", " ", "0"}], ",", 
        " ", "0", ",", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"trlist", " ", "=", " ", 
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"KoczkodajTupleIndex", "[", 
                  RowBox[{"matrix", ",", " ", "#"}], "]"}], ")"}], "2"], " ", 
               "&"}], ",", "   ", "tuples"}], "]"}]}], "}"}], ",", 
          FractionBox[
           RowBox[{"Sqrt", "[", 
            RowBox[{"Plus", "@@", "trlist"}], "]"}], 
           RowBox[{"Length", "@", "trlist"}]]}], " ", "]"}]}], "]"}]}], 
     "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757937617907528*^9, 3.757937619953858*^9}, {
  3.7579376587214622`*^9, 3.757937715481539*^9}, {3.757937748399082*^9, 
  3.757937752222165*^9}, {3.7579412891261063`*^9, 3.757941319545752*^9}, {
  3.7579570602911577`*^9, 3.7579570645318727`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"3f2fc4e7-c12b-443c-8ac8-cc48f82998b2"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"GetTuplesByCycles", "@", 
   SubscriptBox["C", "test"]}], "*)"}]], "Input",
 CellChangeTimes->{{3.757947938246703*^9, 3.757947944839484*^9}, 
   3.757948025674613*^9},
 CellLabel->"In[41]:=",ExpressionUUID->"e53de025-799e-48dd-b6b7-483f7f7e6c17"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GeneralizedTBSI1", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{{3.753653581654294*^9, 3.753653585693614*^9}, 
   3.7579379655306187`*^9},
 CellLabel->"In[42]:=",ExpressionUUID->"964a5b86-2f03-46c3-92c1-0b9f33c80954"],

Cell[BoxData["0.3599729230050334`"], "Output",
 CellChangeTimes->{
  3.753653586127453*^9, 3.753724952807034*^9, 3.75380056336656*^9, 
   3.755606383772139*^9, 3.757696204268639*^9, 3.7576962618167562`*^9, 
   3.757777394386195*^9, 3.757784554410741*^9, 3.757793926693136*^9, {
   3.757800105995339*^9, 3.7578001621118717`*^9}, 3.757937967971442*^9, 
   3.757941352021324*^9, 3.7579476557854643`*^9, 3.757947756523526*^9, 
   3.7579478842769423`*^9, {3.757948030775928*^9, 3.757948039701995*^9}, 
   3.757948307643331*^9, 3.7579537748882523`*^9, 3.757954156725857*^9, 
   3.757954322364572*^9, 3.7579545426541357`*^9, 3.7579556089874783`*^9, 
   3.757956185025866*^9, 3.757959395772929*^9, 3.757959583051797*^9, 
   3.757959749012117*^9, 3.75796000626018*^9, 3.757963294680724*^9, 
   3.757995359699926*^9, 3.758287297467904*^9, 3.7591677096663237`*^9, 
   3.759174467225153*^9, 3.759176477440641*^9, 3.7591768155252333`*^9, 
   3.759177374176918*^9, 3.759494598004999*^9, 3.7594948992880087`*^9, 
   3.75950815505829*^9, 3.759604265411675*^9, 3.759609221163731*^9, 
   3.7596093664503193`*^9, 3.759611344435011*^9, 3.759637665570223*^9, 
   3.760296246334406*^9, 3.760296429328331*^9, 3.765117845996204*^9, 
   3.782225756899081*^9, 3.782409502419352*^9, 3.7824241180733747`*^9, 
   3.78242558555058*^9, 3.782425958194765*^9, 3.782428786016199*^9, 
   3.78242911492525*^9, 3.78243371826567*^9, 3.7824340917394743`*^9, 
   3.782456175021594*^9, 3.782464158097581*^9, 3.7824730014640207`*^9, 
   3.7824733240002832`*^9, 3.782473581862064*^9, 3.782475570809943*^9, 
   3.7824971498139477`*^9, 3.782499233375327*^9, 3.782499275106694*^9, 
   3.7825658260406837`*^9, 3.7825792423713503`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"a69d0097-12fe-4f17-8f84-8ba4dfb3e5ce"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GeneralizedTBSI2", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{
  3.753653595041093*^9, {3.75793797077966*^9, 3.757937972251585*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"72daa03a-0560-4f03-a6e0-3985d2a11896"],

Cell[BoxData["0.0708660319423522`"], "Output",
 CellChangeTimes->{
  3.753653595856266*^9, 3.753653645664554*^9, 3.75372495289606*^9, 
   3.753800563452252*^9, 3.7556063854392548`*^9, 3.757696204332798*^9, 
   3.757696261886116*^9, 3.75777739447427*^9, 3.7577845544818487`*^9, 
   3.757793926781064*^9, {3.7578001060747547`*^9, 3.7578001621821423`*^9}, 
   3.757937973064392*^9, 3.757941354204606*^9, 3.7579476562778397`*^9, 
   3.757947757173347*^9, 3.757947884910096*^9, 3.7579480398075457`*^9, 
   3.7579483076958113`*^9, 3.7579537749774446`*^9, 3.7579541568334017`*^9, 
   3.757954322457589*^9, 3.75795454275347*^9, 3.757955609083994*^9, 
   3.757956185131918*^9, 3.757959396103077*^9, 3.757959583175529*^9, 
   3.7579597491187696`*^9, 3.7579600063661222`*^9, 3.757963294787979*^9, 
   3.757995359802412*^9, 3.758287297537043*^9, 3.759167709758855*^9, 
   3.759174467407021*^9, 3.759176477535256*^9, 3.7591768156200733`*^9, 
   3.7591773742518177`*^9, 3.759494598094512*^9, 3.7594948993539658`*^9, 
   3.759508155169903*^9, 3.759604265501151*^9, 3.759609221262908*^9, 
   3.759609366520344*^9, 3.759611344500093*^9, 3.759637665641336*^9, 
   3.760296246419335*^9, 3.760296429392284*^9, 3.765117846010647*^9, 
   3.782225758749123*^9, 3.782409504503042*^9, 3.7824241181205273`*^9, 
   3.7824255855987997`*^9, 3.782425958245638*^9, 3.7824287860306177`*^9, 
   3.782429114990224*^9, 3.782433718319419*^9, 3.782434091799326*^9, 
   3.78245617503516*^9, 3.782464158112859*^9, 3.7824730014770117`*^9, 
   3.782473324044053*^9, 3.782473581878986*^9, 3.782475570863446*^9, 
   3.7824971512796087`*^9, 3.782499233433475*^9, 3.782499275119207*^9, 
   3.782565826052474*^9, 3.782579242385179*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"15ffcf61-c3f3-4c4d-89e7-6074eee0c09b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TBSIAlpha", "[", 
    RowBox[{"matrix_", ",", " ", "alpha_"}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"alpha", "*", 
     RowBox[{"KoczkodajIndex", "@", "matrix"}]}], " ", "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "alpha"}], ")"}], "*", 
     RowBox[{"TBSI1", "@", "matrix"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753653605085149*^9, 3.753653610251275*^9}, {
   3.753653678239171*^9, 3.753653745399066*^9}, 3.753653841893592*^9},
 CellLabel->"In[44]:=",ExpressionUUID->"b21b24b9-20fe-46a7-b670-252f327efe6e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GeneralizedTBSIAlpha", "[", 
    RowBox[{"matrix_", ",", " ", "alpha_"}], "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"GeneralizedTBSIAlpha", "[", "]"}], "=", 
    RowBox[{
     RowBox[{"alpha", "*", 
      RowBox[{"GeneralizedKoczkodajIndex", "@", "matrix"}]}], " ", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "alpha"}], ")"}], "*", 
      RowBox[{"GeneralizedTBSI1", "@", "matrix"}]}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7579379920087843`*^9, 3.757938035940791*^9}, {
  3.7579569913053923`*^9, 3.757957000472088*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"6d89299b-57e4-4d9e-8a2e-20d7724468b6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TBSIAlphaBeta", "[", 
    RowBox[{"matrix_", ",", " ", "alpha_", ",", " ", "beta_"}], "]"}], ":=", 
   " ", 
   RowBox[{
    RowBox[{"alpha", "*", 
     RowBox[{"KoczkodajIndex", "@", "matrix"}]}], " ", "+", " ", 
    RowBox[{"beta", "*", 
     RowBox[{"TBSI1", "@", "matrix"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "alpha", " ", "-", " ", "beta"}], ")"}], "*", 
     RowBox[{"TBSI2", "@", "matrix"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753653765223054*^9, 3.753653846731729*^9}, {
  3.757938082022732*^9, 3.757938102112423*^9}, {3.7579570277445183`*^9, 
  3.757957032928808*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"16573beb-a8b5-4fe1-8143-d3c9969f172e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GeneralizedTBSIAlphaBeta", "[", 
    RowBox[{"matrix_", ",", " ", "alpha_", ",", " ", "beta_"}], "]"}], ":=", 
   " ", 
   RowBox[{
    RowBox[{"alpha", "*", 
     RowBox[{"GeneralizedKoczkodajIndex", "@", "matrix"}]}], " ", "+", " ", 
    RowBox[{"beta", "*", 
     RowBox[{"GeneralizedTBSI1", "@", "matrix"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", "alpha", " ", "-", " ", "beta"}], ")"}], "*", 
     RowBox[{"GeneralizedTBSI2", "@", "matrix"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757938120068688*^9, 3.7579381242856894`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"1ab4623a-e127-4c0d-b27c-05de26d6f383"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GeneralizedTBSIAlpha", "[", 
  RowBox[{
   SubscriptBox["C", "test"], ",", " ", "0.5"}], "]"}]], "Input",
 CellChangeTimes->{{3.7536538546675367`*^9, 3.7536538699040413`*^9}, 
   3.7579381415028477`*^9},
 CellLabel->"In[48]:=",ExpressionUUID->"3b31216a-f7b2-4dc4-85c1-a8fc11e3a2d2"],

Cell[BoxData["0.5197876420587494`"], "Output",
 CellChangeTimes->{
  3.753653871480358*^9, 3.753724953008301*^9, 3.753800563549464*^9, 
   3.755606390739332*^9, 3.757696204461074*^9, 3.7576962619672623`*^9, 
   3.75777739458574*^9, 3.757784554576737*^9, 3.757793926909586*^9, {
   3.757800106190333*^9, 3.7578001622940702`*^9}, 3.75793814260394*^9, 
   3.757947656898404*^9, 3.757947757948503*^9, 3.757947885579166*^9, 
   3.7579480400155897`*^9, 3.757948307821527*^9, 3.757953775095584*^9, 
   3.757954156969109*^9, 3.757954322589272*^9, 3.757954542890408*^9, 
   3.757955609219186*^9, 3.757956185353346*^9, 3.7579593964407873`*^9, 
   3.757959584196211*^9, 3.75795974931317*^9, 3.757960006518149*^9, 
   3.757963294924518*^9, 3.757995359927046*^9, 3.758287297650176*^9, 
   3.759167709904851*^9, 3.7591744685842047`*^9, 3.759176477645447*^9, 
   3.7591768157531776`*^9, 3.7591773743669043`*^9, 3.759494598205744*^9, 
   3.7594948994721117`*^9, 3.7595081561852694`*^9, 3.759604265647724*^9, 
   3.7596092214052343`*^9, 3.759609366615806*^9, 3.759611344588032*^9, 
   3.7596376657541037`*^9, 3.76029624658426*^9, 3.76029642951084*^9, 
   3.765117846163745*^9, 3.782225774498691*^9, 3.782409520164687*^9, 
   3.782424118345633*^9, 3.782425585855557*^9, 3.78242595834102*^9, 
   3.7824287861486673`*^9, 3.782429115094933*^9, 3.782433718448449*^9, 
   3.78243409191208*^9, 3.782456175206593*^9, 3.78246415821842*^9, 
   3.782473001766715*^9, 3.782473324116272*^9, 3.782473582001034*^9, 
   3.782475570995318*^9, 3.782497158878934*^9, 3.782499233517304*^9, 
   3.782499275284567*^9, 3.7825658261381607`*^9, 3.7825792425812387`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"66e16661-4b15-43c9-a7c4-5003c2f94179"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GeneralizedTBSIAlphaBeta", "[", 
  RowBox[{
   SubscriptBox["C", "test"], ",", "0.3", ",", " ", "0.3"}], "]"}]], "Input",
 CellChangeTimes->{{3.753653884616469*^9, 3.753653903486155*^9}, 
   3.7579381462614803`*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"cc186982-32b2-4800-b0b2-e0a3bcd11606"],

Cell[BoxData["0.3402189980121905`"], "Output",
 CellChangeTimes->{
  3.753653904408825*^9, 3.7537249530966*^9, 3.7538005636192207`*^9, 
   3.7556063921293488`*^9, 3.7576962045128927`*^9, 3.757696262037179*^9, 
   3.757777394657546*^9, 3.757784554647912*^9, 3.757793926997508*^9, {
   3.757800106279866*^9, 3.757800162364994*^9}, 3.7579381473411713`*^9, 
   3.757947657663294*^9, 3.757947758765542*^9, 3.7579478863652487`*^9, 
   3.7579480400832872`*^9, 3.757948307903441*^9, 3.757953775176306*^9, 
   3.757954157065743*^9, 3.757954322691956*^9, 3.757954542997666*^9, 
   3.757955609316523*^9, 3.757956185467484*^9, 3.757959396738735*^9, 
   3.757959584239674*^9, 3.7579597494194393`*^9, 3.757960006707172*^9, 
   3.75796329503765*^9, 3.757995360065386*^9, 3.758287297721546*^9, 
   3.7591677100197372`*^9, 3.759174468687519*^9, 3.759176477734376*^9, 
   3.7591768158540697`*^9, 3.759177374426517*^9, 3.75949459827162*^9, 
   3.759494899536278*^9, 3.759508156402474*^9, 3.759604265734558*^9, 
   3.759609221495661*^9, 3.759609366668556*^9, 3.759611344666271*^9, 
   3.75963766582576*^9, 3.7602962466728354`*^9, 3.76029642957508*^9, 
   3.765117846180045*^9, 3.782225776610992*^9, 3.782409521441597*^9, 
   3.782424118361123*^9, 3.782425585869287*^9, 3.782425958390926*^9, 
   3.78242878616294*^9, 3.782429115160507*^9, 3.7824337185049047`*^9, 
   3.782434091978009*^9, 3.782456175224635*^9, 3.782464158233029*^9, 
   3.782473001825984*^9, 3.7824733241625977`*^9, 3.7824735820552063`*^9, 
   3.78247557104642*^9, 3.782497160218936*^9, 3.782499233568976*^9, 
   3.782499275296967*^9, 3.782565826150733*^9, 3.782579242595002*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"8d9fbdfd-2e00-4e43-9517-aa2445c549a5"]
}, Open  ]],

Cell["\<\
===========================================================
Golden-Wang Index
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
  3.753724035107628*^9, 
  3.753724042042426*^9}},ExpressionUUID->"cc99b068-b106-4f13-9332-\
dd94b2fec2b7"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CStarMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Transpose", "@", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "/", 
        RowBox[{"Plus", "@@", "#"}]}], " ", "&"}], " ", ",", 
      RowBox[{"Transpose", "@", "matrix"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753724284235765*^9, 3.753724347144888*^9}, {
   3.753724394475533*^9, 3.753724407860738*^9}, {3.75372452960457*^9, 
   3.753724552650025*^9}, {3.755616506545383*^9, 3.7556165536582108`*^9}, 
   3.7556175920134706`*^9},
 CellLabel->"In[50]:=",ExpressionUUID->"ecd94a12-680c-4dc7-9ee1-79606d0bae6e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CStarMatrixNoZero", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Transpose", "@", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "/", 
        RowBox[{"Plus", "@@", "#"}]}], " ", "&"}], " ", ",", 
      RowBox[{"Transpose", "@", "matrix"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7556165850854177`*^9, 3.755616600064527*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"d90d0d59-c527-4747-b9a3-994909863a56"],

Cell["zamiana niezdefiniowanych na 0", "Text",
 CellChangeTimes->{{3.7576859816362133`*^9, 
  3.7576860148119*^9}},ExpressionUUID->"471fd916-1bbd-48fc-8419-4b3313406a98"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CompleteUndefToZero", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"NumberQ", "@", "#"}], ",", " ", "#", ",", " ", "0"}], "]"}], 
      "&"}], ",", " ", "matrix", ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.755617560039691*^9},
 CellLabel->"In[52]:=",ExpressionUUID->"f5d3b03a-8c06-44a7-8541-238127521b85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CStarMatrix", "@", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       SubscriptBox["a", "12"], 
       SubscriptBox["a", "13"], 
       SubscriptBox["a", "14"], 
       SubscriptBox["a", "15"]},
      {
       SubscriptBox["a", "21"], "1", 
       SubscriptBox["a", "23"], 
       SubscriptBox["a", "24"], 
       SubscriptBox["a", "25"]},
      {
       SubscriptBox["a", "31"], 
       SubscriptBox["a", "32"], "1", 
       SubscriptBox["a", "34"], 
       SubscriptBox["a", "35"]},
      {
       SubscriptBox["a", "41"], 
       SubscriptBox["a", "42"], 
       SubscriptBox["a", "43"], "1", 
       SubscriptBox["a", "45"]},
      {
       SubscriptBox["a", "51"], 
       SubscriptBox["a", "52"], 
       SubscriptBox["a", "53"], 
       SubscriptBox["a", "54"], "1"}
     }], "\[NoBreak]", ")"}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.753724498852645*^9, 3.753724511334415*^9}, {
   3.753724556071854*^9, 3.753724556930735*^9}, 3.755616605140545*^9, 
   3.755617604390121*^9},
 CellLabel->"In[53]:=",ExpressionUUID->"97db50a1-6d89-45a3-8a87-183592702af9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       RowBox[{"1", "+", 
        SubscriptBox["a", "21"], "+", 
        SubscriptBox["a", "31"], "+", 
        SubscriptBox["a", "41"], "+", 
        SubscriptBox["a", "51"]}]], 
      FractionBox[
       SubscriptBox["a", "12"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "12"], "+", 
        SubscriptBox["a", "32"], "+", 
        SubscriptBox["a", "42"], "+", 
        SubscriptBox["a", "52"]}]], 
      FractionBox[
       SubscriptBox["a", "13"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "13"], "+", 
        SubscriptBox["a", "23"], "+", 
        SubscriptBox["a", "43"], "+", 
        SubscriptBox["a", "53"]}]], 
      FractionBox[
       SubscriptBox["a", "14"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "14"], "+", 
        SubscriptBox["a", "24"], "+", 
        SubscriptBox["a", "34"], "+", 
        SubscriptBox["a", "54"]}]], 
      FractionBox[
       SubscriptBox["a", "15"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "15"], "+", 
        SubscriptBox["a", "25"], "+", 
        SubscriptBox["a", "35"], "+", 
        SubscriptBox["a", "45"]}]]},
     {
      FractionBox[
       SubscriptBox["a", "21"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "21"], "+", 
        SubscriptBox["a", "31"], "+", 
        SubscriptBox["a", "41"], "+", 
        SubscriptBox["a", "51"]}]], 
      FractionBox["1", 
       RowBox[{"1", "+", 
        SubscriptBox["a", "12"], "+", 
        SubscriptBox["a", "32"], "+", 
        SubscriptBox["a", "42"], "+", 
        SubscriptBox["a", "52"]}]], 
      FractionBox[
       SubscriptBox["a", "23"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "13"], "+", 
        SubscriptBox["a", "23"], "+", 
        SubscriptBox["a", "43"], "+", 
        SubscriptBox["a", "53"]}]], 
      FractionBox[
       SubscriptBox["a", "24"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "14"], "+", 
        SubscriptBox["a", "24"], "+", 
        SubscriptBox["a", "34"], "+", 
        SubscriptBox["a", "54"]}]], 
      FractionBox[
       SubscriptBox["a", "25"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "15"], "+", 
        SubscriptBox["a", "25"], "+", 
        SubscriptBox["a", "35"], "+", 
        SubscriptBox["a", "45"]}]]},
     {
      FractionBox[
       SubscriptBox["a", "31"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "21"], "+", 
        SubscriptBox["a", "31"], "+", 
        SubscriptBox["a", "41"], "+", 
        SubscriptBox["a", "51"]}]], 
      FractionBox[
       SubscriptBox["a", "32"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "12"], "+", 
        SubscriptBox["a", "32"], "+", 
        SubscriptBox["a", "42"], "+", 
        SubscriptBox["a", "52"]}]], 
      FractionBox["1", 
       RowBox[{"1", "+", 
        SubscriptBox["a", "13"], "+", 
        SubscriptBox["a", "23"], "+", 
        SubscriptBox["a", "43"], "+", 
        SubscriptBox["a", "53"]}]], 
      FractionBox[
       SubscriptBox["a", "34"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "14"], "+", 
        SubscriptBox["a", "24"], "+", 
        SubscriptBox["a", "34"], "+", 
        SubscriptBox["a", "54"]}]], 
      FractionBox[
       SubscriptBox["a", "35"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "15"], "+", 
        SubscriptBox["a", "25"], "+", 
        SubscriptBox["a", "35"], "+", 
        SubscriptBox["a", "45"]}]]},
     {
      FractionBox[
       SubscriptBox["a", "41"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "21"], "+", 
        SubscriptBox["a", "31"], "+", 
        SubscriptBox["a", "41"], "+", 
        SubscriptBox["a", "51"]}]], 
      FractionBox[
       SubscriptBox["a", "42"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "12"], "+", 
        SubscriptBox["a", "32"], "+", 
        SubscriptBox["a", "42"], "+", 
        SubscriptBox["a", "52"]}]], 
      FractionBox[
       SubscriptBox["a", "43"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "13"], "+", 
        SubscriptBox["a", "23"], "+", 
        SubscriptBox["a", "43"], "+", 
        SubscriptBox["a", "53"]}]], 
      FractionBox["1", 
       RowBox[{"1", "+", 
        SubscriptBox["a", "14"], "+", 
        SubscriptBox["a", "24"], "+", 
        SubscriptBox["a", "34"], "+", 
        SubscriptBox["a", "54"]}]], 
      FractionBox[
       SubscriptBox["a", "45"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "15"], "+", 
        SubscriptBox["a", "25"], "+", 
        SubscriptBox["a", "35"], "+", 
        SubscriptBox["a", "45"]}]]},
     {
      FractionBox[
       SubscriptBox["a", "51"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "21"], "+", 
        SubscriptBox["a", "31"], "+", 
        SubscriptBox["a", "41"], "+", 
        SubscriptBox["a", "51"]}]], 
      FractionBox[
       SubscriptBox["a", "52"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "12"], "+", 
        SubscriptBox["a", "32"], "+", 
        SubscriptBox["a", "42"], "+", 
        SubscriptBox["a", "52"]}]], 
      FractionBox[
       SubscriptBox["a", "53"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "13"], "+", 
        SubscriptBox["a", "23"], "+", 
        SubscriptBox["a", "43"], "+", 
        SubscriptBox["a", "53"]}]], 
      FractionBox[
       SubscriptBox["a", "54"], 
       RowBox[{"1", "+", 
        SubscriptBox["a", "14"], "+", 
        SubscriptBox["a", "24"], "+", 
        SubscriptBox["a", "34"], "+", 
        SubscriptBox["a", "54"]}]], 
      FractionBox["1", 
       RowBox[{"1", "+", 
        SubscriptBox["a", "15"], "+", 
        SubscriptBox["a", "25"], "+", 
        SubscriptBox["a", "35"], "+", 
        SubscriptBox["a", "45"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.75372450408851*^9, 3.753724559154002*^9}, 
   3.7537249534079113`*^9, 3.753800563816841*^9, 3.755606406644374*^9, 
   3.755616534820099*^9, 3.755616606024927*^9, 3.755617605342675*^9, 
   3.7576962046955*^9, 3.7576962622118073`*^9, 3.757777394952767*^9, 
   3.75778455487812*^9, 3.757793927308617*^9, {3.757800106540411*^9, 
   3.757800162627562*^9}, 3.7579476580000677`*^9, 3.7579477591180763`*^9, 
   3.757947886691676*^9, 3.7579480403*^9, 3.757948308156486*^9, 
   3.7579537754306192`*^9, 3.7579541573969383`*^9, 3.757954323006062*^9, 
   3.757954543347761*^9, 3.757955609587009*^9, 3.757956185773094*^9, 
   3.757959397036498*^9, 3.757959587448138*^9, 3.757959749724221*^9, 
   3.757960007004381*^9, 3.757963295375311*^9, 3.7579953603281593`*^9, 
   3.7582872979373493`*^9, 3.7591677103532753`*^9, 3.75917446921622*^9, 
   3.7591764780007153`*^9, 3.759176816125402*^9, 3.759177374650412*^9, 
   3.759494598505845*^9, 3.759494899753332*^9, 3.75950815682754*^9, 
   3.7596042659947433`*^9, 3.759609221757957*^9, 3.759609366847929*^9, 
   3.7596113448641043`*^9, 3.759637666053267*^9, 3.7602962469650784`*^9, 
   3.760296429790308*^9, 3.765117846466077*^9, 3.782225829789013*^9, 
   3.782409530003118*^9, 3.7824241184444513`*^9, 3.782425585955758*^9, 
   3.7824259584790087`*^9, 3.782428786263134*^9, 3.7824291152583323`*^9, 
   3.782433718629919*^9, 3.7824340920830517`*^9, 3.7824561753427153`*^9, 
   3.7824641583311243`*^9, 3.782473001919138*^9, 3.782473324227502*^9, 
   3.782473582176153*^9, 3.782475571168861*^9, 3.782497168777055*^9, 
   3.782499233655416*^9, 3.7824992754137487`*^9, 3.782565786912472*^9, 
   3.782565826395515*^9, 3.7825792428980494`*^9},
 CellLabel->
  "Out[53]//MatrixForm=",ExpressionUUID->"627cc60a-7e6b-4721-b7f1-\
3a29eb1a6bad"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GMMMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"g", "=", 
       RowBox[{"N", "@", 
        RowBox[{"GMM", "@", "matrix"}]}]}], "}"}], ",", " ", 
     RowBox[{"Transpose", "@", 
      RowBox[{"Table", "[", 
       RowBox[{"g", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "1", ",", 
          RowBox[{"Length", "@", "matrix"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7537251510548363`*^9, 3.753725258166321*^9}, {
   3.755616641816399*^9, 3.755616667200177*^9}, {3.755616807213155*^9, 
   3.755616852372361*^9}, {3.755616896723691*^9, 3.755616897067876*^9}, 
   3.755616938819071*^9, {3.7556169748178*^9, 3.755616992358152*^9}, {
   3.755618227700672*^9, 3.755618227957974*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"cb063161-69f9-42fb-a403-64ecfacd08bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DiffMatrix", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{
    RowBox[{"CStarMatrix", "@", 
     RowBox[{"CompleteUndefToZero", "@", 
      RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
       RowBox[{
        RowBox[{"GMMMatrix", "[", "matrix", "]"}], ",", " ", 
        RowBox[{"CompleteUndefToZero", "@", "matrix"}]}], "]"}]}]}], " ", "-",
     " ", 
    RowBox[{"CStarMatrix", "@", 
     RowBox[{"CompleteUndefToZero", "@", "matrix"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.755616943083701*^9, 3.7556169686486063`*^9}, {
  3.7556170166360083`*^9, 3.755617016916013*^9}, {3.7556170954424467`*^9, 
  3.7556171322402153`*^9}, {3.755617168211886*^9, 3.755617186241577*^9}, {
  3.755617618798709*^9, 3.7556176339636497`*^9}, {3.7556179350078287`*^9, 
  3.755617950967888*^9}, {3.7556181167189627`*^9, 3.755618138316478*^9}, {
  3.755618219757835*^9, 3.7556182342346973`*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"ef990419-52c6-4398-b59e-c1b6a6b3138a"],

Cell["\<\
W niekt\[OAcute]rych miejscach jednak zero zosta\[LSlash]o odj\:0119te od \
element\[OAcute]w nieokre\:015blonych i trzeba b\:0119dzie to usun\:0105\
\[CAcute]. \
\>", "Text",
 CellChangeTimes->{{3.757689162403954*^9, 3.757689166339304*^9}, {
   3.7576895654379883`*^9, 3.757689568980789*^9}, 
   3.757938347086021*^9},ExpressionUUID->"c47ece52-0f0c-4618-ad69-\
8910368425b8"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"PreprocessedDiffMatrix", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
    RowBox[{
     RowBox[{"Abs", "@", 
      RowBox[{"DiffMatrix", "[", "matrix", "]"}]}], ",", " ", 
     RowBox[{"CompleteUndefToZero", "@", "matrix"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.755618545966187*^9, 3.755618612475985*^9}, {
  3.7556186760953293`*^9, 3.755618699505883*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"aa7f2348-f9a3-48aa-941f-1c7474ee0e47"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CStarMatrix", "@", 
   RowBox[{"CompleteUndefToZero", "@", 
    RowBox[{"DeteriorateMatrixAccordingToPattern", "[", 
     RowBox[{
      RowBox[{"N", "@", 
       RowBox[{"GMMMatrix", "@", 
        RowBox[{"(", "\[NoBreak]", GridBox[{
           {"1", "2", "3", "\[Placeholder]"},
           {
            RowBox[{"1", "/", "2"}], "1", "3", "4"},
           {
            RowBox[{"1", "/", "3"}], 
            RowBox[{"1", "/", "3"}], "1", "5"},
           {"\[Placeholder]", 
            RowBox[{"1", "/", "4"}], 
            RowBox[{"1", "/", "5"}], "1"}
          }], "\[NoBreak]", ")"}]}]}], ",", 
      RowBox[{"CompleteUndefToZero", "@", 
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"1", "2", "3", "\[Placeholder]"},
          {
           RowBox[{"1", "/", "2"}], "1", "3", "4"},
          {
           RowBox[{"1", "/", "3"}], 
           RowBox[{"1", "/", "3"}], "1", "5"},
          {"\[Placeholder]", 
           RowBox[{"1", "/", "4"}], 
           RowBox[{"1", "/", "5"}], "1"}
         }], "\[NoBreak]", ")"}]}]}], "]"}]}]}], " ", "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.7556177082152433`*^9, 3.7556177295171022`*^9}, {
  3.7556181566127996`*^9, 3.755618213005218*^9}, {3.755618257300959*^9, 
  3.755618272161056*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"96228a72-1ea2-47cf-bc9a-3be5d77f34ee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5396996575250611`", "0.514358444832832`", "0.514358444832832`", 
      "0.`"},
     {"0.29665692226214685`", "0.2827276079502917`", "0.2827276079502917`", 
      "0.5821734259395719`"},
     {"0.16364342021279193`", "0.15595966007050646`", "0.15595966007050646`", 
      "0.32114150531624486`"},
     {"0.`", "0.046954287146369775`", "0.046954287146369775`", 
      "0.09668506874418342`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.75561840734334*^9, 3.757696204807199*^9, 3.757696262317699*^9, 
   3.7577773954690657`*^9, 3.757784554980036*^9, 3.75779392746025*^9, {
   3.7578001067241497`*^9, 3.7578001627944193`*^9}, 3.757947658132038*^9, 
   3.7579477592548018`*^9, 3.757947886828061*^9, 3.757948040437825*^9, 
   3.757948308310091*^9, 3.757953775622265*^9, 3.757954157529162*^9, 
   3.757954323137521*^9, 3.757954543483838*^9, 3.757955610822538*^9, 
   3.757956185913027*^9, 3.757959397259158*^9, 3.757959587780827*^9, 
   3.757959749865765*^9, 3.757960007148305*^9, 3.757963295515336*^9, 
   3.757995360438202*^9, 3.758287298067012*^9, 3.759167710498674*^9, 
   3.759174469296821*^9, 3.7591764781623774`*^9, 3.759176816324257*^9, 
   3.759177374814103*^9, 3.759494598673458*^9, 3.759494899871416*^9, 
   3.759508156924613*^9, 3.7596042661319857`*^9, 3.759609221890901*^9, 
   3.759609366951194*^9, 3.759611344966652*^9, 3.759637666156678*^9, 
   3.760296247114973*^9, 3.7602964299340897`*^9, 3.76511784658922*^9, 
   3.782225882520176*^9, 3.78240953975835*^9, 3.782424118521812*^9, 
   3.782425586035429*^9, 3.782425958562624*^9, 3.7824287863639402`*^9, 
   3.782429115353265*^9, 3.782433718831251*^9, 3.782434092187297*^9, 
   3.7824561755554123`*^9, 3.782464158430798*^9, 3.7824730020085*^9, 
   3.7824733243647327`*^9, 3.782473582297415*^9, 3.782475571285405*^9, 
   3.7824971878039303`*^9, 3.78249923373983*^9, 3.782499275534295*^9, {
   3.7825657963280363`*^9, 3.7825658264824038`*^9}, 3.782579243039534*^9},
 CellLabel->
  "Out[57]//MatrixForm=",ExpressionUUID->"c4991b85-cd04-49c9-9337-\
f0bc175d3103"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "@", 
   RowBox[{"CStarMatrix", "@", 
    RowBox[{"CompleteUndefToZero", "@", 
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"1", "2", "3", "\[Placeholder]"},
        {
         RowBox[{"1", "/", "2"}], "1", "3", "4"},
        {
         RowBox[{"1", "/", "3"}], 
         RowBox[{"1", "/", "3"}], "1", "5"},
        {"\[Placeholder]", 
         RowBox[{"1", "/", "4"}], 
         RowBox[{"1", "/", "5"}], "1"}
       }], "\[NoBreak]", ")"}]}]}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.755618386460938*^9, 3.7556184175218267`*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"e09f7503-eb5a-4b58-8615-fba006e402c4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5454545454545454`", "0.5581395348837209`", "0.4166666666666667`", 
      "0.`"},
     {"0.2727272727272727`", "0.27906976744186046`", "0.4166666666666667`", 
      "0.4`"},
     {"0.18181818181818182`", "0.09302325581395349`", "0.1388888888888889`", 
      "0.5`"},
     {"0.`", "0.06976744186046512`", "0.027777777777777776`", "0.1`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.755617641552311*^9, 3.755617650630713*^9}, {
   3.7556177164388027`*^9, 3.755617729826104*^9}, 3.755618159142819*^9, {
   3.755618209602491*^9, 3.7556182766663437`*^9}, {3.75561839611861*^9, 
   3.755618418513803*^9}, 3.757696204865706*^9, 3.7576962623856983`*^9, 
   3.757777395635545*^9, 3.7577845550495863`*^9, 3.75779392756415*^9, {
   3.757800106812982*^9, 3.7578001628663797`*^9}, 3.7579476582357893`*^9, 
   3.757947759358588*^9, 3.757947886931324*^9, 3.757948040539249*^9, 
   3.757948308414487*^9, 3.7579537757121687`*^9, 3.757954157632362*^9, 
   3.75795432324288*^9, 3.757954543585286*^9, 3.757955611343395*^9, 
   3.7579561860166273`*^9, 3.757959397349922*^9, 3.757959587947102*^9, 
   3.757959749969775*^9, 3.7579600072662077`*^9, 3.757963295620537*^9, 
   3.757995360493703*^9, 3.7582872981544533`*^9, 3.759167710604785*^9, 
   3.759174469357978*^9, 3.7591764782695704`*^9, 3.759176816481824*^9, 
   3.7591773749022427`*^9, 3.759494598738552*^9, 3.7594948999370527`*^9, 
   3.759508157015093*^9, 3.759604266220278*^9, 3.759609221965094*^9, 
   3.7596093670376863`*^9, 3.759611345050264*^9, 3.7596376662256193`*^9, 
   3.7602962472186203`*^9, 3.760296430024722*^9, 3.765117846641131*^9, 
   3.782225885656266*^9, 3.7824095419954367`*^9, 3.782424118536272*^9, 
   3.782425586049664*^9, 3.782425958576764*^9, 3.782428786431353*^9, 
   3.78242911536429*^9, 3.7824337188841267`*^9, 3.782434092201353*^9, 
   3.782456175570444*^9, 3.782464158496348*^9, 3.782473002026133*^9, 
   3.78247332441147*^9, 3.78247358231396*^9, 3.782475571297749*^9, 
   3.782497190543804*^9, 3.7824992337541447`*^9, 3.782499275590249*^9, {
   3.7825658037684813`*^9, 3.782565826494361*^9}, 3.782579243051261*^9},
 CellLabel->
  "Out[58]//MatrixForm=",ExpressionUUID->"2c11b805-fd9b-41c0-aace-\
a4e8a397a828"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DiffMatrix", "@", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "2", "3", "\[Placeholder]"},
      {
       RowBox[{"1", "/", "2"}], "1", "3", "4"},
      {
       RowBox[{"1", "/", "3"}], 
       RowBox[{"1", "/", "3"}], "1", "5"},
      {"\[Placeholder]", 
       RowBox[{"1", "/", "4"}], 
       RowBox[{"1", "/", "5"}], "1"}
     }], "\[NoBreak]", ")"}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.75561846685469*^9, 3.755618478904149*^9}, {
  3.755618727274246*^9, 3.7556187286847897`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"adff5af2-880a-4c97-8019-cb6031306bf8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "0.005754887929484309`"}], 
      RowBox[{"-", "0.04378109005088893`"}], "0.09769177816616531`", "0.`"},
     {"0.023929649534874142`", "0.003657840508431265`", 
      RowBox[{"-", "0.13393905871637496`"}], "0.18217342593957186`"},
     {
      RowBox[{"-", "0.01817476160538989`"}], "0.06293640425655297`", 
      "0.017070771181617567`", 
      RowBox[{"-", "0.17885849468375514`"}]},
     {"0.`", 
      RowBox[{"-", "0.02281315471409534`"}], "0.019176509368592`", 
      RowBox[{"-", "0.0033149312558165833`"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.7556184794156237`*^9, 3.755618491214655*^9}, 
   3.755618729015683*^9, 3.757696204929533*^9, 3.757696262453011*^9, 
   3.7577773958407907`*^9, 3.757784555128083*^9, 3.75779392766381*^9, {
   3.757800106896525*^9, 3.7578001629488173`*^9}, 3.7579476583350267`*^9, 
   3.7579477594565277`*^9, 3.7579478870486813`*^9, 3.757948040657229*^9, 
   3.757948308505542*^9, 3.757953775811549*^9, 3.757954157733424*^9, 
   3.757954323341658*^9, 3.757954543688608*^9, 3.757955611453082*^9, 
   3.757956186133636*^9, 3.7579593975470753`*^9, 3.757959588096485*^9, 
   3.757959750085702*^9, 3.7579600073818903`*^9, 3.757963295722837*^9, 
   3.757995360590513*^9, 3.758287298235197*^9, 3.759167710720574*^9, 
   3.759174469424341*^9, 3.759176478364092*^9, 3.759176816677565*^9, 
   3.7591773749868307`*^9, 3.7594945988276863`*^9, 3.759494900025713*^9, 
   3.7595081570987797`*^9, 3.7596042663030157`*^9, 3.759609222064489*^9, 
   3.759609367100424*^9, 3.759611345132489*^9, 3.7596376662871723`*^9, 
   3.760296247321601*^9, 3.760296430112585*^9, 3.7651178466566668`*^9, 
   3.7822258969936666`*^9, 3.782409544682124*^9, 3.782424118582765*^9, 
   3.7824255860985203`*^9, 3.782425958626749*^9, 3.782428786451119*^9, 
   3.782429115429653*^9, 3.782433718902684*^9, 3.7824340922637672`*^9, 
   3.782456175628495*^9, 3.782464158516137*^9, 3.782473002083235*^9, 
   3.782473324425583*^9, 3.7824735823663187`*^9, 3.782475571348866*^9, 
   3.7824971927217503`*^9, 3.7824992338161182`*^9, 3.782499275605377*^9, {
   3.7825658059877872`*^9, 3.7825658265589952`*^9}, 3.7825792431158733`*^9},
 CellLabel->
  "Out[59]//MatrixForm=",ExpressionUUID->"153ec9b6-c881-4a0a-9bda-\
5cf9c19f0019"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PreprocessedDiffMatrix", "@", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "2", "3", "\[Placeholder]"},
      {
       RowBox[{"1", "/", "2"}], "1", "3", "4"},
      {
       RowBox[{"1", "/", "3"}], 
       RowBox[{"1", "/", "3"}], "1", "5"},
      {"\[Placeholder]", 
       RowBox[{"1", "/", "4"}], 
       RowBox[{"1", "/", "5"}], "1"}
     }], "\[NoBreak]", ")"}]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.75561871094652*^9, 3.755618724624214*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"dd948c32-a8c0-45f4-961e-c79688df8e36"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.005754887929484309`", "0.04378109005088893`", "0.09769177816616531`",
       "\[Placeholder]"},
     {"0.023929649534874142`", "0.003657840508431265`", 
      "0.13393905871637496`", "0.18217342593957186`"},
     {"0.01817476160538989`", "0.06293640425655297`", "0.017070771181617567`",
       "0.17885849468375514`"},
     {"\[Placeholder]", "0.02281315471409534`", "0.019176509368592`", 
      "0.0033149312558165833`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.7556187206281013`*^9, 3.755618725016522*^9}, 
   3.757696204995837*^9, 3.757696262518633*^9, 3.7577773959242887`*^9, 
   3.7577845551979513`*^9, 3.7577939277640877`*^9, {3.757800106980085*^9, 
   3.7578001630329638`*^9}, 3.757947658435787*^9, 3.7579477595579844`*^9, 
   3.7579478871653433`*^9, 3.757948041076201*^9, 3.7579483086018887`*^9, 
   3.7579537759117527`*^9, 3.757954157833255*^9, 3.757954323443226*^9, 
   3.757954543787718*^9, 3.757955611550789*^9, 3.757956186249675*^9, 
   3.7579593977330017`*^9, 3.757959588331369*^9, 3.757959750202363*^9, 
   3.757960007500668*^9, 3.757963295838704*^9, 3.757995360690651*^9, 
   3.758287298325766*^9, 3.759167710836494*^9, 3.759174469490891*^9, 
   3.7591764784513683`*^9, 3.7591768168325653`*^9, 3.75917737506398*^9, 
   3.7594945989046383`*^9, 3.759494900109921*^9, 3.759508157182085*^9, 
   3.759604266382676*^9, 3.759609222164022*^9, 3.759609367171626*^9, 
   3.759611345278179*^9, 3.759637666359695*^9, 3.760296247417934*^9, 
   3.760296430194582*^9, 3.765117846736375*^9, 3.782225899093319*^9, 
   3.78240954704504*^9, 3.782424118600992*^9, 3.782425586118553*^9, 
   3.782425958644207*^9, 3.7824287865184517`*^9, 3.782429115445839*^9, 
   3.782433718954543*^9, 3.782434092281116*^9, 3.782456175645693*^9, 
   3.782464158575693*^9, 3.782473002568533*^9, 3.782473324469161*^9, 
   3.782473582447513*^9, 3.782475571428329*^9, 3.7824971949949503`*^9, 
   3.782499233831007*^9, 3.782499275654965*^9, 3.782565826571539*^9, 
   3.782579243128909*^9},
 CellLabel->
  "Out[60]//MatrixForm=",ExpressionUUID->"799c1249-e797-4773-adaa-\
1a3ccee9b166"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GGWI", "[", "matrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"Length", "@", "matrix"}]}], "*", 
    RowBox[{"Plus", "@@", 
     RowBox[{"Select", "[", 
      RowBox[{
       RowBox[{"Flatten", "@", 
        RowBox[{"PreprocessedDiffMatrix", "@", "matrix"}]}], ",", " ", 
       "NumberQ"}], "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.755618909380385*^9, 3.75561897289528*^9}, {
  3.7824957420723*^9, 3.782495745987339*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"2595ab7f-f037-4da5-9f38-fb6c0046b9a4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GGWI", "@", 
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "2", "3", "\[Placeholder]"},
     {
      RowBox[{"1", "/", "2"}], "1", "3", "4"},
     {
      RowBox[{"1", "/", "3"}], 
      RowBox[{"1", "/", "3"}], "1", "5"},
     {"\[Placeholder]", 
      RowBox[{"1", "/", "4"}], 
      RowBox[{"1", "/", "5"}], "1"}
    }], "\[NoBreak]", ")"}]}]], "Input",
 CellChangeTimes->{{3.7556190747551928`*^9, 3.7556190953119392`*^9}, 
   3.7824957506789627`*^9},
 CellLabel->"In[62]:=",ExpressionUUID->"9e4cd4bc-99e7-4dc9-b7ad-6511c64ee937"],

Cell[BoxData["0.20331818947790256`"], "Output",
 CellChangeTimes->{{3.7556190971585608`*^9, 3.755619116605686*^9}, 
   3.757696205142735*^9, 3.757696262666687*^9, 3.757777396125486*^9, 
   3.757784555382127*^9, 3.7577939279972963`*^9, {3.7578001071790752`*^9, 
   3.7578001632158422`*^9}, 3.757938441464673*^9, 3.75794765858097*^9, 
   3.757947759687223*^9, 3.757947887310789*^9, 3.7579480427407618`*^9, 
   3.7579483087344027`*^9, 3.7579537760414333`*^9, 3.75795415796094*^9, 
   3.7579543235709476`*^9, 3.7579545439072437`*^9, 3.757955611679441*^9, 
   3.757956186442461*^9, 3.757959397944428*^9, 3.757959588402588*^9, 
   3.75795975038239*^9, 3.757960007676893*^9, 3.757963295984157*^9, 
   3.757995360820937*^9, 3.758287298433538*^9, 3.75916771098302*^9, 
   3.759174469703744*^9, 3.759176478581056*^9, 3.759176816933262*^9, 
   3.759177375180656*^9, 3.759494599023512*^9, 3.759494900221298*^9, 
   3.759508158344359*^9, 3.759604266498859*^9, 3.759609222292294*^9, 
   3.75960936725727*^9, 3.759611345368319*^9, 3.7596376665202627`*^9, 
   3.760296247565084*^9, 3.760296430308517*^9, 3.765117846855145*^9, 
   3.78222593167435*^9, 3.7824095500326023`*^9, 3.7824241186554937`*^9, 
   3.782425586183112*^9, 3.782425958707407*^9, 3.7824287865956297`*^9, 
   3.782429115516364*^9, 3.782433719019929*^9, 3.7824340923541813`*^9, 
   3.782456175709218*^9, 3.782464158732191*^9, 3.782473002780383*^9, 
   3.782473324524416*^9, 3.78247358250702*^9, 3.782475571489756*^9, 
   3.782495751737015*^9, 3.782497198337906*^9, 3.782499233893495*^9, 
   3.782499275739354*^9, 3.782565826641994*^9, 3.7825792432008677`*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"8e04eb5d-5297-4f05-984a-1e0f2c827c9c"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GGWI2", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Mean", "@", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"Flatten", "@", 
       RowBox[{"PreprocessedDiffMatrix", "@", "matrix"}]}], ",", " ", 
      "NumberQ"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.782538740652637*^9, 3.782538749776449*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"8e34c7f5-d4df-4ade-9d21-0f0e643eb3e8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GGWI", "@", 
  SubscriptBox["C", "test"]}]], "Input",
 CellChangeTimes->{{3.753725815864482*^9, 3.753725820788869*^9}, 
   3.782497203025694*^9},
 CellLabel->"In[64]:=",ExpressionUUID->"f5aa4efe-2aa8-4c2a-9309-b15def59e85f"],

Cell[BoxData["0.13486759130954998`"], "Output",
 CellChangeTimes->{
  3.7537258225565033`*^9, 3.7538005640025263`*^9, 3.755606416730486*^9, 
   3.7556190364095783`*^9, 3.7556191205313396`*^9, 3.75769620520299*^9, 
   3.7576962628054037`*^9, 3.7577773962077017`*^9, 3.757784555465151*^9, 
   3.757793928098961*^9, {3.757800107264147*^9, 3.757800163299163*^9}, 
   3.757947658685884*^9, 3.757947759793944*^9, 3.757947887416361*^9, 
   3.757948042923644*^9, 3.757948308835969*^9, 3.7579537761256933`*^9, 
   3.75795415806544*^9, 3.7579543236764936`*^9, 3.757954544001957*^9, 
   3.757955611784471*^9, 3.757956186514393*^9, 3.757959398237355*^9, 
   3.7579595884570923`*^9, 3.757959750485712*^9, 3.75796000778193*^9, 
   3.75796329608844*^9, 3.7579953609242887`*^9, 3.7582872984969463`*^9, 
   3.759167711086319*^9, 3.759174469820097*^9, 3.759176478657257*^9, 
   3.759176817020677*^9, 3.759177375262026*^9, 3.759494599088937*^9, 
   3.759494900290628*^9, 3.7595081585299463`*^9, 3.759604266569222*^9, 
   3.759609222372064*^9, 3.759609367322689*^9, 3.759611345450184*^9, 
   3.759637666592654*^9, 3.760296247683601*^9, 3.760296430373295*^9, 
   3.7651178468664217`*^9, 3.7822259337266293`*^9, 3.782409551434888*^9, 
   3.782424118706266*^9, 3.782425586233035*^9, 3.782425958759636*^9, 
   3.7824287866151237`*^9, 3.782429115585096*^9, 3.782433719038047*^9, 
   3.782434092417468*^9, 3.782456175759424*^9, 3.782464158789844*^9, 
   3.7824730028484697`*^9, 3.782473324535043*^9, 3.7824735825194817`*^9, 
   3.782475571506896*^9, {3.7824971996784143`*^9, 3.782497203866971*^9}, 
   3.7824992339498043`*^9, 3.782499275790394*^9, 3.782565826708411*^9, 
   3.782579243275696*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"7ae53919-9f33-42d2-9892-2e9800e7b609"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GGWI2", "@", 
  SubscriptBox["C", "test"]}]], "Input",
 CellChangeTimes->{3.7825387616961317`*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"a1d41917-e978-428b-823f-796be627044a"],

Cell[BoxData["0.0304539722311887`"], "Output",
 CellChangeTimes->{3.782538762356626*^9, 3.782565826768599*^9, 
  3.782579243337834*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"7db16f39-0eb5-4788-8cbf-143ad6fbcd69"]
}, Open  ]],

Cell["\<\
===========================================================
Salo-Hamalainen Index
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
   3.753724035107628*^9, 3.753724042042426*^9}, {3.753725961221751*^9, 
   3.753725965614663*^9}, 3.7537270942999897`*^9, {3.7537288564888277`*^9, 
   3.753728913379509*^9}, {3.7537290033255777`*^9, 3.753729022303363*^9}, {
   3.753729065019734*^9, 3.753729270616441*^9}, {3.753733090536295*^9, 
   3.753733096519042*^9}, {3.7822259506069*^9, 
   3.7822259532030363`*^9}},ExpressionUUID->"0f198aac-49f0-470a-8d70-\
5db0e25f6175"],

Cell["\<\
GetTuplesByPath - Find all paths between the given two vertices in a graph\
\>", "Text",
 CellChangeTimes->{{3.759173259436398*^9, 3.759173274060939*^9}, {
  3.759176458657423*^9, 3.7591764704007*^9}, {3.759176803778893*^9, 
  3.759176805328154*^9}, {3.782538444657668*^9, 
  3.782538495117051*^9}},ExpressionUUID->"df308006-2b16-4357-ad58-\
f4c34fd532d5"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetTuplesByPath", "[", 
    RowBox[{"adjmatrix_", ",", " ", "i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"GetTuplesByPath", "[", 
     RowBox[{"adjmatrix", ",", " ", "i", ",", "j"}], "]"}], "=", 
    RowBox[{"FindPath", "[", 
     RowBox[{
      RowBox[{"AdjacencyGraph", "@", "adjmatrix"}], ",", " ", "i", ",", " ", 
      "j", ",", " ", "Infinity", ",", " ", "All"}], "]"}]}]}], ";"}]], "Input",\

 CellChangeTimes->{
  3.7591730897521*^9, {3.7591743789608583`*^9, 3.759174388353449*^9}, {
   3.759174434694875*^9, 3.7591744396651993`*^9}, {3.7591763710200567`*^9, 
   3.759176384955225*^9}, {3.7591767898501883`*^9, 3.75917679743337*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"5161118c-c095-4013-8df4-2b866c79366b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetProductByTuple", "[", 
    RowBox[{"matrix_", ",", " ", "tuple_"}], "]"}], ":=", " ", 
   RowBox[{"Times", "@@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"matrix", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"tuple", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
         RowBox[{"tuple", "[", 
          RowBox[{"[", 
           RowBox[{"i", "+", "1"}], "]"}], "]"}]}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{
         RowBox[{"Length", "@", "tuple"}], "-", "1"}]}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.75917310792122*^9},
 CellLabel->"In[67]:=",ExpressionUUID->"47ffbcef-18bb-4938-9b76-a90e3d2791fe"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetEstimationList", "[", 
    RowBox[{"matrix_", ",", "i_", ",", "j_"}], "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"GetProductByTuple", "[", 
       RowBox[{"matrix", ",", " ", "#"}], "]"}], " ", "&"}], ",", " ", 
     RowBox[{"GetTuplesByPath", "[", 
      RowBox[{
       RowBox[{"AdjacencyMatrixFromPCMatrix", "@", "matrix"}], ",", " ", "i", 
       ",", "j"}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.7591731333346148`*^9, 3.759174410575877*^9},
 CellLabel->"In[68]:=",ExpressionUUID->"2ab90d7e-082f-4c1e-9aa3-d4aef81c73ce"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"estList", " ", "=", " ", 
         RowBox[{"GetEstimationList", "[", 
          RowBox[{"matrix", ",", " ", "i", ",", " ", "j"}], "]"}]}], "}"}], 
       ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Min", "@", "estList"}], ",", " ", 
         RowBox[{"Max", "@", "estList"}]}], "}"}]}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", 
       RowBox[{"Length", "@", "matrix"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", 
       RowBox[{"Length", "@", "matrix"}]}], "}"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{3.7591731496705427`*^9},
 CellLabel->"In[69]:=",ExpressionUUID->"e2f1ad98-fc9c-487d-857f-9418533fcb7b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GSHI", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"n", "=", 
        RowBox[{"Length", "@", "matrix"}]}], ",", " ", 
       RowBox[{"rm", "=", 
        RowBox[{"RMatrix", "[", "matrix", "]"}]}]}], "}"}], ",", 
     RowBox[{
      FractionBox["2", 
       RowBox[{"n", 
        RowBox[{"(", 
         RowBox[{"n", "-", "1"}], ")"}]}]], 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"Sum", "[", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"Last", "@", 
             RowBox[{"rm", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "-", 
            RowBox[{"First", "@", 
             RowBox[{"rm", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"Last", "@", 
               RowBox[{"rm", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], ")"}], 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"First", "@", 
               RowBox[{"rm", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], ")"}]}]], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", 
            RowBox[{"i", "+", "1"}], ",", "n"}], "}"}]}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.759173176570706*^9, 3.78249550253835*^9},
 CellLabel->"In[70]:=",ExpressionUUID->"11b62151-5120-4592-abcf-aa2e5e615eb6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["C", "test"], " ", "//", " ", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.7576962997592697`*^9, 3.757696303439398*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"fd0d8381-e0b0-481f-9ed9-3e3c7d761286"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "0.8017780039691671`", "\[Placeholder]", "\[Placeholder]", 
      "1.779731408349984`", "2.1987963576492913`", "\[Placeholder]"},
     {"1.2472280295163294`", "1.`", "17.487378197119163`", 
      "9.476454486780415`", "\[Placeholder]", "\[Placeholder]", 
      "1.457983249052232`"},
     {"\[Placeholder]", "0.057184100939999004`", "1.`", "\[Placeholder]", 
      "0.0758061767675159`", "\[Placeholder]", "\[Placeholder]"},
     {"\[Placeholder]", "0.10552469822917344`", "\[Placeholder]", "1.`", 
      "0.12211491175427414`", "\[Placeholder]", "0.07896292565102792`"},
     {"0.5618825376167942`", "\[Placeholder]", "13.191537189203231`", 
      "8.189008087826744`", "1.`", "0.7592863581878664`", 
      "0.6218262452625495`"},
     {"0.45479427711490705`", "\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]", "1.3170261643928747`", "1.`", "0.8035255354014514`"},
     {"\[Placeholder]", "0.6858789362978307`", "\[Placeholder]", 
      "12.664171087320677`", "1.6081662805624692`", "1.2445155205931164`", 
      "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.757696303782597*^9, 3.757777396370783*^9, 3.757784555594391*^9, 
   3.7577939283432913`*^9, {3.7578001074086847`*^9, 3.757800163460553*^9}, 
   3.7579476588422194`*^9, 3.757947759947785*^9, 3.7579478877848263`*^9, 
   3.757948043709188*^9, 3.7579483089818163`*^9, 3.7579537762656593`*^9, 
   3.757954158293748*^9, 3.757954323879353*^9, 3.757954544218587*^9, 
   3.757955612089999*^9, 3.757956186657449*^9, 3.7579593983574123`*^9, 
   3.757959588568931*^9, 3.757959750644409*^9, 3.7579600079420843`*^9, 
   3.757963296262765*^9, 3.7579953610874357`*^9, 3.758287298604566*^9, 
   3.7591677112345943`*^9, 3.759173182403019*^9, 3.7591744701865063`*^9, 
   3.7591764789980164`*^9, 3.75917681718229*^9, 3.75917737554685*^9, 
   3.7594945992437353`*^9, 3.759494900424645*^9, 3.759508158767878*^9, 
   3.7596042667763367`*^9, 3.759609222525445*^9, 3.759609367470787*^9, 
   3.759611345595107*^9, 3.759637666770994*^9, 3.760296247835682*^9, 
   3.7602964305284367`*^9, 3.7651178472323847`*^9, 3.7822259854879293`*^9, 
   3.782409564585586*^9, 3.78242411880704*^9, 3.782425586338134*^9, 
   3.7824259588662357`*^9, 3.782428786839218*^9, 3.782429115797948*^9, 
   3.782433719225128*^9, 3.782434092546425*^9, 3.782456175941386*^9, 
   3.782464158899414*^9, 3.7824730029692173`*^9, 3.7824733246136827`*^9, 
   3.78247358270112*^9, 3.7824755716771383`*^9, 3.782497223663721*^9, 
   3.7824992340554733`*^9, 3.782499275957988*^9, 3.782565826870874*^9, 
   3.7825792434786453`*^9},
 CellLabel->
  "Out[71]//MatrixForm=",ExpressionUUID->"8d34f922-7c92-4c82-9b3e-\
ec6dac5aeb77"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RMatrix", "@", 
   SubscriptBox["C", "test"]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.757696819112853*^9, 3.757696831926264*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"6a27a27a-f822-48ee-b7e5-f7dd0a92a5b9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.7447443386332533`"},
          {"2.5024466683120767`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"12.239512631288411`"},
          {"43.761231306894096`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"7.057535829345405`"},
          {"40.33475457054897`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.927830658075693`"},
          {"3.130003880913133`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.7044891613853443`"},
          {"2.7905688062591376`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.5660750305866784`"},
          {"3.648525324045574`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.3996089158113845`"},
          {"1.3427426676853818`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"9.943385826738353`"},
          {"47.645367407718375`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"9.476454486780415`"},
          {"29.577167046810917`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.75377006364934`"},
          {"3.6118131438627397`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.8786586285702545`"},
          {"2.89677010672512`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.7060246449570188`"},
          {"2.335499642485363`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.022851276578281773`"},
          {"0.08170259961525393`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.020988399385036622`"},
          {"0.10056936514632075`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.1988956115226696`"},
          {"1.691343705924048`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.04310366340527332`"},
          {"0.20653828739506203`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.03180341057202376`"},
          {"0.17964737844449874`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.015705379384980293`"},
          {"0.144351255948083`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.02479251480880871`"},
          {"0.14169251480693523`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.03380986415694679`"},
          {"0.10552469822917344`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.591245881305752`"},
          {"5.027763017717577`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.04750310231372812`"},
          {"0.3811354920662778`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.0545136912585747`"},
          {"0.3056807913514588`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.049294215593559884`"},
          {"0.23700005196786775`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.31948842175501224`"},
          {"1.0777828812792039`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.27686925102956084`"},
          {"1.3266645204222494`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"4.841717303907054`"},
          {"23.199884209323596`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.6237388561706148`"},
          {"21.051256682050553`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.41953587330435066`"},
          {"2.3698250736934723`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.2071780962275133`"},
          {"1.9042149611473311`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.358349881127116`"},
          {"1.419468254179451`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.34521206832340867`"},
          {"1.1380984235335985`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"5.566460299385586`"},
          {"31.443168578896426`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.2713864537541135`"},
          {"18.344015547520012`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.42197207342458326`"},
          {"2.383586395422624`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.26239331002326144`"},
          {"1.659328437284739`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.27408333811184177`"},
          {"1.7665502733155414`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.4281739041226453`"},
          {"1.4163811520501213`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"6.927546237350769`"},
          {"63.67245104287909`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"4.219408357495125`"},
          {"20.286355872769924`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.525150794633752`"},
          {"4.826765078977495`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0.6026534455326767`"},
          {"3.811072774345311`"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[Infinity]"},
          {
           RowBox[{"-", "\[Infinity]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.757696826182034*^9, 3.7576968323194036`*^9}, 
   3.7577773964565907`*^9, 3.757784555663759*^9, 3.757793928447563*^9, {
   3.7578001075134783`*^9, 3.7578001635334053`*^9}, 3.757947658953525*^9, 
   3.757947760040515*^9, 3.757947887897604*^9, 3.7579480438081007`*^9, 
   3.75794830908912*^9, 3.757953776361292*^9, 3.757954158419385*^9, 
   3.757954323974504*^9, 3.757954544321454*^9, 3.757955612185899*^9, 
   3.757956186766287*^9, 3.757959398450551*^9, 3.757959588660871*^9, 
   3.7579597507527313`*^9, 3.7579600080503063`*^9, 3.7579632963378677`*^9, 
   3.757995361189761*^9, 3.7582872986890717`*^9, 3.759167711330865*^9, 
   3.75917318777978*^9, 3.759174470244751*^9, 3.759176479075809*^9, 
   3.7591768172584057`*^9, 3.759177375614431*^9, 3.759494599327157*^9, 
   3.759494900508462*^9, 3.759508158876854*^9, 3.7596042668579407`*^9, 
   3.75960922260636*^9, 3.759609367539096*^9, 3.759611345655313*^9, 
   3.759637666841016*^9, 3.760296247938077*^9, 3.760296430612171*^9, 
   3.765117847289158*^9, 3.782225991162848*^9, 3.782409566788624*^9, 
   3.782424118870967*^9, 3.7824255863934307`*^9, 3.782425958930945*^9, 
   3.782428786910178*^9, 3.782429115868244*^9, 3.782433719283881*^9, 
   3.782434092667572*^9, 3.782456176012824*^9, 3.7824641589821463`*^9, 
   3.7824730030341263`*^9, 3.7824733246631393`*^9, 3.782473582754414*^9, 
   3.782475571744012*^9, 3.782497227039953*^9, 3.782499234116295*^9, 
   3.782499276020803*^9, 3.782565826939311*^9, 3.782579243567346*^9},
 CellLabel->
  "Out[72]//MatrixForm=",ExpressionUUID->"3dfedd31-626b-4157-8aef-\
50860e281276"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GSHI", "@", 
  SubscriptBox["C", "test"]}]], "Input",
 CellChangeTimes->{{3.7537287664197073`*^9, 3.753728768601796*^9}, 
   3.7824957796719837`*^9},
 CellLabel->"In[73]:=",ExpressionUUID->"8bebf80c-4c49-4713-92c9-667907decaed"],

Cell[BoxData["0.2477445181354846`"], "Output",
 CellChangeTimes->{
  3.753728769906095*^9, 3.753729285625906*^9, 3.753800564128826*^9, 
   3.7556064336871758`*^9, 3.757696205459938*^9, 3.75769626305339*^9, 
   3.757696308593012*^9, 3.7576969213119593`*^9, 3.7577773966027412`*^9, 
   3.757784555728304*^9, 3.757793928548807*^9, {3.757800107611989*^9, 
   3.757800163615395*^9}, 3.757947659118499*^9, 3.7579477602321873`*^9, 
   3.75794788801585*^9, 3.757948043906892*^9, 3.757948309204361*^9, 
   3.757953776460699*^9, 3.757954158533716*^9, 3.757954324076165*^9, 
   3.757954544421132*^9, 3.7579556123677473`*^9, 3.757956186883441*^9, 
   3.7579593985492773`*^9, 3.757959588759926*^9, 3.757959750869452*^9, 
   3.7579600081662273`*^9, 3.7579632964382343`*^9, 3.7579953612909727`*^9, 
   3.7582872987715273`*^9, 3.759167711437913*^9, 3.759173192571699*^9, 
   3.759174470324153*^9, 3.759176479230218*^9, 3.7591768173558693`*^9, 
   3.7591773756742773`*^9, 3.759494599411941*^9, 3.759494900592441*^9, 
   3.759508158994193*^9, 3.759604266933844*^9, 3.759609222696295*^9, 
   3.7596093675997543`*^9, 3.759611345731179*^9, 3.7596376669026423`*^9, 
   3.760296248051339*^9, 3.760296430696507*^9, 3.765117847344822*^9, 
   3.782226003799899*^9, 3.7824095692347507`*^9, 3.7824241189184713`*^9, 
   3.782425586412916*^9, 3.78242595898811*^9, 3.7824287869804487`*^9, 
   3.782429115936932*^9, 3.7824337193413363`*^9, 3.782434092728979*^9, 
   3.782456176064399*^9, 3.782464159052071*^9, 3.782473003097966*^9, 
   3.78247332471445*^9, 3.78247358280398*^9, 3.7824755717916813`*^9, 
   3.782495780704887*^9, 3.7824972293379793`*^9, 3.782499234134116*^9, 
   3.782499276067443*^9, 3.782565826996223*^9, 3.7825792436400013`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"2e8de6fe-e1b2-461d-ade4-70055375f810"]
}, Open  ]],

Cell["\<\
===========================================================
Relative Error (Barzilai) Index
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
  3.753724035107628*^9, 3.753724042042426*^9}, {3.753729898530869*^9, 
  3.753729903584096*^9}, {3.7537303682940893`*^9, 3.7537303879451723`*^9}, {
  3.753731518372768*^9, 3.7537317317328672`*^9}, {3.753732717774345*^9, 
  3.753732738910364*^9}, {3.753733053206965*^9, 3.753733069314746*^9}, {
  3.7537331090962973`*^9, 3.7537331316418858`*^9}, {3.782226027679215*^9, 
  3.782226028883245*^9}},ExpressionUUID->"4953fca1-ef38-4074-856f-\
a77a53fdacbb"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"XMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"delta", " ", "=", " ", 
        RowBox[{"Mean", "@", 
         RowBox[{"Transpose", "@", "matrix"}]}]}], ",", " ", 
       RowBox[{"n", " ", "=", " ", 
        RowBox[{"Length", "@", "matrix"}]}]}], "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"delta", "[", 
         RowBox[{"[", "i", "]"}], "]"}], " ", "-", " ", 
        RowBox[{"delta", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "n"}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], " ", "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.753730646493968*^9, 3.753730777101776*^9}, 
   3.753731092360241*^9, 3.7537327523447227`*^9, 3.757704459123082*^9, {
   3.757704520557941*^9, 3.7577045234558907`*^9}, 3.7577050407635202`*^9, {
   3.757707243135499*^9, 3.7577072572059793`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"32221d43-d00e-485c-a89e-dfc86329cc3f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"EMatrix", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{"matrix", "-", 
    RowBox[{"XMatrix", "[", "matrix", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753730908706155*^9, 3.753730925401517*^9}, 
   3.753732791618861*^9, {3.757704726355948*^9, 3.7577047264994297`*^9}, {
   3.7577065872749767`*^9, 3.75770659036592*^9}, {3.757707271811161*^9, 
   3.757707272089353*^9}, {3.757707321771283*^9, 3.757707325541237*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"64ac20f1-1494-4597-bce7-242e14faeeb6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"REI", "[", "matrix_", "]"}], ":=", 
   FractionBox[
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Flatten", "@", 
         RowBox[{"EMatrix", "[", "matrix", "]"}]}], ")"}], "2"], ")"}]}], 
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Flatten", "@", "matrix"}], ")"}], "2"], ")"}]}]]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.757705357926283*^9, 3.7577053774547997`*^9}, {
  3.757706741421085*^9, 3.757706744110241*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"02de8879-b56e-4b30-9b02-238e2f7e418f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RCI", "[", "matrix_", "]"}], ":=", 
   FractionBox[
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Flatten", "@", 
         RowBox[{"XMatrix", "[", "matrix", "]"}]}], ")"}], "2"], ")"}]}], 
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Flatten", "@", "matrix"}], ")"}], "2"], ")"}]}]]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7577053968176737`*^9, 3.7577054054110937`*^9}, {
   3.757706724266803*^9, 3.757706732510888*^9}, 3.757707475223881*^9},
 CellLabel->"In[77]:=",ExpressionUUID->"b13d8cb7-44c4-4c84-b607-87027420c1cc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"matrix", " ", "=", " ", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "1", "2", "3"},
      {"1", "1", "4", "5"},
      {
       FractionBox["1", "2"], 
       FractionBox["1", "4"], "1", "6"},
      {
       FractionBox["1", "3"], 
       FractionBox["1", "5"], 
       FractionBox["1", "6"], "1"}
     }], "\[NoBreak]", ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757774634009107*^9, 3.757774636810555*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"48ef4940-939f-401c-8471-463b87f90350"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetProperEntry", "[", 
    RowBox[{"i_", ",", "j_", ",", " ", "matrix_", ",", " ", "gmm_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"NumberQ", "@", 
      RowBox[{"matrix", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j"}], "]"}], "]"}]}], ",", " ", 
     RowBox[{"matrix", "[", 
      RowBox[{"[", 
       RowBox[{"i", ",", "j"}], "]"}], "]"}], ",", " ", 
     RowBox[{
      RowBox[{"gmm", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "/", 
      RowBox[{"gmm", "[", 
       RowBox[{"[", "j", "]"}], "]"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757774716832996*^9, 3.7577747937038393`*^9}, 
   3.757775318568775*^9},
 CellLabel->"In[79]:=",ExpressionUUID->"ccc1ff69-dcfe-427f-8bbc-a84c4d210fa1"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetProperEntryZero", "[", 
    RowBox[{"i_", ",", "j_", ",", " ", "matrix_", ",", " ", "gmm_"}], "]"}], ":=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"NumberQ", "@", 
      RowBox[{"matrix", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j"}], "]"}], "]"}]}], ",", " ", 
     RowBox[{"matrix", "[", 
      RowBox[{"[", 
       RowBox[{"i", ",", "j"}], "]"}], "]"}], ",", " ", "1"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7594952470972548`*^9, 3.759495266647328*^9}, 
   3.759495330695805*^9},
 CellLabel->"In[80]:=",ExpressionUUID->"557ee67d-8325-4fd4-b48a-d86fae3dc89e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"REv1", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"gmm", " ", "=", " ", 
        RowBox[{"GMM", "[", "matrix", "]"}]}], ",", " ", 
       RowBox[{"n", "=", 
        RowBox[{"Length", "@", "matrix"}]}]}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"GetProperEntry", "[", 
             RowBox[{"i", ",", "j", ",", "matrix", ",", "gmm"}], "]"}], "]"}],
            "-", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"gmm", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "/", 
             RowBox[{"gmm", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}], ")"}], "2"], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], "/", 
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"GetProperEntry", "[", 
           RowBox[{"i", ",", "j", ",", "matrix", ",", "gmm"}], "]"}], "]"}], 
         "2"], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.753732809950021*^9, 3.7537328143320436`*^9}, 
   3.757704409130975*^9, {3.757774597907227*^9, 3.757774696705068*^9}, {
   3.757774807350142*^9, 3.757774957821693*^9}, {3.7577750036993923`*^9, 
   3.757775045413553*^9}, {3.757775781703452*^9, 3.7577759033495502`*^9}, {
   3.782226152220707*^9, 3.7822261523309402`*^9}},
 CellLabel->"In[81]:=",ExpressionUUID->"61ba7508-f282-481d-af9c-c853bae36bd8"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"RC", "[", "matrix_", "]"}], ":=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"gmm", " ", "=", " ", 
         RowBox[{"GMM", "[", "matrix", "]"}]}], ",", " ", 
        RowBox[{"n", "=", 
         RowBox[{"Length", "@", "matrix"}]}]}], "}"}], ",", " ", 
      FractionBox[
       RowBox[{"Sum", "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"gmm", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "/", 
             RowBox[{"gmm", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ")"}], "2"], ",", " ", 
         
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], 
       RowBox[{"Sum", "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Log", "[", 
           RowBox[{"GetProperEntry", "[", 
            RowBox[{"i", ",", "j", ",", "matrix", ",", "gmm"}], "]"}], "]"}], 
          "2"], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]]}], "]"}]}], 
   ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.757775076894553*^9, 3.757775102465455*^9}, {
   3.7577759217235117`*^9, 3.757775938607885*^9}, 3.78222616023483*^9},
 CellLabel->"In[82]:=",ExpressionUUID->"d827bfd6-7135-4cfc-a1f0-6d7488a6d6b0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"REv2", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"gmm", " ", "=", " ", 
        RowBox[{"GMM", "[", "matrix", "]"}]}], ",", " ", 
       RowBox[{"n", "=", 
        RowBox[{"Length", "@", "matrix"}]}]}], "}"}], ",", " ", 
     RowBox[{
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"GetProperEntry", "[", 
             RowBox[{"i", ",", "j", ",", "matrix", ",", "gmm"}], "]"}], "]"}],
            "-", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"gmm", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "/", 
             RowBox[{"gmm", "[", 
              RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}], ")"}], "2"], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], "/", 
      RowBox[{"Sum", "[", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Log", "[", 
          RowBox[{"GetProperEntryZero", "[", 
           RowBox[{"i", ",", "j", ",", "matrix", ",", "gmm"}], "]"}], "]"}], 
         "2"], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.759495282659463*^9, 3.759495317489952*^9}, {
   3.759495368138588*^9, 3.759495373373817*^9}, 3.7594954366948013`*^9, {
   3.7822261653834543`*^9, 3.7822261662057056`*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"af96d28f-d6cc-43f7-ad95-2ea85548fc34"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"N", "@", 
    RowBox[{"RC", "[", "matrix", "]"}]}], " ", "+", " ", 
   RowBox[{"N", "@", 
    RowBox[{"RE", "[", "matrix", "]"}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.757775276515162*^9, 3.7577752876872597`*^9}, {
   3.75777600201338*^9, 3.757776029867634*^9}, {3.757776256481835*^9, 
   3.757776256635787*^9}, 3.782226174081455*^9},
 CellLabel->"In[84]:=",ExpressionUUID->"e4f3fe20-2d43-438e-a529-65d8c2f9dae5"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"N", "@", 
     RowBox[{"REI", "@", 
      RowBox[{"Log", "@", "matrix"}]}]}], ",", " ", 
    RowBox[{"N", "@", 
     RowBox[{"RE", "@", "matrix"}]}]}], "}"}], "*)"}]], "Input",
 CellChangeTimes->{{3.7577762659295588`*^9, 3.757776306282669*^9}, 
   3.78222618923748*^9},
 CellLabel->"In[85]:=",ExpressionUUID->"0796e192-25d4-4394-87e5-3ea20c0f8c03"],

Cell[BoxData[
 RowBox[{
  RowBox[{"matrixIncompl", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "1", "\[Placeholder]", "3"},
      {"1", "1", "\[Placeholder]", "5"},
      {"\[Placeholder]", "\[Placeholder]", "1", "6"},
      {
       FractionBox["1", "3"], 
       FractionBox["1", "5"], 
       FractionBox["1", "6"], "1"}
     }], "\[NoBreak]", ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.757776337367414*^9, 3.7577763882289457`*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"d3dc0c38-a0b7-4a31-a6ad-5322e1060e3d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "@", 
  RowBox[{"REv1", "@", "matrixIncompl"}]}]], "Input",
 CellChangeTimes->{
  3.75777636087512*^9, {3.757776405698172*^9, 3.757776407836501*^9}, {
   3.78222619825391*^9, 3.782226198375043*^9}},
 CellLabel->"In[87]:=",ExpressionUUID->"08a23797-220d-46a3-aa75-90473e67d21c"],

Cell[BoxData["0.011745671836531356`"], "Output",
 CellChangeTimes->{
  3.757776409171812*^9, 3.757777397771976*^9, 3.7577845561615143`*^9, 
   3.757793929126369*^9, {3.757800108140553*^9, 3.757800164161606*^9}, 
   3.757947659962331*^9, 3.757947761241273*^9, 3.757947888809037*^9, 
   3.757948044738896*^9, 3.757948309715066*^9, 3.757953776987255*^9, 
   3.7579541590426903`*^9, 3.757954324585884*^9, 3.757954544914699*^9, 
   3.757955617790066*^9, 3.757956187501363*^9, 3.757959399583414*^9, 
   3.7579595890947247`*^9, 3.757959751447722*^9, 3.757960008768386*^9, 
   3.7579632974975853`*^9, 3.757995361821068*^9, 3.758287299183475*^9, 
   3.7591677120657043`*^9, 3.7591744706857843`*^9, 3.759176479696171*^9, 
   3.7591768178661127`*^9, 3.759177376007277*^9, 3.7594945998554983`*^9, 
   3.759494901174574*^9, 3.759508161159998*^9, 3.759604267380221*^9, 
   3.759609223208499*^9, 3.75960936806602*^9, 3.7596113460789843`*^9, 
   3.75963766737016*^9, 3.76029624866361*^9, 3.760296431208705*^9, 
   3.7651178479986486`*^9, 3.782226199446783*^9, 3.7824095998485928`*^9, 
   3.7824241191610537`*^9, 3.782425586574278*^9, 3.782425959231217*^9, 
   3.782428787173472*^9, 3.78242911611206*^9, 3.782433719835966*^9, 
   3.782434093000091*^9, 3.782456176494598*^9, 3.782464159261744*^9, 
   3.782473003290797*^9, 3.7824733250377417`*^9, 3.782473583211443*^9, 
   3.782475572188697*^9, 3.782497259257792*^9, 3.782499234325635*^9, 
   3.782499276468492*^9, 3.7825658271847477`*^9, 3.782579244189763*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"8e97ec5c-8d20-441a-a5ef-fbbc841bc436"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "@", 
  RowBox[{"REv2", "@", "matrixIncompl"}]}]], "Input",
 CellChangeTimes->{{3.7577764360069036`*^9, 3.7577764382442503`*^9}, {
  3.782226208435823*^9, 3.782226209640871*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"48b91fa4-5642-4a38-bf85-496f6734581e"],

Cell[BoxData["0.012412298939093715`"], "Output",
 CellChangeTimes->{
  3.757776439906443*^9, 3.757777397859811*^9, 3.757784556232085*^9, 
   3.7577939292156267`*^9, {3.757800108229673*^9, 3.7578001642265797`*^9}, 
   3.757947660116239*^9, 3.757947761341505*^9, 3.7579478888739347`*^9, 
   3.7579480450577383`*^9, 3.757948309805091*^9, 3.757953777077764*^9, 
   3.7579541591500053`*^9, 3.75795432469368*^9, 3.7579545450219097`*^9, 
   3.7579556179051943`*^9, 3.757956187617176*^9, 3.757959399765547*^9, 
   3.757959589141041*^9, 3.75795975155305*^9, 3.757960008882957*^9, 
   3.757963297604061*^9, 3.757995361907405*^9, 3.758287299271832*^9, 
   3.759167712187602*^9, 3.759174470756675*^9, 3.7591764797843657`*^9, 
   3.7591768179542*^9, 3.759177376064074*^9, 3.759494599944737*^9, 
   3.759494901375546*^9, 3.7595081613661013`*^9, 3.759604267470208*^9, 
   3.7596092232956*^9, 3.759609368116433*^9, 3.759611346144569*^9, 
   3.759637667492238*^9, 3.760296248768713*^9, 3.760296431295253*^9, 
   3.7651178480598917`*^9, 3.782226211617012*^9, 3.782409601005858*^9, 
   3.78242411917274*^9, 3.782425586585102*^9, 3.782425959278983*^9, 
   3.782428787186702*^9, 3.782429116175708*^9, 3.7824337198924932`*^9, 
   3.7824340930158453`*^9, 3.782456176544845*^9, 3.782464159277031*^9, 
   3.782473003304049*^9, 3.782473325081502*^9, 3.7824735832240267`*^9, 
   3.7824755722036448`*^9, 3.782497260642599*^9, 3.782499234346998*^9, 
   3.7824992764804363`*^9, 3.782565827198051*^9, 3.782579244241486*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"5d4a2a15-b57c-47a0-a7fa-803d627658ce"]
}, Open  ]],

Cell["\<\
===========================================================
Saaty - Harker Index
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
  3.753724035107628*^9, 3.753724042042426*^9}, {3.753729898530869*^9, 
  3.753729903584096*^9}, {3.753731747943038*^9, 3.753731748640502*^9}, {
  3.782226227891303*^9, 
  3.7822262299141903`*^9}},ExpressionUUID->"49a5a8ad-f2cd-421e-9111-\
663aa216628f"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SaatyIndex", "[", "matrix_", "]"}], ":=", 
   RowBox[{"SaatyIdx", "@", 
    RowBox[{"HarkerMatrix", "@", "matrix"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753731751786539*^9, 3.753731779533161*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"68f928a8-015a-450b-bc22-728b239e4b87"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SaatyIndex", "@", 
  SubscriptBox["C", "test"]}]], "Input",
 CellChangeTimes->{{3.753731788095542*^9, 3.753731791526207*^9}},
 CellLabel->"In[90]:=",ExpressionUUID->"c91fbee8-ae19-441c-9811-d0b5334ff09d"],

Cell[BoxData["0.009676400649208716`"], "Output",
 CellChangeTimes->{
  3.753731792708613*^9, 3.753800564531028*^9, 3.7556064672815866`*^9, 
   3.75769620616079*^9, 3.75769626351423*^9, 3.7577773980360823`*^9, 
   3.757784556444528*^9, 3.757793929493428*^9, {3.757800108862211*^9, 
   3.757800164393862*^9}, 3.757947660328803*^9, 3.7579477615508747`*^9, 
   3.757947889074833*^9, 3.757948045876697*^9, 3.7579483099992857`*^9, 
   3.7579537772708397`*^9, 3.757954159395097*^9, 3.757954324928337*^9, 
   3.7579545452588*^9, 3.757955618235649*^9, 3.757956187859685*^9, 
   3.757959400081052*^9, 3.757959589278696*^9, 3.757959751778137*^9, 
   3.75796000912646*^9, 3.757963297847762*^9, 3.7579953621373262`*^9, 
   3.7582872994669857`*^9, 3.7591677124273453`*^9, 3.759174470951037*^9, 
   3.759176479963846*^9, 3.759176818165501*^9, 3.759177376181422*^9, 
   3.759494600123204*^9, 3.7594949015556917`*^9, 3.7595081621849937`*^9, 
   3.759604267681263*^9, 3.759609223523942*^9, 3.759609368266786*^9, 
   3.759611346346084*^9, 3.7596376676367493`*^9, 3.760296248981188*^9, 
   3.7602964314753017`*^9, 3.765117848136053*^9, 3.7822262369297237`*^9, 
   3.782409605262533*^9, 3.782424119320389*^9, 3.782425586688902*^9, 
   3.7824259593414907`*^9, 3.782428787259243*^9, 3.782429116251678*^9, 
   3.78243371996025*^9, 3.782434093081938*^9, 3.782456176606415*^9, 
   3.7824641593492517`*^9, 3.782473003366304*^9, 3.782473325095962*^9, 
   3.7824735832879744`*^9, 3.782475572258294*^9, 3.782497264420197*^9, 
   3.782499234412998*^9, 3.782499276560761*^9, 3.7825658272909184`*^9, 
   3.782579244297817*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"6b71ede6-22e4-4c87-a35c-a62410e0d032"]
}, Open  ]],

Cell["\<\
===========================================================
LLS index (based on GMM 4 incomplete PCM)
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
  3.753724035107628*^9, 3.753724042042426*^9}, {3.753729898530869*^9, 
  3.753729903584096*^9}, {3.753731747943038*^9, 3.753731748640502*^9}, {
  3.765112543103372*^9, 3.7651125522495832`*^9}, {3.7822268018788633`*^9, 
  3.782226842941842*^9}},ExpressionUUID->"a4fd914a-86e6-4928-b944-\
a84ff3d26b41"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LLSIndexOriginal", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"llsm", " ", "=", " ", 
       RowBox[{"LLSM", "@", "matrix"}]}], "}"}], ",", " ", 
     RowBox[{"Plus", "@@", 
      RowBox[{"Flatten", "@", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"res", " ", "=", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"#1", " ", "-", "  ", 
                 RowBox[{
                  RowBox[{"llsm", "[", 
                   RowBox[{"[", "  ", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "]"}], "]"}], " ", 
                  "/", " ", 
                  RowBox[{"llsm", "[", 
                   RowBox[{"[", " ", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "   ", "]"}], "]"}]}]}], 
                ")"}], "2"]}], "}"}], ",", " ", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"NumberQ", "@", "res"}], ",", " ", "res", ",", " ", 
              "0"}], "]"}]}], " ", "]"}], " ", "&"}], " ", ",", " ", "matrix",
          ",", 
         RowBox[{"{", "2", "}"}]}], "]"}]}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.753731751786539*^9, 3.753731779533161*^9}, {
   3.765112577463081*^9, 3.765112583108704*^9}, {3.765112681355382*^9, 
   3.765112700725754*^9}, {3.765113071646698*^9, 3.765113074007648*^9}, {
   3.765113222434799*^9, 3.765113224534503*^9}, {3.765113515475872*^9, 
   3.765113553286016*^9}, {3.782226851988682*^9, 3.782226852226837*^9}, 
   3.782239728972958*^9, {3.78249885504946*^9, 3.782498887628216*^9}, {
   3.782498993876327*^9, 3.782498995258595*^9}},
 CellLabel->"In[91]:=",ExpressionUUID->"bcff91be-f135-4803-8de6-197dea277e90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "@", 
  RowBox[{"LLSIndexOriginal", "@", 
   SubscriptBox["C", "test"]}]}]], "Input",
 CellChangeTimes->{{3.753731788095542*^9, 3.753731791526207*^9}, 
   3.765112676981103*^9, 3.765113085451496*^9, 3.782226862847183*^9, {
   3.7824989432508507`*^9, 3.7824989451402483`*^9}, 3.782499006916136*^9},
 CellLabel->"In[92]:=",ExpressionUUID->"7829ceed-0775-432a-bc44-acd8426f27d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.014781`", ",", "26.956964989115974`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.753731792708613*^9, 3.753800564531028*^9, 3.7556064672815866`*^9, 
   3.75769620616079*^9, 3.75769626351423*^9, 3.7577773980360823`*^9, 
   3.757784556444528*^9, 3.757793929493428*^9, {3.757800108862211*^9, 
   3.757800164393862*^9}, 3.757947660328803*^9, 3.7579477615508747`*^9, 
   3.757947889074833*^9, 3.757948045876697*^9, 3.7579483099992857`*^9, 
   3.7579537772708397`*^9, 3.757954159395097*^9, 3.757954324928337*^9, 
   3.7579545452588*^9, 3.757955618235649*^9, 3.757956187859685*^9, 
   3.757959400081052*^9, 3.757959589278696*^9, 3.757959751778137*^9, 
   3.75796000912646*^9, 3.757963297847762*^9, 3.7579953621373262`*^9, 
   3.7582872994669857`*^9, 3.7591677124273453`*^9, 3.759174470951037*^9, 
   3.759176479963846*^9, 3.759176818165501*^9, 3.759177376181422*^9, 
   3.759494600123204*^9, 3.7594949015556917`*^9, 3.7595081621849937`*^9, 
   3.759604267681263*^9, 3.759609223523942*^9, 3.759609368266786*^9, 
   3.759611346346084*^9, 3.7596376676367493`*^9, 3.760296248981188*^9, 
   3.7602964314753017`*^9, 3.765112384577325*^9, 3.765113086487248*^9, 
   3.765113231252717*^9, {3.7651135656220827`*^9, 3.7651135869526787`*^9}, 
   3.782226863586856*^9, 3.7824096096671124`*^9, 3.7824241193859587`*^9, 
   3.7824255867419777`*^9, 3.782425959406022*^9, 3.78242878733405*^9, 
   3.782429116326095*^9, 3.782433720025412*^9, 3.782434093164978*^9, 
   3.782456176681087*^9, 3.782464159435357*^9, 3.782473003437771*^9, 
   3.782473325149095*^9, 3.782473583350465*^9, 3.78247557232344*^9, 
   3.7824972693907633`*^9, {3.78249886143813*^9, 3.782498890734788*^9}, 
   3.782498945968498*^9, 3.782499011192485*^9, 3.782499234488081*^9, 
   3.782499276674034*^9, 3.7825658273553057`*^9, 3.7825792443541517`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"5eba4141-4b74-46a7-bd9f-5e60f34dab00"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"LLSIndex", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"llsm", " ", "=", " ", 
       RowBox[{"GMM", "@", "matrix"}]}], "}"}], ",", " ", 
     RowBox[{"Plus", "@@", 
      RowBox[{"Flatten", "@", 
       RowBox[{"MapIndexed", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"res", " ", "=", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"#1", " ", "-", "  ", 
                 RowBox[{
                  RowBox[{"llsm", "[", 
                   RowBox[{"[", "  ", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], " ", "]"}], "]"}], " ", 
                  "/", " ", 
                  RowBox[{"llsm", "[", 
                   RowBox[{"[", " ", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "   ", "]"}], "]"}]}]}], 
                ")"}], "2"]}], "}"}], ",", " ", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"NumberQ", "@", "res"}], ",", " ", "res", ",", " ", 
              "0"}], "]"}]}], " ", "]"}], " ", "&"}], " ", ",", " ", "matrix",
          ",", 
         RowBox[{"{", "2", "}"}]}], "]"}]}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.782498959412724*^9, 3.782498959910961*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"88b66556-0fc0-4945-a3cb-fe1d88644ac9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "@", 
  RowBox[{"LLSIndex", "@", 
   SubscriptBox["C", "test"]}]}]], "Input",
 CellLabel->"In[94]:=",ExpressionUUID->"7676bf07-b6bc-4c7f-9537-440626e032aa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.000857`", ",", "26.956964989115882`"}], "}"}]], "Output",
 CellChangeTimes->{3.782498970978326*^9, 3.782499019725965*^9, 
  3.7824992345523643`*^9, 3.78249927676101*^9, 3.7825658274213667`*^9, 
  3.782579244405437*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"4514a95e-8e61-4eba-a033-1ba25abff577"]
}, Open  ]],

Cell["\<\
===========================================================
Oliva et al. index 
===========================================================
\
\>", "Text",
 CellChangeTimes->{{3.753653940118862*^9, 3.753653949870137*^9}, {
  3.753724035107628*^9, 3.753724042042426*^9}, {3.753729898530869*^9, 
  3.753729903584096*^9}, {3.753731747943038*^9, 3.753731748640502*^9}, {
  3.765112543103372*^9, 3.7651125522495832`*^9}, {3.7822268018788633`*^9, 
  3.782226842941842*^9}, {3.782229433730769*^9, 3.78222944367566*^9}, {
  3.78249734694622*^9, 
  3.782497352109789*^9}},ExpressionUUID->"1383903c-024e-4837-aea2-\
04582c26568e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HadamardMatrixProd", "[", 
    RowBox[{"matrix1_", ",", " ", "matrix2_"}], "]"}], ":=", "  ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Times", "@@", "#"}], " ", "&"}], ",", " ", 
     RowBox[{"Transpose", "/@", 
      RowBox[{"Transpose", "@", 
       RowBox[{"{", 
        RowBox[{"matrix1", ",", "matrix2"}], "}"}]}]}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.782497621619673*^9, 3.7824976809933662`*^9}, {
  3.782497857276778*^9, 3.7824978727099733`*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"1d58866a-c01d-4bf3-86bb-6564304dbaaa"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HarkerMatrixPlaceHolderCount", "[", 
    RowBox[{"matrix_", ",", " ", "row_"}], "]"}], ":=", " ", 
   RowBox[{"Length", "[", 
    RowBox[{"Select", "[", 
     RowBox[{
      RowBox[{"matrix", "[", 
       RowBox[{"[", "row", "]"}], "]"}], ",", " ", 
      RowBox[{
       RowBox[{"Not", "[", 
        RowBox[{"And", "[", 
         RowBox[{
          RowBox[{"NumberQ", "[", "#", "]"}], ",", " ", 
          RowBox[{"#", " ", ">", "0"}]}], "]"}], "]"}], " ", "&"}]}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.781806568319406*^9, 3.7818065744199667`*^9}, {
  3.781806661662829*^9, 3.7818066634167757`*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"870bc56b-7117-42cf-91ae-a1908603ac91"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HarkerMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"MapIndexed", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#2", "[", 
           RowBox[{"[", "1", "]"}], "]"}], " ", "==", " ", 
          RowBox[{"#2", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
         RowBox[{"HarkerMatrixPlaceHolderCount", "[", 
          RowBox[{"matrix", ",", " ", 
           RowBox[{"#2", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", " ", "\n", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"And", "[", 
            RowBox[{
             RowBox[{"NumberQ", "[", "#1", "]"}], ",", " ", 
             RowBox[{"#1", " ", ">", "0"}]}], "]"}], " ", ",", "#1", ",", 
           "0"}], "]"}]}], "]"}], " ", "&"}], " ", ",", " ", "matrix", ",", 
      " ", 
      RowBox[{"{", "2", "}"}]}], "]"}], " ", "+", " ", 
    RowBox[{"IdentityMatrix", "[", 
     RowBox[{"First", "[", 
      RowBox[{"Dimensions", "[", "matrix", "]"}], "]"}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.782229580770154*^9},
 CellLabel->"In[97]:=",ExpressionUUID->"c49cf8cf-0655-4c2a-8484-43215330856b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", 
       RowBox[{"Length", "@", "matrix"}]}], "}"}], ",", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i", "==", "j"}], ",", 
         RowBox[{"n", "-", "1", "-", 
          RowBox[{"HarkerMatrixPlaceHolderCount", "[", 
           RowBox[{"matrix", ",", "i"}], "]"}]}], ",", " ", "0"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.7822296621220407`*^9},
 CellLabel->"In[98]:=",ExpressionUUID->"647dc381-e556-4f42-95d3-246b78cc962c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Zeroes", "[", "matrix_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"NumberQ", "@", "#"}], ",", " ", "#", ",", " ", "0"}], "]"}], 
      " ", "&"}], ",", " ", "matrix", ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[99]:=",ExpressionUUID->"2cf3f09d-83b1-4d66-89a0-7aa0d60c59ce"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SMatrix", "[", "matrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zeroes", "[", "matrix", "]"}], "-", 
    RowBox[{"IdentityMatrix", "[", 
     RowBox[{"Length", "@", "matrix"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7824173403704653`*^9, 3.782417362099382*^9}, {
  3.7824174047363033`*^9, 3.782417444562297*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"ad22965c-9728-48ba-8821-b6569f9aa35b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OlivaSetolaScalaIdx", "[", "matrix_", "]"}], ":=", 
   RowBox[{
    RowBox[{"N", "@", 
     RowBox[{"Chop", "@", 
      RowBox[{"First", "@", 
       RowBox[{"Reverse", "@", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "@", "#"}], " ", "&"}], ",", " ", 
          RowBox[{"SortBy", "[", 
           RowBox[{
            RowBox[{"Eigenvalues", "[", 
             RowBox[{
              RowBox[{"Inverse", "@", 
               RowBox[{"DMatrix", "[", "matrix", "]"}]}], ".", 
              RowBox[{"SMatrix", "[", "matrix", "]"}]}], "]"}], ",", " ", 
            "Abs"}], "]"}]}], "]"}]}]}]}]}], "-", "1"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.782417454339731*^9, 3.782417455605842*^9}, {
  3.7824206634663877`*^9, 3.782420692288665*^9}, {3.7824211872633667`*^9, 
  3.782421191267763*^9}, {3.782455877264791*^9, 3.782455884937963*^9}},
 CellLabel->
  "In[101]:=",ExpressionUUID->"2018476c-af0e-4b93-8bf0-479e5a7dc951"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SMatrix", "@", 
   SubscriptBox["C", "test"]}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.782229714467731*^9, 3.782229727147292*^9}, {
  3.782417460738924*^9, 3.782417461507032*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"e0e6dbfa-79ad-4776-aa70-b52e5d7c9a21"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.`", "0.8017780039691671`", "0", "0", "1.779731408349984`", 
      "2.1987963576492913`", "0"},
     {"1.2472280295163294`", "0.`", "17.487378197119163`", 
      "9.476454486780415`", "0", "0", "1.457983249052232`"},
     {"0", "0.057184100939999004`", "0.`", "0", "0.0758061767675159`", "0", 
      "0"},
     {"0", "0.10552469822917344`", "0", "0.`", "0.12211491175427414`", "0", 
      "0.07896292565102792`"},
     {"0.5618825376167942`", "0", "13.191537189203231`", "8.189008087826744`",
       "0.`", "0.7592863581878664`", "0.6218262452625495`"},
     {"0.45479427711490705`", "0", "0", "0", "1.3170261643928747`", "0.`", 
      "0.8035255354014514`"},
     {"0", "0.6858789362978307`", "0", "12.664171087320677`", 
      "1.6081662805624692`", "1.2445155205931164`", "0.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.7822297219462833`*^9, 3.782229727591462*^9}, 
   3.782409625428919*^9, 3.78241746247954*^9, 3.7824241194921913`*^9, 
   3.782425586839778*^9, 3.7824259595258293`*^9, 3.782428787465996*^9, 
   3.7824291164414377`*^9, 3.7824337202181892`*^9, 3.782434093442113*^9, 
   3.782456176863997*^9, 3.782464159570051*^9, 3.7824730035609617`*^9, 
   3.782473325270916*^9, 3.782473583601048*^9, 3.78247557255901*^9, 
   3.782498040994193*^9, 3.782499234676149*^9, 3.782499276975522*^9, 
   3.7825658275448112`*^9, 3.782579244600507*^9},
 CellLabel->
  "Out[102]//MatrixForm=",ExpressionUUID->"65c6489a-2f0e-4667-9216-\
a2ba59c6d8db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"OlivaSetolaScalaIdx", "@", 
  SubscriptBox["C", "test"]}]], "Input",
 CellChangeTimes->{{3.782421169343111*^9, 3.7824211969800386`*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"45bbf0b6-1e9f-40b5-a37e-4df13d3f63b6"],

Cell[BoxData["0.016927512072060225`"], "Output",
 CellChangeTimes->{{3.782421173903117*^9, 3.78242119770086*^9}, 
   3.782424119504736*^9, 3.7824255868797407`*^9, 3.782425959575685*^9, 
   3.782428787482367*^9, 3.782429116504521*^9, 3.782433720274856*^9, 
   3.782434093458864*^9, 3.782456176918291*^9, 3.782464159585063*^9, 
   3.7824730035761147`*^9, 3.78247332527978*^9, 3.782473583657833*^9, 
   3.7824755725744667`*^9, 3.782498044685932*^9, 3.782499234688848*^9, 
   3.7824992769876738`*^9, 3.782565827607602*^9, 3.78257924465696*^9},
 CellLabel->
  "Out[103]=",ExpressionUUID->"52e265f0-8741-4384-a074-92ff182891a4"]
}, Open  ]],

Cell["\<\
===========================================================
Montecarlo Part
===========================================================\
\>", "Text",
 CellChangeTimes->{{3.753798725031904*^9, 
  3.7537987486942596`*^9}},ExpressionUUID->"21f620da-de05-4e3f-b94e-\
42033e9c9a72"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Abort", "[", "]"}]], "Input",
 CellChangeTimes->{{3.7825658165378103`*^9, 3.7825658185840607`*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"fcce7550-ebcf-4def-b6a8-a5cec55c63d8"],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{{3.782565820569309*^9, 3.782565827770975*^9}, 
   3.782579244959639*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"7630872d-4bd1-46c0-a796-812149e158f3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.782473246615466*^9, 3.782473258874111*^9}},
 CellLabel->
  "In[112]:=",ExpressionUUID->"df7870f5-0a73-4a25-a893-25ef330d435c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"noOfAlternatives", " ", "=", " ", "7"}], ";"}]], "Input",
 CellChangeTimes->{{3.7537989463483963`*^9, 3.753798946421927*^9}},
 CellLabel->
  "In[113]:=",ExpressionUUID->"a30d4140-e339-4ce8-b195-59781eeb9503"],

Cell[BoxData[
 RowBox[{
  RowBox[{"scaleSize", " ", "=", " ", "9"}], ";"}]], "Input",
 CellChangeTimes->{{3.753799191989543*^9, 3.753799196781279*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"e600f18b-4203-463a-8b97-910ada319169"],

Cell[BoxData[
 RowBox[{
  RowBox[{"noOfRankingPatterns", " ", "=", " ", "1000"}], ";"}]], "Input",
 CellLabel->
  "In[115]:=",ExpressionUUID->"f68a0548-4db7-45a3-a531-4bda8d526c66"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";"}]], "Input",
 CellLabel->
  "In[116]:=",ExpressionUUID->"c49dc9c6-e78a-445b-a9ee-6cf6b7bb058e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaunchKernels", "[", "7", "]"}], ";"}]], "Input",
 CellChangeTimes->{3.757954462556481*^9},
 CellLabel->
  "In[117]:=",ExpressionUUID->"711a6c36-18b5-499f-9769-184a3d2261a9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rankingPatterns", " ", "=", " ", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"RandomRankingPattern", "[", 
      RowBox[{"noOfAlternatives", ",", " ", "9"}], "]"}], ",", " ", 
     "noOfRankingPatterns"}], "]"}]}], ";"}]], "Input",
 CellLabel->
  "In[118]:=",ExpressionUUID->"5aeb2c71-5402-40e6-b1d7-cfb65c133f94"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomlyIncompleteRandomlyDisturbedMatrix", "[", 
   RowBox[{
    RowBox[{"RandomRationalMatrix", "[", 
     RowBox[{"noOfAlternatives", ",", " ", "scaleSize", ",", " ", 
      RowBox[{"RandomRationalUniformRankingPattern", "[", 
       RowBox[{"noOfAlternatives", ",", " ", "scaleSize"}], "]"}], ",", " ", 
      "1"}], "]"}], ",", " ", "12"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{
  3.753799129675269*^9, {3.753799186117741*^9, 3.753799204026495*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"398896cd-3ae9-4d20-a282-a0ea4f7536ab"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "\[Placeholder]", 
      FractionBox["3", "2"], "\[Placeholder]", 
      FractionBox["1", "3"], 
      FractionBox["1", "9"], "\[Placeholder]"},
     {"\[Placeholder]", "1", "\[Placeholder]", "\[Placeholder]", 
      FractionBox["1", "2"], 
      FractionBox["1", "9"], 
      FractionBox["1", "9"]},
     {
      FractionBox["2", "3"], "\[Placeholder]", "1", "\[Placeholder]", 
      FractionBox["2", "9"], "\[Placeholder]", 
      FractionBox["1", "9"]},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", "1", "6", 
      FractionBox["3", "4"], "\[Placeholder]"},
     {"3", "2", 
      FractionBox["9", "2"], 
      FractionBox["1", "6"], "1", "\[Placeholder]", 
      FractionBox["1", "9"]},
     {"9", "9", "\[Placeholder]", 
      FractionBox["4", "3"], "\[Placeholder]", "1", 
      FractionBox["1", "2"]},
     {"\[Placeholder]", "9", "9", "\[Placeholder]", "9", "2", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7537992264329977`*^9, 3.753799264057576*^9, 3.7538005702320013`*^9, 
   3.7556064967766542`*^9, 3.757696270331297*^9, 3.757777405441822*^9, 
   3.757777469671934*^9, 3.757784562341115*^9, 3.7577939345982447`*^9, {
   3.757800117141947*^9, 3.75780016944147*^9}, 3.7579476659039373`*^9, 
   3.757947767242544*^9, 3.7579478909661703`*^9, 3.7579480514915953`*^9, 
   3.757948316118594*^9, 3.7579537789393177`*^9, 3.75795416497033*^9, 
   3.7579543304221363`*^9, 3.7579545520531683`*^9, 3.757955626084421*^9, 
   3.757956194092312*^9, 3.757959407512257*^9, 3.7579595963105707`*^9, 
   3.757959757534766*^9, 3.757960011346859*^9, 3.757963303222658*^9, 
   3.757995368344693*^9, 3.758287305265318*^9, 3.759167718311469*^9, 
   3.7591744767876596`*^9, 3.759176486728436*^9, 3.759176823934051*^9, 
   3.759177381961364*^9, 3.759494606565216*^9, 3.759494907386182*^9, 
   3.759508169527151*^9, 3.759604273497779*^9, 3.759608016479663*^9, 
   3.759609229326836*^9, 3.759609374049765*^9, 3.759611352456121*^9, 
   3.759637673285181*^9, 3.760296255668787*^9, 3.7602964375417128`*^9, 
   3.7651178512047033`*^9, 3.782239321011554*^9, 3.7824096497745523`*^9, 
   3.782424123068777*^9, 3.782425590224287*^9, 3.78242596294164*^9, 
   3.782428791844265*^9, 3.782429120027944*^9, 3.782433724636796*^9, 
   3.782434098152123*^9, 3.7824561812525177`*^9, 3.782464163145402*^9, 
   3.782473007417177*^9, 3.7824733291848593`*^9, 3.782473587043549*^9, 
   3.782475576013112*^9, 3.782498131791408*^9, 3.782499238045307*^9, 
   3.782499280424209*^9, 3.782565831241987*^9, 3.782579248740015*^9},
 CellLabel->
  "Out[120]//MatrixForm=",ExpressionUUID->"bb05e123-3130-4be0-904a-\
49fd3fbf4e42"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataTriads", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7538004441994057`*^9, 3.753800453896605*^9}},
 CellLabel->
  "In[121]:=",ExpressionUUID->"dde32f9c-bc2f-42f7-a990-431ea39ea456"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomDataFile", " ", "=", " ", "\"\<randomMatrices_v4.mx\>\""}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.782473184393955*^9, 3.782473196436924*^9}, {
  3.7824755316509933`*^9, 3.782475531756874*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"795d9aa1-27cf-4318-b3c4-13ee2438ec6c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FileExistsQ", "[", "randomDataFile", "]"}]], "Input",
 CellChangeTimes->{{3.755606518105946*^9, 3.755606519473905*^9}, {
  3.759609823161104*^9, 3.759609823224917*^9}, {3.782473202364698*^9, 
  3.78247320428367*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"b6450717-9ca8-4b5f-89f6-02ee9afba2f1"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.755606520222879*^9, 3.7576962704653187`*^9, 3.757777405958199*^9, 
   3.757784562426518*^9, 3.757793934712068*^9, {3.757800117157928*^9, 
   3.7578001695279493`*^9}, 3.7579476660015373`*^9, 3.757947767341796*^9, 
   3.7579478932018633`*^9, 3.757948053442374*^9, 3.7579483162225313`*^9, 
   3.7579537790286217`*^9, 3.757954165066574*^9, 3.757954330536919*^9, 
   3.75795455215031*^9, 3.75795562618884*^9, 3.7579561941587343`*^9, 
   3.757959407636154*^9, 3.7579595964124203`*^9, 3.757959757635008*^9, 
   3.757960011459118*^9, 3.757963303340969*^9, 3.7579953684372673`*^9, 
   3.758287305419516*^9, 3.759167718415098*^9, 3.759174476858231*^9, 
   3.759176486789694*^9, 3.759176824033924*^9, 3.75917738202282*^9, 
   3.7594946066427937`*^9, 3.759494907481978*^9, 3.759508169618178*^9, 
   3.7596042735666113`*^9, 3.759608025648337*^9, 3.759609229444919*^9, 
   3.7596093741248207`*^9, 3.759609824085751*^9, 3.759611352533243*^9, 
   3.759637673371025*^9, 3.7602962557816668`*^9, 3.7602964376419477`*^9, 
   3.765117851263173*^9, 3.78223935513966*^9, 3.782409653896639*^9, 
   3.782424123126758*^9, 3.7824255902762613`*^9, 3.782425963009962*^9, 
   3.782428791911978*^9, 3.782429120116598*^9, 3.78243372470181*^9, 
   3.782434098227749*^9, 3.782456181333207*^9, 3.782464163226795*^9, 
   3.7824730074778843`*^9, 3.782473205803006*^9, 3.782473329259611*^9, 
   3.782473587114765*^9, 3.782475576080352*^9, 3.782498181430862*^9, 
   3.782499238127777*^9, 3.782499280484797*^9, 3.782565831352943*^9, 
   3.7825792488122263`*^9},
 CellLabel->
  "Out[123]=",ExpressionUUID->"b8ff52f4-04ae-4925-9807-df281928773a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomCompleteMatrices", "=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759609762488472*^9, 3.759609768200321*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"978ed112-c8e7-4b06-bcef-e69f58ef40c6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomAllMatrices", "=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759609778272266*^9, 3.75960978138566*^9}},
 CellLabel->
  "In[125]:=",ExpressionUUID->"4acb3a1d-80a1-4ca1-a53f-594d01818261"],

Cell[BoxData[
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"FileExistsQ", "[", "randomDataFile", "]"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"Get", "[", "randomDataFile", "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"randomCompleteMatrices", " ", "=", " ", "\[IndentingNewLine]", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"RandomMatrix", "[", 
         RowBox[{"noOfAlternatives", ",", " ", 
          RowBox[{"rankingPatterns", "[", 
           RowBox[{"[", "patNo", "]"}], "]"}], ",", " ", "disturbanceLevel"}],
          "]"}], " ", ",", " ", 
        RowBox[{"{", 
         RowBox[{
         "disturbanceLevel", ",", " ", "1", ",", " ", "30", ",", " ", "1"}], 
         "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"patNo", ",", " ", "1", ",", "1000"}], "}"}]}], "]"}]}], ";",
      " ", 
     RowBox[{"randomAllMatrices", " ", "=", " ", 
      RowBox[{"ParallelMap", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Table", "[", " ", 
          RowBox[{
           RowBox[{"RandomlyIncompleteRandomlyDisturbedMatrix", "[", 
            RowBox[{"#", ",", " ", "noOfComparisons"}], "]"}], ",", " ", 
           RowBox[{"{", 
            RowBox[{"noOfComparisons", ",", " ", 
             RowBox[{"Binomial", "[", 
              RowBox[{"noOfAlternatives", ",", "2"}], "]"}], ",", " ", 
             RowBox[{"noOfAlternatives", "-", "1"}], ",", " ", 
             RowBox[{"-", "1"}]}], "}"}]}], "]"}], " ", "&"}], ",", " ", 
        "randomCompleteMatrices", ",", " ", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
     RowBox[{"DumpSave", "[", 
      RowBox[{"randomDataFile", ",", "randomAllMatrices"}], "]"}]}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.759609580325424*^9, 3.759609603533431*^9}, {
  3.759609740671631*^9, 3.759609750617435*^9}, {3.75960979313433*^9, 
  3.759609801287236*^9}, {3.782473213293983*^9, 3.782473222633482*^9}},
 CellLabel->
  "In[126]:=",ExpressionUUID->"c07e1277-4f4d-4d96-acf2-54bb2550e456"],

Cell[BoxData[
 RowBox[{
  RowBox[{"recordsProcessed", " ", "=", " ", "0"}], ";"}]], "Input",
 CellLabel->
  "In[127]:=",ExpressionUUID->"95f14714-8fff-4e85-bc55-c27b1dc15dfd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetSharedVariable", "[", "recordsProcessed", "]"}], ";"}]], "Input",\

 CellLabel->
  "In[128]:=",ExpressionUUID->"264f7820-96fc-4e28-899b-348efcd3c05e"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Abort", "[", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.782424107388612*^9, 3.7824241284115877`*^9}, {
  3.782425578620903*^9, 3.782425607031658*^9}, {3.7824259521891108`*^9, 
  3.782425976075802*^9}},
 CellLabel->
  "In[129]:=",ExpressionUUID->"c79e98fd-92b5-488d-a67d-a3b2ddbc1218"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ComputeIndices", "[", "matrix_", "]"}], ":=", " ", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"GCIv2", "@", "matrix"}], ",", "  ", 
     RowBox[{"(*", 
      RowBox[{"geometric", " ", "consistency", " ", "index", " ", "v1"}], " ",
       "*)"}], "\[IndentingNewLine]", 
     RowBox[{"GCIv1", "@", "matrix"}], ",", 
     RowBox[{"(*", 
      RowBox[{"geometric", " ", "consistency", " ", "index", " ", "v2"}], " ",
       "*)"}], "\[IndentingNewLine]", 
     RowBox[{"GeneralizedKoczkodajIndex", "@", "matrix"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"GeneralizedTBSI1", "@", "matrix"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"GeneralizedTBSI2", "@", "matrix"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"GeneralizedTBSIAlpha", "[", 
      RowBox[{"matrix", ",", " ", "0.5"}], "]"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"GeneralizedTBSIAlphaBeta", "[", 
      RowBox[{"matrix", ",", " ", "0.3", ",", " ", "0.3"}], "]"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"GGWI", "@", "matrix"}], ",", " ", 
     RowBox[{"(*", " ", 
      RowBox[{"Golden", "-", 
       RowBox[{"Wang", " ", "index"}]}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"GSHI", "@", "matrix"}], ",", " ", 
     RowBox[{"(*", " ", 
      RowBox[{"Salo", "-", 
       RowBox[{"Hamalainen", " ", "index"}]}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"REv1", "@", "matrix"}], ",", " ", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"Barzilai", "'"}], "s", " ", "error", " ", "v1"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"REv2", "@", "matrix"}], ",", " ", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"Barzilai", "'"}], "s", " ", "error", " ", "v1"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"SaatyIndex", "@", "matrix"}], ",", " ", "\[IndentingNewLine]", 
     RowBox[{"LLSIndex", "@", "matrix"}], ",", " ", 
     RowBox[{"(*", " ", 
      RowBox[{"logarithmic", " ", "least", " ", "square", " ", "criterion"}], 
      " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"OlivaSetolaScalaIdx", "@", "matrix"}]}], " ", 
    RowBox[{"(*", " ", 
     RowBox[{"oliva", " ", "et", " ", 
      RowBox[{"al", ".", " ", "index"}]}], " ", "*)"}], "\[IndentingNewLine]",
     "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759609936231917*^9, 3.759609968305245*^9}, {
   3.782239450452054*^9, 3.7822397551816683`*^9}, 3.782495384839326*^9, 
   3.782495422715115*^9, {3.782578791331889*^9, 3.7825787933889313`*^9}},
 CellLabel->
  "In[130]:=",ExpressionUUID->"ccc09f0a-1fa9-4683-913b-b264741cebae"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ComputeIndices", "[", 
  SubscriptBox["C", "test"], "]"}]], "Input",
 CellChangeTimes->{{3.782239776265526*^9, 3.782239786941546*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"420ffc15-4289-432b-a6da-d0133bd8e9c5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.02688604979115901`", ",", "0.033607562238948764`", ",", 
   "0.6796023611124653`", ",", "0.3599729230050334`", ",", 
   "0.0708660319423522`", ",", "0.5197876420587494`", ",", 
   "0.3402189980121905`", ",", "0.13486759130954998`", ",", 
   "0.2477445181354846`", ",", "0.005976912507843435`", ",", 
   "0.012501250674911703`", ",", "0.009676400649208716`", ",", 
   "26.956964989115882`", ",", "0.016927512072060225`"}], "}"}]], "Output",
 CellChangeTimes->{3.7822397873428507`*^9, 3.782409677639332*^9, 
  3.782424124335338*^9, 3.782425591512936*^9, 3.7824259643151817`*^9, 
  3.7824277046442413`*^9, 3.782428793209875*^9, 3.7824291213313923`*^9, 
  3.782433137588399*^9, 3.782433726130558*^9, 3.7824342013254128`*^9, 
  3.7824561825569153`*^9, 3.782464164591161*^9, 3.782473008629816*^9, 
  3.782473330720045*^9, 3.782473588304719*^9, 3.78247557732628*^9, 
  3.7824981991960506`*^9, 3.7824991222766867`*^9, 3.782499239356369*^9, 
  3.7824992816526318`*^9, 3.7825658326904917`*^9, 3.78257925017027*^9},
 CellLabel->
  "Out[131]=",ExpressionUUID->"0551c71c-dc03-4598-a045-cb42431033dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ComputeIndices", "[", 
  RowBox[{"randomAllMatrices", "[", 
   RowBox[{"[", 
    RowBox[{"30", ",", "100", ",", "12"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.782433340454115*^9, 3.782433364320321*^9}},
 CellLabel->
  "In[132]:=",ExpressionUUID->"c462bf70-22f4-494f-a0a1-455fe816aca7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.6544002169299754`", ",", "2.4816003253949632`", ",", 
   "0.9995954202495774`", ",", "0.9239262009850664`", ",", 
   "0.2941609570341546`", ",", "0.9617608106173219`", ",", 
   "0.694720869184055`", ",", "0.7838083381647669`", ",", 
   "0.8574270137436759`", ",", "0.456040858494109`", ",", 
   "0.6354350570382927`", ",", "0.9243921328019976`", ",", 
   "2865.835650315872`", ",", "1.770761689968202`"}], "}"}]], "Output",
 CellChangeTimes->{{3.782433354896785*^9, 3.782433364708971*^9}, 
   3.782433726758628*^9, 3.782434201722253*^9, 3.782456183166037*^9, 
   3.782464165188755*^9, 3.7824730092027397`*^9, 3.782473331426117*^9, 
   3.7824735889105988`*^9, 3.78247557790841*^9, 3.7824982167688923`*^9, 
   3.782499125115736*^9, 3.7824992822289743`*^9, 3.782565833290697*^9, 
   3.782579250771282*^9},
 CellLabel->
  "Out[132]=",ExpressionUUID->"696de3db-8218-4af5-8949-b5fd41e8d3e7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ComputeDataEntity", "[", "matrix_", "]"}], ":=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", " ", 
     RowBox[{
      RowBox[{"recordsProcessed", "++"}], ";", 
      RowBox[{"ComputeIndices", "[", "matrix", "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.75961125451374*^9, 3.759611280126814*^9}},
 CellLabel->
  "In[134]:=",ExpressionUUID->"da95b402-e76d-4895-8ba3-17d22c96914b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"allRecordsInChunk", "=", 
  RowBox[{
   RowBox[{"Length", "@", 
    RowBox[{"randomAllMatrices", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "*", 
   RowBox[{"Length", "@", 
    RowBox[{"randomAllMatrices", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.759610017592205*^9, 3.759610055168244*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"3ef05e3d-763d-47ec-a60e-6a45f506a7ea"],

Cell[BoxData["16000"], "Output",
 CellChangeTimes->{{3.7596100226718817`*^9, 3.75961005821765*^9}, 
   3.7596113545864553`*^9, 3.7596376754009333`*^9, 3.760296257915002*^9, 
   3.760296439764229*^9, 3.765117853777905*^9, 3.7822398047612658`*^9, 
   3.7824096816611843`*^9, 3.782424124916431*^9, 3.7824255920704927`*^9, 
   3.782425964885174*^9, 3.782427709493079*^9, 3.782428793806686*^9, 
   3.782429121899993*^9, 3.7824337274634247`*^9, 3.7824342018756447`*^9, 
   3.782456184007536*^9, 3.7824641660251303`*^9, 3.782473009812799*^9, 
   3.782473332233117*^9, 3.782473589496717*^9, 3.782475578532978*^9, 
   3.78249913730379*^9, 3.782499282727865*^9, 3.782565833783409*^9, 
   3.7825792512565804`*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"5096e929-2670-451f-ad04-c55b9cb4f106"]
}, Open  ]],

Cell["\<\
Uklad indeksow: [disturbance level, pattern #no, missing comparisons] \
\>", "Text",
 CellChangeTimes->{{3.7596103746924477`*^9, 
  3.759610420073406*^9}},ExpressionUUID->"df4cf886-3073-4e99-944a-\
d897c5bd2d53"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"randomAllMatrices", "[", 
   RowBox[{"[", 
    RowBox[{"30", ",", "1000", ",", "16"}], "]"}], "]"}], " ", "//", " ", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.759610102655528*^9, 3.7596101313968697`*^9}, {
  3.759610230118078*^9, 3.7596102864445868`*^9}, {3.759610334564434*^9, 
  3.7596103578507853`*^9}, {3.759610495651601*^9, 3.759610499874755*^9}},
 CellLabel->
  "In[136]:=",ExpressionUUID->"f24c0d4a-d87a-418e-92da-2713fc7ec9f6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1.`", "16.471945830234358`", "\[Placeholder]", "1.772878791609048`", 
      "\[Placeholder]", "\[Placeholder]", "\[Placeholder]"},
     {"0.060709281727025464`", "1.`", "\[Placeholder]", "\[Placeholder]", 
      "0.7008654220479742`", "\[Placeholder]", "\[Placeholder]"},
     {"\[Placeholder]", "\[Placeholder]", "1.`", "\[Placeholder]", 
      "0.023755945797497298`", "\[Placeholder]", "\[Placeholder]"},
     {"0.5640543531418803`", "\[Placeholder]", "\[Placeholder]", "1.`", 
      "\[Placeholder]", "15.83495174066049`", "\[Placeholder]"},
     {"\[Placeholder]", "1.4268074419735748`", "42.094724770139464`", 
      "\[Placeholder]", "1.`", "\[Placeholder]", "\[Placeholder]"},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
      "0.06315143969982753`", "\[Placeholder]", "1.`", "32.62508784156335`"},
     {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
      "\[Placeholder]", "0.030651258468828733`", "1.`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.759610106794323*^9, 3.759610132461261*^9}, {
   3.759610248633752*^9, 3.759610262311211*^9}, {3.759610328430873*^9, 
   3.7596103587460327`*^9}, 3.7596105002957077`*^9, 3.759611354640073*^9, 
   3.759637675475245*^9, 3.760296258019166*^9, 3.76029643984616*^9, 
   3.765117853789481*^9, 3.782239820433861*^9, 3.7824096845868473`*^9, 
   3.782424124926935*^9, 3.7824255920804863`*^9, 3.7824259648961782`*^9, 
   3.782427713582962*^9, 3.782428793817523*^9, 3.782429121911605*^9, 
   3.782433727474826*^9, 3.7824342018888083`*^9, 3.782456184063521*^9, 
   3.782464166045423*^9, 3.782473009935646*^9, 3.7824733322509527`*^9, 
   3.7824735895718107`*^9, 3.782475578607891*^9, 3.78249914083183*^9, 
   3.782499282803958*^9, 3.7825658339159327`*^9, 3.78257925137755*^9},
 CellLabel->
  "Out[136]//MatrixForm=",ExpressionUUID->"51da869f-3f81-4f32-9f65-\
c1689b046137"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"startTime", " ", "=", " ", "0"}], ";"}]], "Input",
 CellLabel->
  "In[140]:=",ExpressionUUID->"a986fdf4-843a-4e9a-97a1-6c2d0061616a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"endTime", " ", "=", " ", "0"}], ";"}]], "Input",
 CellLabel->
  "In[141]:=",ExpressionUUID->"452b71f2-4c77-4b49-a62b-65697bfc39ab"],

Cell[BoxData[
 RowBox[{
  RowBox[{"chunkId", " ", "=", "1"}], ";"}]], "Input",
 CellLabel->
  "In[142]:=",ExpressionUUID->"28926a52-abab-4997-8a43-6f67ef391be1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ProgressIndicator", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", "recordsProcessed", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "allRecordsInChunk"}], "}"}]}], "]"}], ",", 
   "\"\<record processed in chunk:\>\"", ",", " ", 
   RowBox[{"Dynamic", "[", "recordsProcessed", "]"}], ",", " ", 
   "\"\<chunkId: \>\"", ",", 
   RowBox[{"Dynamic", "[", "chunkId", "]"}]}], "}"}]], "Input",
 CellLabel->
  "In[143]:=",ExpressionUUID->"f1b738ad-bdfd-4fc0-a358-508a3625c1e9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   ProgressIndicatorBox[Dynamic[$CellContext`recordsProcessed], {0, 16000}], 
   ",", "\<\"record processed in chunk:\"\>", ",", 
   DynamicBox[ToBoxes[$CellContext`recordsProcessed, StandardForm],
    ImageSizeCache->{5.615234375, {0., 6.}}], ",", "\<\"chunkId: \"\>", ",", 
   DynamicBox[ToBoxes[$CellContext`chunkId, StandardForm],
    ImageSizeCache->{11.23046875, {0., 6.}}]}], "}"}]], "Output",
 CellChangeTimes->{3.759610719427349*^9, 3.759611355448892*^9, 
  3.759637676139323*^9, 3.760296259511221*^9, 3.7602964405750227`*^9, 
  3.765117854462747*^9, 3.782239856235745*^9, 3.782409693880067*^9, 
  3.782424125172555*^9, 3.7824255922978354`*^9, 3.782425965250448*^9, 
  3.782427723705263*^9, 3.782428793921369*^9, 3.782429122033578*^9, 
  3.7824337277441597`*^9, 3.782434202221669*^9, 3.782456184245038*^9, 
  3.7824641662556753`*^9, 3.782473010133219*^9, 3.782473332445491*^9, 
  3.78247358975961*^9, 3.782475578790134*^9, 3.782499151319425*^9, 
  3.7824992829682713`*^9, 3.782565834103513*^9, 3.7825792515159063`*^9},
 CellLabel->
  "Out[143]=",ExpressionUUID->"edbcfa9b-2504-4d76-913a-818302b75a35"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataChunk", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.7596107474263*^9},
 CellLabel->
  "In[144]:=",ExpressionUUID->"4eb29d91-b513-4c41-bc69-11c5813023b9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"resultsFilePrefix", " ", "=", " ", "\"\<results_v4\>\""}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.759610756651106*^9, 3.7822398662562647`*^9, {3.782427727331732*^9, 
   3.7824277274069*^9}, {3.782433549467923*^9, 3.782433549608892*^9}, {
   3.7824560658463907`*^9, 3.782456066897389*^9}, {3.782464137585599*^9, 
   3.782464139824051*^9}, {3.7824729637060843`*^9, 3.782472966598454*^9}, 
   3.782475524690915*^9, {3.78256473368703*^9, 3.7825647340014143`*^9}, {
   3.782564784695795*^9, 3.782564785324357*^9}, 3.782579214639126*^9},
 CellLabel->
  "In[145]:=",ExpressionUUID->"80f2b1d2-7a7c-4e9d-8df7-222937adebd9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"computeResults", "=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7596109614146423`*^9, 3.759610963876875*^9}},
 CellLabel->
  "In[146]:=",ExpressionUUID->"796848e7-ac04-4178-aa62-001e7567706a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResultsFileName", "[", "chunkId_", "]"}], ":=", " ", 
   RowBox[{"resultsFilePrefix", " ", "<>", " ", "\"\<.part\>\"", "<>", " ", 
    RowBox[{"ToString", "[", "chunkId", "]"}], "<>", "\"\<.mx\>\""}]}], 
  ";"}]], "Input",
 CellLabel->
  "In[147]:=",ExpressionUUID->"26f15997-3ce6-4ebc-ad5e-ea78615ca01d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FileExistsQ", "[", 
  RowBox[{"ResultsFileName", "[", "1", "]"}], "]"}]], "Input",
 CellLabel->
  "In[148]:=",ExpressionUUID->"1ae9e2eb-55b8-4a6f-82f9-a58744feed8e"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.782499171130835*^9, 3.7824992831220303`*^9, 
  3.7825658342569523`*^9, 3.7825792516439743`*^9},
 CellLabel->
  "Out[148]=",ExpressionUUID->"3bc42c73-c839-4298-9234-b0c94e3408a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"chunkId", " ", "=", "1"}], ",", " ", 
   RowBox[{"chunkId", "\[LessEqual]", " ", 
    RowBox[{"Length", "@", "randomAllMatrices"}]}], ",", " ", 
   RowBox[{"chunkId", "++"}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"recordsProcessed", " ", "=", " ", "0"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"FileExistsQ", "[", 
       RowBox[{"ResultsFileName", "[", "chunkId", "]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Print", "[", 
       RowBox[{"\"\<chunk \>\"", " ", "<>", " ", 
        RowBox[{"ToString", "@", "chunkId"}], " ", "<>", " ", 
        "\"\< skipped\>\""}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"dataChunk", " ", "=", " ", 
        RowBox[{"randomAllMatrices", "[", 
         RowBox[{"[", "chunkId", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"startTime", " ", "=", " ", 
        RowBox[{"AbsoluteTime", "[", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"computeResults", " ", "=", " ", 
        RowBox[{"ParallelMap", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"ComputeDataEntity", "[", "#", "]"}], "&"}], ",", " ", 
          "dataChunk", ",", " ", 
          RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"DumpSave", "[", 
        RowBox[{
         RowBox[{"ResultsFileName", "[", "chunkId", "]"}], ",", 
         "computeResults"}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"endTime", " ", "=", " ", 
        RowBox[{"AbsoluteTime", "[", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"(", 
         RowBox[{"endTime", " ", "-", " ", "startTime"}], ")"}], "]"}]}]}], 
     "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.759610838701448*^9, 3.759610851661934*^9}, 
   3.759610903580285*^9, {3.7596109358907948`*^9, 3.759610944888857*^9}, {
   3.759610975161098*^9, 3.7596109753748837`*^9}, {3.7596110325487022`*^9, 
   3.759611034685286*^9}, 3.759611298537347*^9},
 CellLabel->
  "In[149]:=",ExpressionUUID->"2a253f1b-55c0-4201-90b3-d6d1e3f8c71d"],

Cell[CellGroupData[{

Cell[BoxData["\<\"chunk 1 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251706133*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"5218dbee-945c-4098-8e28-eeafcca3cf70"],

Cell[BoxData["\<\"chunk 2 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251708358*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"7bb67885-04d5-4f6c-9d86-b59165867e83"],

Cell[BoxData["\<\"chunk 3 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251716518*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"219592a8-88fd-42b7-970b-458338f86f7b"],

Cell[BoxData["\<\"chunk 4 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517177343`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"cab29605-d2a6-4876-8910-e2d2b4b1b7fb"],

Cell[BoxData["\<\"chunk 5 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.78257925171879*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"9fe96ee3-c47b-4d4b-bf62-c620dc9feccc"],

Cell[BoxData["\<\"chunk 6 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251720096*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"7782ec2c-7b55-4ee8-85b1-800b2d52fbea"],

Cell[BoxData["\<\"chunk 7 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251721168*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"3190f782-01fe-46b7-bc4a-8fb34cafd675"],

Cell[BoxData["\<\"chunk 8 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517222433`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"35fb1c6a-82e7-4b52-b8ae-3ff9150ebfe8"],

Cell[BoxData["\<\"chunk 9 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251723284*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"d7db7cdd-42c5-4115-b317-ecb4b0e1983e"],

Cell[BoxData["\<\"chunk 10 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251724429*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"d6dc3b35-0dc9-4a35-83f3-f937ce8ae192"],

Cell[BoxData["\<\"chunk 11 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251725478*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"925f953c-406e-4e76-ba3a-f8a9a99490d4"],

Cell[BoxData["\<\"chunk 12 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517265244`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"4973024a-d027-421c-8c26-395b5a1e7d4f"],

Cell[BoxData["\<\"chunk 13 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517276087`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"5f5d4554-2b38-4f89-83bb-a4c51b47df4c"],

Cell[BoxData["\<\"chunk 14 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251728755*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"fc3785ea-e1a0-4377-9ca7-053bd24848e8"],

Cell[BoxData["\<\"chunk 15 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251729858*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"1208083b-1cad-4235-96d6-5e88bf9e8f0b"],

Cell[BoxData["\<\"chunk 16 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.78257925173094*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"1b50fdc4-782a-41e2-ae2f-cd4fe4da007f"],

Cell[BoxData["\<\"chunk 17 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517319736`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"b4ca6a75-e497-41d0-842d-4d42432ee480"],

Cell[BoxData["\<\"chunk 18 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251733004*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"da30344b-3868-4818-b697-8ede0147aa46"],

Cell[BoxData["\<\"chunk 19 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517340384`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"21aa6148-2522-4aa2-92ff-b5488928f73a"],

Cell[BoxData["\<\"chunk 20 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517350693`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"eeb4dcf4-ab31-41e1-8054-4160365fccf1"],

Cell[BoxData["\<\"chunk 21 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251736061*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"f849ab6f-7d2e-4f1c-90a1-89f871d669b0"],

Cell[BoxData["\<\"chunk 22 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.78257925173705*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"66ed49ef-9a3c-4816-a10a-05cf0c71b4cc"],

Cell[BoxData["\<\"chunk 23 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.78257925173805*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"e5c9c74e-a73f-4c3a-b543-ee2bb9e9f5e1"],

Cell[BoxData["\<\"chunk 24 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251739043*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"e545f107-ba10-4cfd-933e-ad43f50755be"],

Cell[BoxData["\<\"chunk 25 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517400513`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"a2a17706-396d-431c-a67f-aa524e0651c6"],

Cell[BoxData["\<\"chunk 26 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.78257925174117*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"eb4484bf-349f-4656-927a-3330c30d7069"],

Cell[BoxData["\<\"chunk 27 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251742311*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"46d7e1b4-39f1-4aea-8f8f-2b72b89c82d6"],

Cell[BoxData["\<\"chunk 28 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251743368*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"4aa73458-c6a8-42ab-a475-2f008ae14427"],

Cell[BoxData["\<\"chunk 29 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.7825792517443733`*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"fa5e27ec-88ff-4a2b-bba3-908486125bc3"],

Cell[BoxData["\<\"chunk 30 skipped\"\>"], "Print",
 CellChangeTimes->{3.782240442171352*^9, 3.7824097068792963`*^9, 
  3.782424125730945*^9, 3.7824255929506617`*^9, 3.782425965835244*^9, 
  3.782427783471283*^9, 3.7824287946543703`*^9, 3.782429122753263*^9, 
  3.782433727994018*^9, 3.782434390581174*^9, 3.782456394825438*^9, 
  3.782464379650302*^9, 3.7824730103669863`*^9, 3.7824733327212353`*^9, 
  3.782473589958208*^9, 3.782475781773818*^9, 3.782499814144548*^9, 
  3.7825658343225603`*^9, 3.782579251745409*^9},
 CellLabel->
  "During evaluation of \
In[149]:=",ExpressionUUID->"70cfd3c8-996a-4df3-a400-a056432cb9f1"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"computeResults", "=", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellLabel->
  "In[150]:=",ExpressionUUID->"e957647e-3892-473d-98a9-a03f95741ede"],

Cell[BoxData[
 RowBox[{
  RowBox[{"computeResultsTotal", " ", "=", " ", 
   RowBox[{"{", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759637729727413*^9, 3.759637732635775*^9}},
 CellLabel->
  "In[151]:=",ExpressionUUID->"251be707-acf5-4de5-9284-51e4f7aa49a1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"i", " ", "=", " ", "1"}], ",", " ", 
    RowBox[{"i", "\[LessEqual]", " ", 
     RowBox[{"Length", "@", "randomAllMatrices"}]}], ",", 
    RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Get", "[", 
      RowBox[{"ResultsFileName", "[", "i", "]"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"computeResultsTotal", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"computeResultsTotal", ",", " ", "computeResults"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"computeResults", "=", 
      RowBox[{"{", "}"}]}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{3.759611108227916*^9},
 CellLabel->
  "In[152]:=",ExpressionUUID->"05e33d30-f05c-47e1-9866-867c1de4c216"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", 
  RowBox[{"computeResultsTotal", "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7824749533461514`*^9, 3.7824749739025717`*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"e1f96fb1-80e6-4b4d-8a50-aa6ec24c14fd"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{{3.782474956772056*^9, 3.782474974724512*^9}, 
   3.782494139422331*^9, 3.782517631684958*^9, 3.782565835182745*^9, 
   3.782579252633354*^9},
 CellLabel->
  "Out[153]=",ExpressionUUID->"68173042-8451-4c48-8ab2-4016f3445851"]
}, Open  ]],

Cell["Correctness check", "Text",
 CellChangeTimes->{{3.782475214712779*^9, 
  3.7824752185501328`*^9}},ExpressionUUID->"b37db22e-4384-41fe-b284-\
0b450121dd15"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"computeResultsTotal", "[", 
   RowBox[{"[", 
    RowBox[{"20", ",", "1000", ",", "14"}], "]"}], "]"}], "-", 
  RowBox[{"ComputeIndices", "[", 
   RowBox[{"randomAllMatrices", "[", 
    RowBox[{"[", 
     RowBox[{"20", ",", "1000", ",", "14"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.759637827129655*^9, 3.7596378476225243`*^9}, {
  3.782433187703032*^9, 3.782433201399185*^9}, {3.782433568237236*^9, 
  3.782433584379469*^9}, {3.782433618737699*^9, 3.782433618942046*^9}, {
  3.782472290828158*^9, 3.782472340553331*^9}, {3.782472377102401*^9, 
  3.782472377260974*^9}},
 CellLabel->
  "In[154]:=",ExpressionUUID->"1c1c5828-2de7-41c8-8471-7e34c0bc3f1b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.14622407834518708`", ",", 
   RowBox[{"-", "0.14622407834518708`"}], ",", "0.`", ",", "0.`", ",", "0.`", 
   ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", 
   ",", "0.`", ",", "0.`", ",", "0.`"}], "}"}]], "Output",
 CellChangeTimes->{{3.759637831214147*^9, 3.759637848691633*^9}, 
   3.760296261653042*^9, 3.7602964418483133`*^9, 3.765117855531859*^9, 
   3.782408697718277*^9, 3.782409724596274*^9, 3.782424126466367*^9, 
   3.7824255936576242`*^9, 3.782425966580518*^9, 3.782427795038788*^9, 
   3.782428795645917*^9, 3.7824291234392033`*^9, {3.7824331887737007`*^9, 
   3.7824332022486677`*^9}, {3.782433560920417*^9, 3.7824336198075037`*^9}, 
   3.782433728875317*^9, 3.782440474352187*^9, 3.782453254720318*^9, 
   3.782462757502713*^9, 3.782471318049355*^9, {3.782472291763768*^9, 
   3.7824723409058437`*^9}, 3.782472377821722*^9, 3.782473011318656*^9, 
   3.78247333333908*^9, 3.782473590656083*^9, 3.782494139481059*^9, 
   3.78251763181636*^9, 3.78256583524889*^9, 3.782579252671611*^9},
 CellLabel->
  "Out[154]=",ExpressionUUID->"7e8cabe0-61a2-4eab-87d3-8be70facca8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", " ", "=", " ", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "30"}], "}"}], "]"}]}], ",", " ", 
     RowBox[{"x2", " ", "=", " ", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1000"}], "}"}], "]"}]}], ",", " ", 
     RowBox[{"x3", "=", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "16"}], "}"}], "]"}]}]}], "    ", "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"computeResultsTotal", "[", 
       RowBox[{"[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "]"}], "-", 
      RowBox[{"ComputeIndices", "[", 
       RowBox[{"randomAllMatrices", "[", 
        RowBox[{"[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "]"}], "]"}]}], ",", 
     " ", 
     RowBox[{"computeResultsTotal", "[", 
      RowBox[{"[", 
       RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "]"}], ",", " ", 
     RowBox[{"ComputeIndices", "[", 
      RowBox[{"randomAllMatrices", "[", 
       RowBox[{"[", 
        RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "]"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.782475080098343*^9, 3.78247516567267*^9}, {
  3.782494389820703*^9, 3.78249440608982*^9}},
 CellLabel->
  "In[155]:=",ExpressionUUID->"8b33df52-0bf7-4d22-89d9-ec8685cc1e7a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.1577314211621948`", ",", 
     RowBox[{"-", "0.1577314211621948`"}], ",", "0.`", ",", "0.`", ",", "0.`",
      ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", ",", "0.`", 
     ",", "0.`", ",", "0.`", ",", "0.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.3379959024904174`", ",", "0.1802644813282226`", ",", 
     "0.9284465426583087`", ",", "0.7453630167239433`", ",", 
     "0.44889369940876633`", ",", "0.836904779691126`", ",", 
     "0.6817003475781821`", ",", "0.2920335228714102`", ",", 
     "0.25317572328541393`", ",", "0.009464649145006221`", ",", 
     "0.07317173172368799`", ",", "0.08866321638353916`", ",", 
     "52.743287352659756`", ",", "0.20441111753435948`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.1802644813282226`", ",", "0.3379959024904174`", ",", 
     "0.9284465426583087`", ",", "0.7453630167239433`", ",", 
     "0.44889369940876633`", ",", "0.836904779691126`", ",", 
     "0.6817003475781821`", ",", "0.2920335228714102`", ",", 
     "0.25317572328541393`", ",", "0.009464649145006221`", ",", 
     "0.07317173172368799`", ",", "0.08866321638353916`", ",", 
     "52.743287352659756`", ",", "0.20441111753435948`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.782475167057508*^9, 3.782475178614418*^9}, {
   3.782475239192675*^9, 3.782475241376894*^9}, 3.782494139544813*^9, {
   3.7824943738069897`*^9, 3.782494407517564*^9}, 3.78251763228465*^9, 
   3.782565835314534*^9, 3.782579252741008*^9},
 CellLabel->
  "Out[155]=",ExpressionUUID->"f7629a05-7332-4254-ad7b-418c1aaac125"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DistanceMeasure", "[", 
    RowBox[{"idxCompl_", ",", " ", "idxIncompl_"}], "]"}], ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"idxCompl", " ", "+", " ", "idxIncompl"}], " ", "\[Equal]", 
      "0"}], ",", " ", "0", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"idxCompl", " ", "-", " ", "idxIncompl"}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"idxCompl", " ", "+", " ", "idxIncompl"}], ")"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.759638535732109*^9, 3.759638588618305*^9}, {
  3.759639231749638*^9, 3.75963923992756*^9}},
 CellLabel->
  "In[157]:=",ExpressionUUID->"cc8213db-d2e0-4f4e-9430-186335ca4b56"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"DistanceMeasure2", "[", 
    RowBox[{"idxCompl_", ",", " ", "idxIncompl_"}], "]"}], ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"idxCompl", " ", "\[LessEqual]", "  ", 
       SuperscriptBox["10", 
        RowBox[{"-", "7"}]]}], " ", "&&", " ", 
      RowBox[{"idxIncompl", " ", "\[LessEqual]", "  ", 
       SuperscriptBox["10", 
        RowBox[{"-", "7"}]]}]}], ",", " ", "0", ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"idxCompl", " ", "-", " ", "idxIncompl"}], ")"}], "/", 
      RowBox[{"Max", "[", 
       RowBox[{"idxCompl", ",", "idxIncompl"}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.759665243860256*^9, 3.7596652611564703`*^9}, {
  3.760265664564334*^9, 3.760265666253786*^9}, {3.782430021190621*^9, 
  3.782430094375842*^9}, {3.782430173833687*^9, 3.782430200075355*^9}, {
  3.782430719166111*^9, 3.782430750010186*^9}, {3.7824309402132807`*^9, 
  3.782430948267371*^9}, {3.782431025560812*^9, 3.782431037155802*^9}, {
  3.7824311071413393`*^9, 3.782431122083796*^9}, {3.782431167892385*^9, 
  3.782431174536066*^9}, {3.782431497473744*^9, 3.782431547991559*^9}, {
  3.782431741469699*^9, 3.7824317518474627`*^9}, {3.782432161878626*^9, 
  3.7824321805221157`*^9}, {3.782432502554276*^9, 3.782432528490718*^9}, {
  3.782434017881295*^9, 3.782434063974185*^9}, {3.782453347378603*^9, 
  3.782453392695979*^9}, {3.7824545084921713`*^9, 3.782454512694159*^9}, {
  3.782471486126492*^9, 3.782471494231851*^9}, {3.78247452596181*^9, 
  3.782474542829582*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"662c289e-3364-4337-8827-e9cd74b45e19"],

Cell["\<\
Distances between complete PC matrices and their incomplete counterparts\
\>", "Text",
 CellChangeTimes->{{3.7596389735391083`*^9, 3.759639006556615*^9}, {
  3.7825797707473392`*^9, 
  3.7825798021893253`*^9}},ExpressionUUID->"ea6b7d41-9886-44d0-b77b-\
123a9bdb3b5a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"distancesArray2", " ", "=", " ", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"completeMatrix", " ", "=", " ", 
            RowBox[{"computeResultsTotal", "[", 
             RowBox[{"[", 
              RowBox[{
              "disturbanceLevel", ",", " ", "matrixNumber", ",", " ", "1"}], 
              "]"}], "]"}]}], ",", " ", 
           RowBox[{"incompleteMatrix", " ", "=", " ", 
            RowBox[{"computeResultsTotal", "[", 
             RowBox[{"[", 
              RowBox[{
              "disturbanceLevel", ",", " ", "matrixNumber", ",", " ", 
               "missingComp"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
         "\[IndentingNewLine]", 
         RowBox[{"MapThread", "[", 
          RowBox[{"DistanceMeasure2", ",", " ", 
           RowBox[{"{", 
            RowBox[{"completeMatrix", ",", " ", "incompleteMatrix"}], "}"}]}],
           "]"}]}], "\[IndentingNewLine]", "]"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"missingComp", ",", " ", "1", ",", " ", "16"}], "}"}]}], 
      "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"disturbanceLevel", ",", " ", "1", ",", "30"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"matrixNumber", ",", " ", "1", ",", " ", "1000"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.759665296544483*^9, 3.759665301454384*^9}, {
  3.7602923465690727`*^9, 3.760292349265808*^9}, {3.7824100954360933`*^9, 
  3.782410097175805*^9}},
 CellLabel->
  "In[168]:=",ExpressionUUID->"15f50b8b-4493-4a4a-8939-5c86c14cf2ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"OlivaSetolaScalaIdx", "@", 
  RowBox[{"randomAllMatrices", "[", 
   RowBox[{"[", 
    RowBox[{"30", ",", "4", ",", "16"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.782455330482545*^9, 3.782455353564251*^9}, {
   3.782455937676826*^9, 3.782455943147668*^9}, 3.782473802442256*^9},
 CellLabel->
  "In[173]:=",ExpressionUUID->"e9adc626-3010-49a3-8668-4a0de615257d"],

Cell[BoxData["1.5543122344752192`*^-15"], "Output",
 CellChangeTimes->{3.782473803346416*^9, 3.782474607916645*^9, 
  3.782494164285163*^9, 3.782517663303088*^9, 3.78257928260364*^9},
 CellLabel->
  "Out[173]=",ExpressionUUID->"aae14bc5-813b-4989-a2e3-904a88fda48a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"distancesArrayFlatten2", " ", "=", " ", 
   RowBox[{"Flatten", "[", 
    RowBox[{"distancesArray2", ",", " ", "1"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.75966532328216*^9, 3.759665327160019*^9}},
 CellLabel->
  "In[176]:=",ExpressionUUID->"90292a8d-2f74-4d29-9b42-dc215d5a749f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "distancesArrayFlatten2"}]], "Input",
 CellChangeTimes->{{3.759639649582546*^9, 3.75963965117833*^9}, 
   3.759665332259547*^9},
 CellLabel->
  "In[177]:=",ExpressionUUID->"b86cbc1d-9ed2-41e0-9b70-f9a4646074b0"],

Cell[BoxData["30000"], "Output",
 CellChangeTimes->{{3.7596396523805323`*^9, 3.7596396891225567`*^9}, 
   3.759665333094602*^9, 3.7602923827533817`*^9, 3.760296298850931*^9, 
   3.760296475807444*^9, 3.765117890895629*^9, 3.765119485094275*^9, 
   3.765119756708045*^9, 3.782408912678953*^9, 3.782409790034368*^9, 
   3.7824098638085117`*^9, 3.782410141606586*^9, 3.782424165606433*^9, 
   3.782427886584804*^9, 3.782428833910513*^9, 3.7824291616309223`*^9, 
   3.782430799282343*^9, 3.782431214874797*^9, 3.782433808051194*^9, 
   3.782440520221222*^9, 3.782462801419538*^9, 3.7824713601298103`*^9, 
   3.782473051111438*^9, 3.782473381257756*^9, 3.782473617986034*^9, 
   3.782474617170437*^9, 3.782494164418228*^9, 3.782517665954268*^9, 
   3.782579282722405*^9},
 CellLabel->
  "Out[177]=",ExpressionUUID->"47c373a5-28e9-478b-9948-9756a35715f9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"distancesArrayFlatten2", "[", 
  RowBox[{"[", 
   RowBox[{"1000", ",", " ", "15", ",", "13"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7596397086935167`*^9, 3.759639721664873*^9}, {
   3.75964002696102*^9, 3.759640027058013*^9}, {3.759640084334622*^9, 
   3.759640121290412*^9}, 3.782474620658372*^9},
 CellLabel->
  "In[178]:=",ExpressionUUID->"acd5be42-af72-4f2f-88ef-50b77068df90"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7596397235857353`*^9, 3.759640028185493*^9, {3.759640085155363*^9, 
   3.759640122058853*^9}, 3.7602923857554607`*^9, 3.7602962989378357`*^9, 
   3.760296475880422*^9, 3.765117890950901*^9, 3.765119486007222*^9, 
   3.765119756828804*^9, {3.782408917775691*^9, 3.782408919799245*^9}, 
   3.782409791239427*^9, 3.782409865377075*^9, 3.7824101433061743`*^9, 
   3.782424165656039*^9, 3.782427888103715*^9, 3.78242883398802*^9, 
   3.782429161692521*^9, 3.782431219381975*^9, 3.78243160722189*^9, 
   3.7824338080634527`*^9, 3.7824405202364817`*^9, 3.7824628014819403`*^9, 
   3.7824713601461153`*^9, 3.78247305116571*^9, 3.782473381314415*^9, 
   3.782473618056904*^9, 3.782474621404448*^9, 3.7824941644296427`*^9, 
   3.7825176662653103`*^9, 3.782579282732799*^9},
 CellLabel->
  "Out[178]=",ExpressionUUID->"c3863c0a-bf85-4b8c-985a-817d60820107"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetMeanForIndexNoAndMissingComp2", "[", 
    RowBox[{"idxNo_", ",", " ", "missingComp_"}], "]"}], ":=", " ", 
   RowBox[{"Mean", "@", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"distancesArrayFlatten2", "[", 
       RowBox[{"[", 
        RowBox[{"x", ",", " ", 
         RowBox[{"missingComp", "+", "1"}], ",", " ", "idxNo"}], "]"}], "]"}],
       ",", " ", 
      RowBox[{"{", 
       RowBox[{"x", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "@", "distancesArrayFlatten2"}]}], "}"}]}], 
     "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7596653698246603`*^9, 3.7596653773355627`*^9}},
 CellLabel->
  "In[180]:=",ExpressionUUID->"90b20933-0ecf-49b2-b280-210ec136f9d9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GetMeanForIndexNoAndMissingComp2", "[", 
  RowBox[{"14", ",", " ", "15"}], "]"}]], "Input",
 CellChangeTimes->{{3.7596403035744553`*^9, 3.759640314384921*^9}, {
   3.759640404060614*^9, 3.759640434289588*^9}, {3.759640470458338*^9, 
   3.759640472919632*^9}, {3.782430567256043*^9, 3.782430627978589*^9}, 
   3.782473484044754*^9, 3.7824741483266783`*^9},
 CellLabel->
  "In[181]:=",ExpressionUUID->"2427682b-665e-43d4-98d0-8635c96d43c4"],

Cell[BoxData["0.9666666666666657`"], "Output",
 CellChangeTimes->{{3.759640408134296*^9, 3.759640474238254*^9}, 
   3.760265846710909*^9, 3.760292395439458*^9, 3.760296299667859*^9, 
   3.7602964765445433`*^9, 3.76511789162554*^9, 3.765119491545607*^9, 
   3.765119758722636*^9, 3.782408941803026*^9, 3.782409875241961*^9, 
   3.782410153020836*^9, 3.782424166215538*^9, 3.782427905689684*^9, 
   3.782428834661469*^9, 3.782429162361783*^9, {3.782430565226727*^9, 
   3.782430629243367*^9}, 3.782430814614826*^9, 3.782431224161613*^9, 
   3.7824338087580643`*^9, 3.7824405209753942`*^9, 3.7824628021436987`*^9, 
   3.7824713608068037`*^9, 3.782473051823331*^9, 3.7824733819856167`*^9, 
   3.782473618680746*^9, 3.782474149989159*^9, 3.782474634014496*^9, 
   3.782494165110552*^9, 3.782517669653528*^9, 3.782579283403623*^9},
 CellLabel->
  "Out[181]=",ExpressionUUID->"9dd73168-c910-4512-9805-5bfd0ac8c291"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GetMeanForIndexNoAndMissingComp2tmp", "[", 
    RowBox[{"idxNo_", ",", " ", "missingComp_"}], "]"}], ":=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"distancesArrayFlatten2", "[", 
      RowBox[{"[", 
       RowBox[{"x", ",", " ", 
        RowBox[{"missingComp", "+", "1"}], ",", " ", "idxNo"}], "]"}], "]"}], 
     ",", " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "1", ",", " ", 
       RowBox[{"Length", "@", "distancesArrayFlatten2"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.78247418645339*^9, 3.782474190325382*^9}},
 CellLabel->
  "In[182]:=",ExpressionUUID->"f362d3a2-22d7-4945-b581-07f55447118f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"indxNames", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Geometric Consistency index v2\>\"", ",", 
     "\"\<Geometric Consistency index v1\>\"", ",", " ", 
     "\"\<Koczkodaj's index\>\"", ",", " ", "\"\<Triad based index 1\>\"", 
     ",", " ", "\"\<Triad based index 2\>\"", ",", " ", 
     "\"\<Triad based alpha index\>\"", ",", " ", 
     "\"\<Triad based alpha-beta index\>\"", ",", " ", 
     "\"\<Golden-Wang index\>\"", ",", " ", "\"\<Salo-Hamalainen index\>\"", 
     ",", " ", "\"\<Barzilai's Relative Error index v1\>\"", ",", " ", 
     "\"\<Barzilai's Relative Error index v2\>\"", ",", " ", 
     "\"\<Saaty consistency index\>\"", ",", "\"\<iLLS criterion\>\"", ",", 
     " ", "\"\<Oliva et al. index\>\""}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7605351014682627`*^9, 3.760535147429392*^9}, {
  3.765119505736842*^9, 3.7651195218668623`*^9}, {3.78240901365142*^9, 
  3.782409121109734*^9}, {3.7824092851348753`*^9, 3.782409286293388*^9}, {
  3.782578764364808*^9, 3.782578766782392*^9}},
 CellLabel->
  "In[186]:=",ExpressionUUID->"811d5d7e-8f16-4a18-a124-55269c7a15c7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "indxNames"}]], "Input",
 CellChangeTimes->{{3.7824092096246777`*^9, 3.782409211129589*^9}},
 CellLabel->
  "In[187]:=",ExpressionUUID->"a6d593f6-eadb-4b15-aa95-5340755d1556"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{3.782409212887369*^9, 3.782409881080016*^9, 
  3.7824279155812273`*^9, 3.78242883472851*^9, 3.782429162424951*^9, 
  3.7824308229878683`*^9, 3.782431238815844*^9, 3.782433809794648*^9, 
  3.782440521758491*^9, 3.782462802949245*^9, 3.7824713618508387`*^9, 
  3.7824730526599693`*^9, 3.782473382747479*^9, 3.7824736193836946`*^9, 
  3.782474675126278*^9, 3.782494165330237*^9, 3.782517671800825*^9, 
  3.7825792835985193`*^9},
 CellLabel->
  "Out[187]=",ExpressionUUID->"11d30b9b-60b6-414c-bfaf-b7db8bcfd87e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"List2DPlotByIdxNo2", "[", "idxNo_", "]"}], ":=", 
   RowBox[{
    RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}], "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"missingComp", ",", " ", 
        RowBox[{"GetMeanForIndexNoAndMissingComp2", "[", 
         RowBox[{"idxNo", ",", " ", "missingComp"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"missingComp", ",", " ", "0", ",", "15"}], "}"}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7596653966804867`*^9, 3.7596654088806133`*^9}, {
   3.7602925292024803`*^9, 3.760292530628496*^9}, {3.782409896843891*^9, 
   3.782409899372274*^9}, 3.78245362620427*^9, 3.78245600789501*^9},
 CellLabel->
  "In[215]:=",ExpressionUUID->"7dc4c7da-6bc7-4c2e-a8d8-895b40aa2859"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"List2DPlotByIdxNo2", "[", "14", "]"}], ",", " ", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", "  ", 
   RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.759640749522752*^9, 3.759640768561409*^9}, 
   3.7824099074298487`*^9, 3.782454625006364*^9, 3.782473549924933*^9, 
   3.782474693225771*^9},
 CellLabel->
  "In[216]:=",ExpressionUUID->"2aeda307-1e74-48c1-b01d-44bbdb8b3df0"],

Cell[BoxData[
 GraphicsBox[{{}, {{{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      LineBox[{{0., 0.}, {1., 0.020470954804577803`}, {2., 
       0.04246046395384595}, {3., 0.06533779200226976}, {4., 
       0.09368196703104918}, {5., 0.1249042982139422}, {6., 
       0.16029926736408312`}, {7., 0.20036685160195614`}, {8., 
       0.24314810810854506`}, {9., 0.2935449072476609}, {10., 
       0.353309012710873}, {11., 0.4288918816872544}, {12., 
       0.5175362930406686}, {13., 0.6276571307139446}, {14., 
       0.7680079059461413}, {15., 0.9666666666666657}}]}}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], GeometricTransformationBox[InsetBox[
       FormBox[
        StyleBox[
         GraphicsBox[
          {EdgeForm[None], DiskBox[{0, 0}]}],
         StripOnInput->False,
         GraphicsBoxOptions->{DefaultBaseStyle->Directive[
           PointSize[0.012833333333333334`], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6]]}],
        TraditionalForm], {0., 0.}, Automatic, Offset[6.272]], {{{0., 0.}}, {{
      1., 0.020470954804577803`}}, {{2., 0.04246046395384595}}, {{3., 
      0.06533779200226976}}, {{4., 0.09368196703104918}}, {{5., 
      0.1249042982139422}}, {{6., 0.16029926736408312`}}, {{7., 
      0.20036685160195614`}}, {{8., 0.24314810810854506`}}, {{9., 
      0.2935449072476609}}, {{10., 0.353309012710873}}, {{11., 
      0.4288918816872544}}, {{12., 0.5175362930406686}}, {{13., 
      0.6276571307139446}}, {{14., 0.7680079059461413}}, {{15., 
      0.9666666666666657}}}]}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}, {
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6]}, {}}}, {{}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 15.}, {0, 0.9666666666666657}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7824291718139*^9, 3.782433831252776*^9, 3.782440539246448*^9, 
   3.782454626087215*^9, 3.782462813215248*^9, 3.782471372308704*^9, 
   3.782471637666452*^9, 3.782473062310563*^9, 3.782473392546896*^9, 
   3.782473627884192*^9, {3.782474689372237*^9, 3.7824747180847607`*^9}, 
   3.782494175468773*^9, 3.782517691308176*^9, 3.782579293107902*^9, 
   3.782579663289834*^9},
 CellLabel->
  "Out[216]=",ExpressionUUID->"24d07bee-3cde-4dfb-b282-8a9fe74e401a"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.782429091648395*^9, 3.7824290985714006`*^9}},
 CellLabel->
  "In[196]:=",ExpressionUUID->"c2a751d9-3b03-4550-9cdf-a2cf50e97a4b"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Abort", "[", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.782429101364127*^9, 3.782429110366055*^9}, 
   3.782456026949044*^9},
 CellLabel->
  "In[197]:=",ExpressionUUID->"055985e9-3d02-4fc4-86ed-ab686933101b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "indxNames"}]], "Input",
 CellLabel->
  "In[198]:=",ExpressionUUID->"d156d2c7-a0c2-4f6d-b6bf-d7e8c0a30e25"],

Cell[BoxData["14"], "Output",
 CellChangeTimes->{3.782429477891313*^9, 3.782433831578657*^9, 
  3.7824405395347433`*^9, 3.7824628132994757`*^9, 3.782471372396015*^9, 
  3.7824730625595827`*^9, 3.782473392735539*^9, 3.782473628102592*^9, 
  3.7824941757949657`*^9, 3.782517696002144*^9, 3.782579293408945*^9},
 CellLabel->
  "Out[198]=",ExpressionUUID->"94c494d2-0978-4011-9a4f-372bfce7ecf5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GetMeanForIndexNoAndMissingComp2", "[", 
  RowBox[{"14", ",", " ", "11"}], "]"}]], "Input",
 CellChangeTimes->{{3.7824296115638113`*^9, 3.782429639767653*^9}, {
  3.782430372071993*^9, 3.782430440341963*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"03b45481-c98b-4489-8efd-6e3ca7ba985d"],

Cell[BoxData["0.4288918816872544`"], "Output",
 CellChangeTimes->{{3.7824296171978807`*^9, 3.782429641328372*^9}, 
   3.782430294215008*^9, {3.782430373552676*^9, 3.782430441616321*^9}, 
   3.782433832156785*^9, 3.782440540083693*^9, 3.782462813890624*^9, 
   3.782471373050489*^9, 3.782473063085383*^9, 3.782473393330196*^9, 
   3.7824736285922203`*^9, 3.7824747319079237`*^9, 3.782494176373733*^9, 
   3.782517696605133*^9, 3.78257929396566*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"be63a0ab-a37a-49f3-8aa6-7aaa697f07d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"idxNo", ",", " ", "1", ",", " ", 
       RowBox[{"Length", "@", "indxNames"}]}], "}"}]}], "]"}], ",", " ", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", "  ", 
   RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", " ", 
   RowBox[{"PlotLegends", "\[Rule]", "indxNames"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7596408269478693`*^9, 3.759640855630752*^9}, 
   3.759665660080078*^9, 3.76511981546447*^9, {3.765128325367841*^9, 
   3.765128331972518*^9}, {3.765128399900549*^9, 3.765128425517231*^9}, {
   3.765128629326112*^9, 3.765128630178939*^9}, {3.782409220984725*^9, 
   3.782409231274576*^9}, 3.7824102179411182`*^9},
 CellLabel->
  "In[202]:=",ExpressionUUID->"b4f0798a-24a8-4f5f-9599-0d48a369822d"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.020700943671297406`}, {2., 
         0.0425846196325532}, {3., 0.0655020874567631}, {4., 
         0.09340421956595306}, {5., 0.12487289404990597`}, {6., 
         0.15929879204955535`}, {7., 0.19851003541352918`}, {8., 
         0.24157074477998242`}, {9., 0.29095152959254844`}, {10., 
         0.3519294669139564}, {11., 0.4267446451408814}, {12., 
         0.5173112668659632}, {13., 0.6304130179956453}, {14., 
         0.7743740264288317}, {15., 0.9666666666666667}}]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.06510733347457273}, {2., 
         0.12926706879080857`}, {3., 0.19238956902904775`}, {4., 
         0.2575904036206759}, {5., 0.3229957500185553}, {6., 
         0.38761702993109953`}, {7., 0.45228446316029597`}, {8., 
         0.5157398650111531}, {9., 0.578655541332762}, {10., 
         0.6430368633528665}, {11., 0.7083311035238048}, {12., 
         0.7732410085947872}, {13., 0.8380854182391791}, {14., 
         0.9023668395860153}, {15., 0.9666666666666667}}]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0016021410181912563`}, {2., 
         0.00327629223417482}, {3., 0.004891794802101536}, {4., 
         0.006927820457141329}, {5., 0.009539434289125574}, {6., 
         0.012689139846863333`}, {7., 0.016042452441918653`}, {8., 
         0.02100083829579091}, {9., 0.027109719790597984`}, {10., 
         0.03655279378940551}, {11., 0.05160538372232078}, {12., 
         0.07805392622555019}, {13., 0.13416089181817376`}, {14., 
         0.28861812329388514`}, {15., 0.9999333333333333}}]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0019036464234768748`}, {2., 
         0.003746951340305094}, {3., 0.005898058106975615}, {4., 
         0.008786000953770395}, {5., 0.011739930446795313`}, {6., 
         0.014784618771708703`}, {7., 0.01927086578195445}, {8., 
         0.02299606985413237}, {9., 0.026561591352643514`}, {10., 
         0.03271544394322}, {11., 0.03965731576505068}, {12., 
         0.0470158379943647}, {13., 0.057596885395462344`}, {14., 
         0.07724198969050816}, {15., 0.9669}}]}, {
        Hue[0.6142719099991583, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., -0.14339228022870726`}, {
         2., -0.27058565145591035`}, {3., -0.38237173239628813`}, {
         4., -0.4799469686065269}, {5., -0.5647947084034503}, {
         6., -0.6377946551826036}, {7., -0.7003510366043695}, {
         8., -0.7532935070194234}, {9., -0.7980503766306024}, {
         10., -0.8351837209974661}, {11., -0.8662644156319157}, {
         12., -0.8917806568104432}, {13., -0.9114816508840057}, {
         14., -0.9100112353959441}, {15., 0.9666666666666667}}]}, {
        Hue[0.8503398874989481, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0020522015241436157`}, {2., 
         0.0041161259682777635`}, {3., 0.00623764017393067}, {4., 
         0.008921405723626492}, {5., 0.012120981193669379`}, {6., 
         0.015695340964934842`}, {7., 0.01985350673483254}, {8., 
         0.024844440659795162`}, {9., 0.030503724937964057`}, {10., 
         0.039123438582366145`}, {11., 0.05108403105442556}, {12., 
         0.06997114409216991}, {13., 0.10646278500695532`}, {14., 
         0.20002642482077232`}, {15., 0.9986666666666667}}]}, {
        Hue[0.08640786499873876, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., -0.0015281700115902478`}, {
         2., -0.003568489483055893}, {3., -0.006414812549364216}, {
         4., -0.009883322677975696}, {5., -0.014345548852244844`}, {
         6., -0.02040900364148766}, {7., -0.027911557384010757`}, {
         8., -0.038068733271478285`}, {9., -0.05195400583492195}, {
         10., -0.06865203155078194}, {11., -0.09048168984661188}, {
         12., -0.11854193138537654`}, {13., -0.14922784148195317`}, {
         14., -0.1503792412881017}, {15., 0.9807333333333333}}]}, {
        Hue[0.3224758424985268, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.021482554594916554`}, {2., 
         0.043449447990303466`}, {3., 0.06843962012151733}, {4., 
         0.09679912159893969}, {5., 0.12700668403480248`}, {6., 
         0.16217002277155984`}, {7., 0.20162405664039673`}, {8., 
         0.24595863034054669`}, {9., 0.2985539707189119}, {10., 
         0.3585120946079881}, {11., 0.43176177335521704`}, {12., 
         0.5195207977676823}, {13., 0.6271869662608394}, {14., 
         0.7667836141517755}, {15., 0.9666666666666665}}]}, {
        Hue[0.5585438199983166, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.005559399932711826}, {2., 
         0.012286045041845398`}, {3., 0.02145373863847551}, {4., 
         0.03363234520633076}, {5., 0.049886688017361534`}, {6., 
         0.07197404523928345}, {7., 0.10261443789550447`}, {8., 
         0.14408368683730455`}, {9., 0.19888460073318165`}, {10., 
         0.2713351629209833}, {11., 0.36562070802630997`}, {12., 
         0.4812303739333901}, {13., 0.6196604614793391}, {14., 
         0.7832182061885714}, {15., 0.9672333333333333}}]}, {
        Hue[0.7946117974981064, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0514082459028757}, {2., 
         0.10426323375940408`}, {3., 0.15796238561087272`}, {4., 
         0.21601389960022577`}, {5., 0.27576290165845274`}, {6., 
         0.3380962141165305}, {7., 0.40125032362193586`}, {8., 
         0.4686132938301756}, {9., 0.5352770298613161}, {10., 
         0.6078599451168185}, {11., 0.6821924887458488}, {12., 
         0.7565716972625763}, {13., 0.8319718038436822}, {14., 
         0.9019495321355857}, {15., 0.9666666666666667}}]}, {
        Hue[0.030679774997896203`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0189459368983924}, {2., 
         0.03940035383717814}, {3., 0.060183721362681686`}, {4., 
         0.08684986927407844}, {5., 0.11455639557432354`}, {6., 
         0.14611464603289387`}, {7., 0.1813489469643854}, {8., 
         0.22195630992760507`}, {9., 0.2685846594540056}, {10., 
         0.32605076235482533`}, {11., 0.3987580929288972}, {12., 
         0.4876952533202165}, {13., 0.6041551765680911}, {14., 
         0.753608974868795}, {15., 0.9666666666666667}}]}, {
        Hue[0.266747752497686, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.06225803923331382}, {2., 
         0.12365116511691823`}, {3., 0.18362122952494228`}, {4., 
         0.24646501810421687`}, {5., 0.30864580654428925`}, {6., 
         0.37129491507617324`}, {7., 0.4335928267533059}, {8., 
         0.4944886130923512}, {9., 0.5557075526501547}, {10., 
         0.6180378608248621}, {11., 0.6838021438010774}, {12., 
         0.7493324489719}, {13., 0.8174799133996037}, {14., 
         0.8878290015263679}, {15., 0.9666666666666667}}]}, {
        Hue[0.5028157299974758, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.061032110722101796`}, {2., 
         0.11819508912155947`}, {3., 0.17361167613253814`}, {4., 
         0.231051560740213}, {5., 0.29087348506194105`}, {6., 
         0.3467157542543528}, {7., 0.40417464609480125`}, {8., 
         0.4621438485039377}, {9., 0.5176555395339976}, {10., 
         0.5787289828198263}, {11., 0.639531641848926}, {12., 
         0.7066401422128564}, {13., 0.7794892717953499}, {14., 
         0.8660479074857981}, {15., 0.9666666666666667}}]}, {
        Hue[0.7388837074972656, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.020470954804577803`}, {2., 
         0.04246046395384595}, {3., 0.06533779200226976}, {4., 
         0.09368196703104918}, {5., 0.1249042982139422}, {6., 
         0.16029926736408312`}, {7., 0.20036685160195614`}, {8., 
         0.24314810810854506`}, {9., 0.2935449072476609}, {10., 
         0.353309012710873}, {11., 0.4288918816872544}, {12., 
         0.5175362930406686}, {13., 0.6276571307139446}, {14., 
         0.7680079059461413}, {15., 0.9666666666666657}}]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               DiskBox[{0, 0}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.272]], {{{0., 0.}}, {{1., 0.020700943671297406`}}, {{2., 
         0.0425846196325532}}, {{3., 0.0655020874567631}}, {{4., 
         0.09340421956595306}}, {{5., 0.12487289404990597`}}, {{6., 
         0.15929879204955535`}}, {{7., 0.19851003541352918`}}, {{8., 
         0.24157074477998242`}}, {{9., 0.29095152959254844`}}, {{10., 
         0.3519294669139564}}, {{11., 0.4267446451408814}}, {{12., 
         0.5173112668659632}}, {{13., 0.6304130179956453}}, {{14., 
         0.7743740264288317}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.72]], {{{0., 0.}}, {{1., 0.06510733347457273}}, {{2., 
         0.12926706879080857`}}, {{3., 0.19238956902904775`}}, {{4., 
         0.2575904036206759}}, {{5., 0.3229957500185553}}, {{6., 
         0.38761702993109953`}}, {{7., 0.45228446316029597`}}, {{8., 
         0.5157398650111531}}, {{9., 0.578655541332762}}, {{10., 
         0.6430368633528665}}, {{11., 0.7083311035238048}}, {{12., 
         0.7732410085947872}}, {{13., 0.8380854182391791}}, {{14., 
         0.9023668395860153}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.16]], {{{0., 0.}}, {{1., 0.0016021410181912563`}}, {{2., 
         0.00327629223417482}}, {{3., 0.004891794802101536}}, {{4., 
         0.006927820457141329}}, {{5., 0.009539434289125574}}, {{6., 
         0.012689139846863333`}}, {{7., 0.016042452441918653`}}, {{8., 
         0.02100083829579091}}, {{9., 0.027109719790597984`}}, {{10., 
         0.03655279378940551}}, {{11., 0.05160538372232078}}, {{12., 
         0.07805392622555019}}, {{13., 0.13416089181817376`}}, {{14., 
         0.28861812329388514`}}, {{15., 0.9999333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {
                  1, -0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.6]], {{{0., 0.}}, {{1., 0.0019036464234768748`}}, {{2., 
         0.003746951340305094}}, {{3., 0.005898058106975615}}, {{4., 
         0.008786000953770395}}, {{5., 0.011739930446795313`}}, {{6., 
         0.014784618771708703`}}, {{7., 0.01927086578195445}}, {{8., 
         0.02299606985413237}}, {{9., 0.026561591352643514`}}, {{10., 
         0.03271544394322}}, {{11., 0.03965731576505068}}, {{12., 
         0.0470158379943647}}, {{13., 0.057596885395462344`}}, {{14., 
         0.07724198969050816}}, {{15., 0.9669}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                  1, -1 + 3^Rational[1, 2]}}, {{
                  0, -1}, {-1, 0.7320508075688772}, {
                  1, 0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.68]], {{{0., 0.}}, {{1., -0.14339228022870726`}}, {{
         2., -0.27058565145591035`}}, {{3., -0.38237173239628813`}}, {{
         4., -0.4799469686065269}}, {{5., -0.5647947084034503}}, {{
         6., -0.6377946551826036}}, {{7., -0.7003510366043695}}, {{
         8., -0.7532935070194234}}, {{9., -0.7980503766306024}}, {{
         10., -0.8351837209974661}}, {{11., -0.8662644156319157}}, {{
         12., -0.8917806568104432}}, {{13., -0.9114816508840057}}, {{
         14., -0.9100112353959441}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[
              CircleBox[{0, 0}]], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.168]], {{{0., 0.}}, {{1., 0.0020522015241436157`}}, {{2., 
         0.0041161259682777635`}}, {{3., 0.00623764017393067}}, {{4., 
         0.008921405723626492}}, {{5., 0.012120981193669379`}}, {{6., 
         0.015695340964934842`}}, {{7., 0.01985350673483254}}, {{8., 
         0.024844440659795162`}}, {{9., 0.030503724937964057`}}, {{10., 
         0.039123438582366145`}}, {{11., 0.05108403105442556}}, {{12., 
         0.06997114409216991}}, {{13., 0.10646278500695532`}}, {{14., 
         0.20002642482077232`}}, {{15., 0.9986666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}, {-1, -1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.168]], {{{0., 0.}}, {{1., -0.0015281700115902478`}}, {{
         2., -0.003568489483055893}}, {{3., -0.006414812549364216}}, {{
         4., -0.009883322677975696}}, {{5., -0.014345548852244844`}}, {{
         6., -0.02040900364148766}}, {{7., -0.027911557384010757`}}, {{
         8., -0.038068733271478285`}}, {{9., -0.05195400583492195}}, {{
         10., -0.06865203155078194}}, {{11., -0.09048168984661188}}, {{
         12., -0.11854193138537654`}}, {{13., -0.14922784148195317`}}, {{
         14., -0.1503792412881017}}, {{15., 0.9807333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.704]], {{{0., 0.}}, {{1., 0.021482554594916554`}}, {{2., 
         0.043449447990303466`}}, {{3., 0.06843962012151733}}, {{4., 
         0.09679912159893969}}, {{5., 0.12700668403480248`}}, {{6., 
         0.16217002277155984`}}, {{7., 0.20162405664039673`}}, {{8., 
         0.24595863034054669`}}, {{9., 0.2985539707189119}}, {{10., 
         0.3585120946079881}}, {{11., 0.43176177335521704`}}, {{12., 
         0.5195207977676823}}, {{13., 0.6271869662608394}}, {{14., 
         0.7667836141517755}}, {{15., 0.9666666666666665}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {0,
                   1}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.192]], {{{0., 0.}}, {{1., 0.005559399932711826}}, {{2., 
         0.012286045041845398`}}, {{3., 0.02145373863847551}}, {{4., 
         0.03363234520633076}}, {{5., 0.049886688017361534`}}, {{6., 
         0.07197404523928345}}, {{7., 0.10261443789550447`}}, {{8., 
         0.14408368683730455`}}, {{9., 0.19888460073318165`}}, {{10., 
         0.2713351629209833}}, {{11., 0.36562070802630997`}}, {{12., 
         0.4812303739333901}}, {{13., 0.6196604614793391}}, {{14., 
         0.7832182061885714}}, {{15., 0.9672333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[
                
                NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                  1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                  0, -1}, {-1, 0.7320508075688772}, {1, 0.7320508075688772}, {
                  0, -1}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.192]], {{{0., 0.}}, {{1., 0.0514082459028757}}, {{2., 
         0.10426323375940408`}}, {{3., 0.15796238561087272`}}, {{4., 
         0.21601389960022577`}}, {{5., 0.27576290165845274`}}, {{6., 
         0.3380962141165305}}, {{7., 0.40125032362193586`}}, {{8., 
         0.4686132938301756}}, {{9., 0.5352770298613161}}, {{10., 
         0.6078599451168185}}, {{11., 0.6821924887458488}}, {{12., 
         0.7565716972625763}}, {{13., 0.8319718038436822}}, {{14., 
         0.9019495321355857}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               DiskBox[{0, 0}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.272]], {{{0., 0.}}, {{1., 0.0189459368983924}}, {{2., 
         0.03940035383717814}}, {{3., 0.060183721362681686`}}, {{4., 
         0.08684986927407844}}, {{5., 0.11455639557432354`}}, {{6., 
         0.14611464603289387`}}, {{7., 0.1813489469643854}}, {{8., 
         0.22195630992760507`}}, {{9., 0.2685846594540056}}, {{10., 
         0.32605076235482533`}}, {{11., 0.3987580929288972}}, {{12., 
         0.4876952533202165}}, {{13., 0.6041551765680911}}, {{14., 
         0.753608974868795}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.72]], {{{0., 0.}}, {{1., 0.06225803923331382}}, {{2., 
         0.12365116511691823`}}, {{3., 0.18362122952494228`}}, {{4., 
         0.24646501810421687`}}, {{5., 0.30864580654428925`}}, {{6., 
         0.37129491507617324`}}, {{7., 0.4335928267533059}}, {{8., 
         0.4944886130923512}}, {{9., 0.5557075526501547}}, {{10., 
         0.6180378608248621}}, {{11., 0.6838021438010774}}, {{12., 
         0.7493324489719}}, {{13., 0.8174799133996037}}, {{14., 
         0.8878290015263679}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.16]], {{{0., 0.}}, {{1., 0.061032110722101796`}}, {{2., 
         0.11819508912155947`}}, {{3., 0.17361167613253814`}}, {{4., 
         0.231051560740213}}, {{5., 0.29087348506194105`}}, {{6., 
         0.3467157542543528}}, {{7., 0.40417464609480125`}}, {{8., 
         0.4621438485039377}}, {{9., 0.5176555395339976}}, {{10., 
         0.5787289828198263}}, {{11., 0.639531641848926}}, {{12., 
         0.7066401422128564}}, {{13., 0.7794892717953499}}, {{14., 
         0.8660479074857981}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {
                  1, -0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.6]], {{{0., 0.}}, {{1., 0.020470954804577803`}}, {{2., 
         0.04246046395384595}}, {{3., 0.06533779200226976}}, {{4., 
         0.09368196703104918}}, {{5., 0.1249042982139422}}, {{6., 
         0.16029926736408312`}}, {{7., 0.20036685160195614`}}, {{8., 
         0.24314810810854506`}}, {{9., 0.2935449072476609}}, {{10., 
         0.353309012710873}}, {{11., 0.4288918816872544}}, {{12., 
         0.5175362930406686}}, {{13., 0.6276571307139446}}, {{14., 
         0.7680079059461413}}, {{15., 0.9666666666666657}}}]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{0, 15.}, {-0.9114816508840057, 0.9999333333333333}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"Geometric Consistency index v2\"", 
       "\"Geometric Consistency index v1\"", "\"Koczkodaj's index\"", 
       "\"Triad based index 1\"", "\"Triad based index 2\"", 
       "\"Triad based alpha index\"", "\"Triad based alpha-beta index\"", 
       "\"Golden-Wang index\"", "\"Salo-Hamalainen index\"", 
       "\"Barzilai's Relative Error index v1\"", 
       "\"Barzilai's Relative Error index v2\"", 
       "\"Saaty consistency index\"", "\"iLLS criterion\"", 
       "\"Oliva et al. index\""}, "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.272}, {20, 6.272}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.272}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.08426020408163262] -> 
                    Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.72}, {20, 6.72}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.72}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.051309523809523805`] -> 
                    Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.16}, {20, 8.16}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.16}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03009803921568628] -> 
                    Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.6}, {20, 7.6}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.6}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.002105263157894735] -> 
                    Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.68}, {20, 7.68}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.68}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.006354166666666661] -> 
                    Baseline)], #5}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.168}, {20, 7.168}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[
                    CircleBox[{0, 0}], {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.168}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.022477678571428558`] -> 
                    Baseline)], #6}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.168}, {20, 7.168}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    
                    LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 
                    1}, {-1, -1}}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.168}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.022477678571428558`] -> 
                    Baseline)], #7}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.704}, {20, 8.704}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.704}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.053841911764705916`] -> 
                    Baseline)], #8}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"], 
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.192}, {20, 8.192}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {
                    0, 1}}]]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.192}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03158203125000002] -> 
                    Baseline)], #9}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.192}, {20, 8.192}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}, {0, -1}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.192}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03158203125000002] -> 
                    Baseline)], #10}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.272}, {20, 6.272}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.272}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.08426020408163262] -> 
                    Baseline)], #11}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.72}, {20, 6.72}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.72}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.051309523809523805`] -> 
                    Baseline)], #12}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.16}, {20, 8.16}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.16}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03009803921568628] -> 
                    Baseline)], #13}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.6}, {20, 7.6}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.6}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.002105263157894735] -> 
                    Baseline)], #14}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.528488`", ",", "0.470624`", ",", "0.701351`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.5147193333333333, 0.28770266666666666`, 
                    0.06825800000000001], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.772079`", ",", "0.431554`", ",", "0.102387`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.772079, 0.431554, 0.102387]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.772079, 0.431554, 0.102387], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24259866666666668`, 0.412334, 0.521566], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.363898`", ",", "0.618501`", ",", "0.782349`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.363898, 0.618501, 0.782349]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.363898, 0.618501, 0.782349], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0.75, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0.5, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.75`", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0.75, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0.75, 0], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.4317493333333333, 0.2521066666666667, 
                    0.40935800000000006`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.647624`", ",", "0.37816`", ",", "0.614037`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.647624, 0.37816, 0.614037]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.647624, 0.37816, 0.614037], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.571589, 0.586483, 0.], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.38105933333333336`, 0.39098866666666665`, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.571589`", ",", "0.586483`", ",", "0.`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.571589, 0.586483, 0.]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.571589, 0.586483, 0.], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.915, 0.3325, 0.2125], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6100000000000001, 0.22166666666666668`, 
                    0.14166666666666666`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.915`", ",", "0.3325`", ",", "0.2125`"}], "]"}],
                     NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.915, 0.3325, 0.2125]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.915, 0.3325, 0.2125], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.2672148173956843, 0.34800444289592275`, 
                    0.5666666666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.40082222609352647`", ",", "0.5220066643438841`", ",", 
                    "0.85`"}], "]"}], NumberMarks -> False]], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    Editable -> False, Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6485525936249404, 0.4144296347913687, 
                    0.048907997212660946`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{
                    "0.9728288904374106`", ",", "0.621644452187053`", ",", 
                    "0.07336199581899142`"}], "]"}], NumberMarks -> False]], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.4911884484706007, 0.23866666666666667`, 
                    0.3353511049170246], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.736782672705901`", ",", "0.358`", ",", 
                    "0.5030266573755369`"}], "]"}], NumberMarks -> False]], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    Editable -> False, Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6, ",", #7, 
               ",", #8, ",", #9, ",", #10, ",", #11, ",", #12, ",", #13, 
               ",", #14}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}], ",", 
                    RowBox[{"Offset", "[", "6.272`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], ",", 
                    RowBox[{"Offset", "[", "6.72`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], ",", 
                    RowBox[{"Offset", "[", "8.16`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.6`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.68`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[
                    CircleBox[{0, 0}]], ",", 
                    RowBox[{"Offset", "[", "7.168`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}, {-1, -1}}]}],
                     ",", 
                    RowBox[{"Offset", "[", "7.168`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}], 
                    ",", 
                    RowBox[{"Offset", "[", "8.704`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {
                    0, 1}}]]}], ",", 
                    RowBox[{"Offset", "[", "8.192`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}, {0, -1}}]]}], ",", 
                    RowBox[{"Offset", "[", "8.192`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}], ",", 
                    RowBox[{"Offset", "[", "6.272`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], ",", 
                    RowBox[{"Offset", "[", "6.72`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], ",", 
                    RowBox[{"Offset", "[", "8.16`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.6`", "]"}]}], "}"}]}], "}"}]}], 
           ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               
               RowBox[{
                "True", ",", "True", ",", "True", ",", "True", ",", "True", 
                 ",", "True", ",", "True", ",", "True", ",", "True", ",", 
                 "True", ",", "True", ",", "True", ",", "True", ",", "True"}],
                "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.7824102568882504`*^9, 3.782429182343957*^9, 
  3.782433877595119*^9, 3.782445158539431*^9, 3.782453717494375*^9, 
  3.782454595800404*^9, 3.78246284971773*^9, 3.782471408536602*^9, 
  3.782471676681284*^9, 3.782473705328473*^9, 3.782474783966411*^9, 
  3.78249422143762*^9, 3.782517745514474*^9, 3.7825793395946302`*^9},
 CellLabel->
  "Out[202]=",ExpressionUUID->"d1f6a1a2-4dcb-45c6-b6ab-1514315e1a53"]
}, Open  ]],

Cell[BoxData[""], "Input", "Input",
 CellChangeTimes->{{3.76512845655584*^9, 3.765128464272297*^9}, 
   3.7824103561711273`*^9},
 CellLabel->
  "In[203]:=",ExpressionUUID->"5e1ff223-fe65-4214-b925-095af695d473"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"idxNo", ",", " ", "1", ",", " ", 
       RowBox[{"Length", "@", "indxNames"}]}], "}"}]}], "]"}], ",", " ", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", "  ", 
   RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", " ", 
   RowBox[{"PlotLegends", "\[Rule]", "indxNames"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "15"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.3"}], ",", "0.4"}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.759641023993719*^9, 3.759641036750309*^9}, 
   3.7596656698444366`*^9, 3.765119860149291*^9, {3.78241035985604*^9, 
   3.78241041696949*^9}},
 CellLabel->
  "In[204]:=",ExpressionUUID->"bc812367-2d0c-44a7-bd97-70eb811db40d"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.020700943671297406`}, {2., 
         0.0425846196325532}, {3., 0.0655020874567631}, {4., 
         0.09340421956595306}, {5., 0.12487289404990597`}, {6., 
         0.15929879204955535`}, {7., 0.19851003541352918`}, {8., 
         0.24157074477998242`}, {9., 0.29095152959254844`}, {10., 
         0.3519294669139564}, {10.642523806335646`, 0.4}}]}, {
        Hue[0.9060679774997897, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.06510733347457273}, {2., 
         0.12926706879080857`}, {3., 0.19238956902904775`}, {4., 
         0.2575904036206759}, {5., 0.3229957500185553}, {6., 
         0.38761702993109953`}, {6.191486957971756, 0.4}}]}, {
        Hue[0.1421359549995791, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0016021410181912563`}, {2., 
         0.00327629223417482}, {3., 0.004891794802101536}, {4., 
         0.006927820457141329}, {5., 0.009539434289125574}, {6., 
         0.012689139846863333`}, {7., 0.016042452441918653`}, {8., 
         0.02100083829579091}, {9., 0.027109719790597984`}, {10., 
         0.03655279378940551}, {11., 0.05160538372232078}, {12., 
         0.07805392622555019}, {13., 0.13416089181817376`}, {14., 
         0.28861812329388514`}, {14.15658582177645, 0.4}}]}, {
        Hue[0.37820393249936934`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0019036464234768748`}, {2., 
         0.003746951340305094}, {3., 0.005898058106975615}, {4., 
         0.008786000953770395}, {5., 0.011739930446795313`}, {6., 
         0.014784618771708703`}, {7., 0.01927086578195445}, {8., 
         0.02299606985413237}, {9., 0.026561591352643514`}, {10., 
         0.03271544394322}, {11., 0.03965731576505068}, {12., 
         0.0470158379943647}, {13., 0.057596885395462344`}, {14., 
         0.07724198969050816}, {14.362788854334276`, 0.4}}]}, {
        Hue[0.6142719099991583, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., -0.14339228022870726`}, {
         2., -0.27058565145591035`}, {2.263130689408264, -0.3}}], 
        LineBox[{{14.325048445833723`, -0.3}, {14.698047988925612`, 0.4}}]}, {
       
        Hue[0.8503398874989481, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0020522015241436157`}, {2., 
         0.0041161259682777635`}, {3., 0.00623764017393067}, {4., 
         0.008921405723626492}, {5., 0.012120981193669379`}, {6., 
         0.015695340964934842`}, {7., 0.01985350673483254}, {8., 
         0.024844440659795162`}, {9., 0.030503724937964057`}, {10., 
         0.039123438582366145`}, {11., 0.05108403105442556}, {12., 
         0.06997114409216991}, {13., 0.10646278500695532`}, {14., 
         0.20002642482077232`}, {14.250392560631592`, 0.4}}]}, {
        Hue[0.08640786499873876, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., -0.0015281700115902478`}, {
         2., -0.003568489483055893}, {3., -0.006414812549364216}, {
         4., -0.009883322677975696}, {5., -0.014345548852244844`}, {
         6., -0.02040900364148766}, {7., -0.027911557384010757`}, {
         8., -0.038068733271478285`}, {9., -0.05195400583492195}, {
         10., -0.06865203155078194}, {11., -0.09048168984661188}, {
         12., -0.11854193138537654`}, {13., -0.14922784148195317`}, {
         14., -0.1503792412881017}, {14.48658219671221, 0.4}}]}, {
        Hue[0.3224758424985268, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.021482554594916554`}, {2., 
         0.043449447990303466`}, {3., 0.06843962012151733}, {4., 
         0.09679912159893969}, {5., 0.12700668403480248`}, {6., 
         0.16217002277155984`}, {7., 0.20162405664039673`}, {8., 
         0.24595863034054669`}, {9., 0.2985539707189119}, {10., 
         0.3585120946079881}, {10.566390270941378`, 0.4}}]}, {
        Hue[0.5585438199983166, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.005559399932711826}, {2., 
         0.012286045041845398`}, {3., 0.02145373863847551}, {4., 
         0.03363234520633076}, {5., 0.049886688017361534`}, {6., 
         0.07197404523928345}, {7., 0.10261443789550447`}, {8., 
         0.14408368683730455`}, {9., 0.19888460073318165`}, {10., 
         0.2713351629209833}, {11., 0.36562070802630997`}, {
         11.297373854547093`, 0.4}}]}, {
        Hue[0.7946117974981064, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0514082459028757}, {2., 
         0.10426323375940408`}, {3., 0.15796238561087272`}, {4., 
         0.21601389960022577`}, {5., 0.27576290165845274`}, {6., 
         0.3380962141165305}, {6.980202022770524, 0.4}}]}, {
        Hue[0.030679774997896203`, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.0189459368983924}, {2., 
         0.03940035383717814}, {3., 0.060183721362681686`}, {4., 
         0.08684986927407844}, {5., 0.11455639557432354`}, {6., 
         0.14611464603289387`}, {7., 0.1813489469643854}, {8., 
         0.22195630992760507`}, {9., 0.2685846594540056}, {10., 
         0.32605076235482533`}, {11., 0.3987580929288972}, {
         11.013963871408064`, 0.4}}]}, {
        Hue[0.266747752497686, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.06225803923331382}, {2., 
         0.12365116511691823`}, {3., 0.18362122952494228`}, {4., 
         0.24646501810421687`}, {5., 0.30864580654428925`}, {6., 
         0.37129491507617324`}, {6.460771222518577, 0.4}}]}, {
        Hue[0.5028157299974758, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.061032110722101796`}, {2., 
         0.11819508912155947`}, {3., 0.17361167613253814`}, {4., 
         0.231051560740213}, {5., 0.29087348506194105`}, {6., 
         0.3467157542543528}, {6.927345516749725, 0.4}}]}, {
        Hue[0.7388837074972656, 0.6, 0.6], 
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[1.6]], 
        LineBox[{{0., 0.}, {1., 0.020470954804577803`}, {2., 
         0.04246046395384595}, {3., 0.06533779200226976}, {4., 
         0.09368196703104918}, {5., 0.1249042982139422}, {6., 
         0.16029926736408312`}, {7., 0.20036685160195614`}, {8., 
         0.24314810810854506`}, {9., 0.2935449072476609}, {10., 
         0.353309012710873}, {10.617745633653008`, 0.4}}]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               DiskBox[{0, 0}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.368417, 0.506779, 0.709798], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.272]], {{{0., 0.}}, {{1., 0.020700943671297406`}}, {{2., 
         0.0425846196325532}}, {{3., 0.0655020874567631}}, {{4., 
         0.09340421956595306}}, {{5., 0.12487289404990597`}}, {{6., 
         0.15929879204955535`}}, {{7., 0.19851003541352918`}}, {{8., 
         0.24157074477998242`}}, {{9., 0.29095152959254844`}}, {{10., 
         0.3519294669139564}}, {{11., 0.4267446451408814}}, {{12., 
         0.5173112668659632}}, {{13., 0.6304130179956453}}, {{14., 
         0.7743740264288317}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.880722, 0.611041, 0.142051], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.72]], {{{0., 0.}}, {{1., 0.06510733347457273}}, {{2., 
         0.12926706879080857`}}, {{3., 0.19238956902904775`}}, {{4., 
         0.2575904036206759}}, {{5., 0.3229957500185553}}, {{6., 
         0.38761702993109953`}}, {{7., 0.45228446316029597`}}, {{8., 
         0.5157398650111531}}, {{9., 0.578655541332762}}, {{10., 
         0.6430368633528665}}, {{11., 0.7083311035238048}}, {{12., 
         0.7732410085947872}}, {{13., 0.8380854182391791}}, {{14., 
         0.9023668395860153}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.560181, 0.691569, 0.194885], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.16]], {{{0., 0.}}, {{1., 0.0016021410181912563`}}, {{2., 
         0.00327629223417482}}, {{3., 0.004891794802101536}}, {{4., 
         0.006927820457141329}}, {{5., 0.009539434289125574}}, {{6., 
         0.012689139846863333`}}, {{7., 0.016042452441918653`}}, {{8., 
         0.02100083829579091}}, {{9., 0.027109719790597984`}}, {{10., 
         0.03655279378940551}}, {{11., 0.05160538372232078}}, {{12., 
         0.07805392622555019}}, {{13., 0.13416089181817376`}}, {{14., 
         0.28861812329388514`}}, {{15., 0.9999333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {
                  1, -0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.922526, 0.385626, 0.209179], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.6]], {{{0., 0.}}, {{1., 0.0019036464234768748`}}, {{2., 
         0.003746951340305094}}, {{3., 0.005898058106975615}}, {{4., 
         0.008786000953770395}}, {{5., 0.011739930446795313`}}, {{6., 
         0.014784618771708703`}}, {{7., 0.01927086578195445}}, {{8., 
         0.02299606985413237}}, {{9., 0.026561591352643514`}}, {{10., 
         0.03271544394322}}, {{11., 0.03965731576505068}}, {{12., 
         0.0470158379943647}}, {{13., 0.057596885395462344`}}, {{14., 
         0.07724198969050816}}, {{15., 0.9669}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                  1, -1 + 3^Rational[1, 2]}}, {{
                  0, -1}, {-1, 0.7320508075688772}, {
                  1, 0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.528488, 0.470624, 0.701351], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.68]], {{{0., 0.}}, {{1., -0.14339228022870726`}}, {{
         2., -0.27058565145591035`}}, {{3., -0.38237173239628813`}}, {{
         4., -0.4799469686065269}}, {{5., -0.5647947084034503}}, {{
         6., -0.6377946551826036}}, {{7., -0.7003510366043695}}, {{
         8., -0.7532935070194234}}, {{9., -0.7980503766306024}}, {{
         10., -0.8351837209974661}}, {{11., -0.8662644156319157}}, {{
         12., -0.8917806568104432}}, {{13., -0.9114816508840057}}, {{
         14., -0.9100112353959441}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[
              CircleBox[{0, 0}]], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.772079, 0.431554, 0.102387], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.168]], {{{0., 0.}}, {{1., 0.0020522015241436157`}}, {{2., 
         0.0041161259682777635`}}, {{3., 0.00623764017393067}}, {{4., 
         0.008921405723626492}}, {{5., 0.012120981193669379`}}, {{6., 
         0.015695340964934842`}}, {{7., 0.01985350673483254}}, {{8., 
         0.024844440659795162`}}, {{9., 0.030503724937964057`}}, {{10., 
         0.039123438582366145`}}, {{11., 0.05108403105442556}}, {{12., 
         0.06997114409216991}}, {{13., 0.10646278500695532`}}, {{14., 
         0.20002642482077232`}}, {{15., 0.9986666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}, {-1, -1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.363898, 0.618501, 0.782349], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.168]], {{{0., 0.}}, {{1., -0.0015281700115902478`}}, {{
         2., -0.003568489483055893}}, {{3., -0.006414812549364216}}, {{
         4., -0.009883322677975696}}, {{5., -0.014345548852244844`}}, {{
         6., -0.02040900364148766}}, {{7., -0.027911557384010757`}}, {{
         8., -0.038068733271478285`}}, {{9., -0.05195400583492195}}, {{
         10., -0.06865203155078194}}, {{11., -0.09048168984661188}}, {{
         12., -0.11854193138537654`}}, {{13., -0.14922784148195317`}}, {{
         14., -0.1503792412881017}}, {{15., 0.9807333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[1, 0.75, 0], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.704]], {{{0., 0.}}, {{1., 0.021482554594916554`}}, {{2., 
         0.043449447990303466`}}, {{3., 0.06843962012151733}}, {{4., 
         0.09679912159893969}}, {{5., 0.12700668403480248`}}, {{6., 
         0.16217002277155984`}}, {{7., 0.20162405664039673`}}, {{8., 
         0.24595863034054669`}}, {{9., 0.2985539707189119}}, {{10., 
         0.3585120946079881}}, {{11., 0.43176177335521704`}}, {{12., 
         0.5195207977676823}}, {{13., 0.6271869662608394}}, {{14., 
         0.7667836141517755}}, {{15., 0.9666666666666665}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {0,
                   1}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.647624, 0.37816, 0.614037], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.192]], {{{0., 0.}}, {{1., 0.005559399932711826}}, {{2., 
         0.012286045041845398`}}, {{3., 0.02145373863847551}}, {{4., 
         0.03363234520633076}}, {{5., 0.049886688017361534`}}, {{6., 
         0.07197404523928345}}, {{7., 0.10261443789550447`}}, {{8., 
         0.14408368683730455`}}, {{9., 0.19888460073318165`}}, {{10., 
         0.2713351629209833}}, {{11., 0.36562070802630997`}}, {{12., 
         0.4812303739333901}}, {{13., 0.6196604614793391}}, {{14., 
         0.7832182061885714}}, {{15., 0.9672333333333333}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[
                Thickness[Medium]], 
               FaceForm[], 
               LineBox[
                
                NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                  1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                  0, -1}, {-1, 0.7320508075688772}, {1, 0.7320508075688772}, {
                  0, -1}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.571589, 0.586483, 0.], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.192]], {{{0., 0.}}, {{1., 0.0514082459028757}}, {{2., 
         0.10426323375940408`}}, {{3., 0.15796238561087272`}}, {{4., 
         0.21601389960022577`}}, {{5., 0.27576290165845274`}}, {{6., 
         0.3380962141165305}}, {{7., 0.40125032362193586`}}, {{8., 
         0.4686132938301756}}, {{9., 0.5352770298613161}}, {{10., 
         0.6078599451168185}}, {{11., 0.6821924887458488}}, {{12., 
         0.7565716972625763}}, {{13., 0.8319718038436822}}, {{14., 
         0.9019495321355857}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               DiskBox[{0, 0}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.915, 0.3325, 0.2125], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.272]], {{{0., 0.}}, {{1., 0.0189459368983924}}, {{2., 
         0.03940035383717814}}, {{3., 0.060183721362681686`}}, {{4., 
         0.08684986927407844}}, {{5., 0.11455639557432354`}}, {{6., 
         0.14611464603289387`}}, {{7., 0.1813489469643854}}, {{8., 
         0.22195630992760507`}}, {{9., 0.2685846594540056}}, {{10., 
         0.32605076235482533`}}, {{11., 0.3987580929288972}}, {{12., 
         0.4876952533202165}}, {{13., 0.6041551765680911}}, {{14., 
         0.753608974868795}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[6.72]], {{{0., 0.}}, {{1., 0.06225803923331382}}, {{2., 
         0.12365116511691823`}}, {{3., 0.18362122952494228`}}, {{4., 
         0.24646501810421687`}}, {{5., 0.30864580654428925`}}, {{6., 
         0.37129491507617324`}}, {{7., 0.4335928267533059}}, {{8., 
         0.4944886130923512}}, {{9., 0.5557075526501547}}, {{10., 
         0.6180378608248621}}, {{11., 0.6838021438010774}}, {{12., 
         0.7493324489719}}, {{13., 0.8174799133996037}}, {{14., 
         0.8878290015263679}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[
                 0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
                 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[8.16]], {{{0., 0.}}, {{1., 0.061032110722101796`}}, {{2., 
         0.11819508912155947`}}, {{3., 0.17361167613253814`}}, {{4., 
         0.231051560740213}}, {{5., 0.29087348506194105`}}, {{6., 
         0.3467157542543528}}, {{7., 0.40417464609480125`}}, {{8., 
         0.4621438485039377}}, {{9., 0.5176555395339976}}, {{10., 
         0.5787289828198263}}, {{11., 0.639531641848926}}, {{12., 
         0.7066401422128564}}, {{13., 0.7794892717953499}}, {{14., 
         0.8660479074857981}}, {{15., 0.9666666666666667}}}]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[1.6]], 
        GeometricTransformationBox[
         InsetBox[
          BoxData[
           FormBox[
            StyleBox[
             GraphicsBox[{
               EdgeForm[], 
               PolygonBox[
                
                NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                  1, 1 - 3^Rational[1, 2]}}, {{0, 
                  1}, {-1, -0.7320508075688772}, {
                  1, -0.7320508075688772}}]]}], 
             GraphicsBoxOptions -> {DefaultBaseStyle -> Directive[
                 PointSize[0.009166666666666668], 
                 RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                 AbsoluteThickness[1.6]]}, StripOnInput -> False], 
            TraditionalForm]], {0., 0.}, Automatic, 
          Offset[7.6]], {{{0., 0.}}, {{1., 0.020470954804577803`}}, {{2., 
         0.04246046395384595}}, {{3., 0.06533779200226976}}, {{4., 
         0.09368196703104918}}, {{5., 0.1249042982139422}}, {{6., 
         0.16029926736408312`}}, {{7., 0.20036685160195614`}}, {{8., 
         0.24314810810854506`}}, {{9., 0.2935449072476609}}, {{10., 
         0.353309012710873}}, {{11., 0.4288918816872544}}, {{12., 
         0.5175362930406686}}, {{13., 0.6276571307139446}}, {{14., 
         0.7680079059461413}}, {{15., 0.9666666666666657}}}]}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}, {{
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.880722, 0.611041, 0.142051], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.560181, 0.691569, 0.194885], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.922526, 0.385626, 0.209179], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.528488, 0.470624, 0.701351], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.772079, 0.431554, 0.102387], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.363898, 0.618501, 0.782349], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[1, 0.75, 0], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.647624, 0.37816, 0.614037], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.571589, 0.586483, 0.], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.915, 0.3325, 0.2125], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.9728288904374106, 0.621644452187053, 0.07336199581899142], 
         AbsoluteThickness[1.6]]}, {
        Directive[
         PointSize[0.009166666666666668], 
         RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
         AbsoluteThickness[
         1.6]]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {{}, {}}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "OptimizePlotMarkers" -> True, 
       "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0, 15}, {-0.3, 0.4}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
      "\"Geometric Consistency index v2\"", 
       "\"Geometric Consistency index v1\"", "\"Koczkodaj's index\"", 
       "\"Triad based index 1\"", "\"Triad based index 2\"", 
       "\"Triad based alpha index\"", "\"Triad based alpha-beta index\"", 
       "\"Golden-Wang index\"", "\"Salo-Hamalainen index\"", 
       "\"Barzilai's Relative Error index v1\"", 
       "\"Barzilai's Relative Error index v2\"", 
       "\"Saaty consistency index\"", "\"iLLS criterion\"", 
       "\"Oliva et al. index\""}, "PointLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.272}, {20, 6.272}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.272}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.08426020408163262] -> 
                    Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.72}, {20, 6.72}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.72}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.051309523809523805`] -> 
                    Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.16}, {20, 8.16}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.16}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03009803921568628] -> 
                    Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.6}, {20, 7.6}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.6}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.002105263157894735] -> 
                    Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.68}, {20, 7.68}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.68}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.006354166666666661] -> 
                    Baseline)], #5}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.168}, {20, 7.168}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[
                    CircleBox[{0, 0}], {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.168}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.022477678571428558`] -> 
                    Baseline)], #6}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.168}, {20, 7.168}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    
                    LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 
                    1}, {-1, -1}}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.168}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.022477678571428558`] -> 
                    Baseline)], #7}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.704}, {20, 8.704}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[1, 0.75, 0], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.704}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.053841911764705916`] -> 
                    Baseline)], #8}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"], 
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.192}, {20, 8.192}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {
                    0, 1}}]]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.192}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03158203125000002] -> 
                    Baseline)], #9}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.192}, {20, 8.192}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}, {0, -1}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.571589, 0.586483, 0.], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.192}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03158203125000002] -> 
                    Baseline)], #10}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.272}, {20, 6.272}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}, {DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.915, 0.3325, 0.2125], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.272}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.08426020408163262] -> 
                    Baseline)], #11}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 6.72}, {20, 6.72}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 6.72}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[-0.051309523809523805`] -> 
                    Baseline)], #12}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 8.16}, {20, 8.16}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 8.16}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.03009803921568628] -> 
                    Baseline)], #13}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 7.6}, {20, 7.6}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]], {
                    InsetBox[
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}, {
                    DefaultBaseStyle -> {"Graphics", {
                    AbsolutePointSize[6]}, 
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    AbsoluteThickness[1.6]]}}], 
                    NCache[
                    Scaled[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Scaled[{0.5, 0.5}]], Automatic, 
                    Scaled[1]]}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 7.6}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.002105263157894735] -> 
                    Baseline)], #14}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"PointLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.922526, 0.385626, 0.209179], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6150173333333333, 0.25708400000000003`, 
                    0.13945266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.922526`", ",", "0.385626`", ",", "0.209179`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.922526, 0.385626, 0.209179]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.922526, 0.385626, 0.209179], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.528488`", ",", "0.470624`", ",", "0.701351`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.772079, 0.431554, 0.102387], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.5147193333333333, 0.28770266666666666`, 
                    0.06825800000000001], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.772079`", ",", "0.431554`", ",", "0.102387`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.772079, 0.431554, 0.102387]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.772079, 0.431554, 0.102387], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.363898, 0.618501, 0.782349], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.24259866666666668`, 0.412334, 0.521566], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.363898`", ",", "0.618501`", ",", "0.782349`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.363898, 0.618501, 0.782349]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.363898, 0.618501, 0.782349], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0.75, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0.5, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0.75`", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0.75, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0.75, 0], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.647624, 0.37816, 0.614037], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.4317493333333333, 0.2521066666666667, 
                    0.40935800000000006`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.647624`", ",", "0.37816`", ",", "0.614037`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.647624, 0.37816, 0.614037]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.647624, 0.37816, 0.614037], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.571589, 0.586483, 0.], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.38105933333333336`, 0.39098866666666665`, 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.571589`", ",", "0.586483`", ",", "0.`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.571589, 0.586483, 0.]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.571589, 0.586483, 0.], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.915, 0.3325, 0.2125], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6100000000000001, 0.22166666666666668`, 
                    0.14166666666666666`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.915`", ",", "0.3325`", ",", "0.2125`"}], "]"}],
                     NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.915, 0.3325, 0.2125]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.915, 0.3325, 0.2125], Editable -> False, 
                    Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.2672148173956843, 0.34800444289592275`, 
                    0.5666666666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.40082222609352647`", ",", "0.5220066643438841`", ",", 
                    "0.85`"}], "]"}], NumberMarks -> False]], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.40082222609352647`, 0.5220066643438841, 0.85], 
                    Editable -> False, Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.6485525936249404, 0.4144296347913687, 
                    0.048907997212660946`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.9728288904374106`", ",", "0.621644452187053`", ",", 
                    "0.07336199581899142`"}], "]"}], NumberMarks -> False]], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[
                    0.9728288904374106, 0.621644452187053, 
                    0.07336199581899142], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"PointSize", "[", "0.009166666666666668`", "]"}], 
                   ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.4911884484706007, 0.23866666666666667`, 
                    0.3353511049170246], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    
                    RowBox[{
                    "0.736782672705901`", ",", "0.358`", ",", 
                    "0.5030266573755369`"}], "]"}], NumberMarks -> False]], 
                    Appearance -> None, BaseStyle -> {}, BaselinePosition -> 
                    Baseline, DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.736782672705901, 0.358, 0.5030266573755369], 
                    Editable -> False, Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6, ",", #7, 
               ",", #8, ",", #9, ",", #10, ",", #11, ",", #12, ",", #13, 
               ",", #14}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}], ",", 
                    RowBox[{"Offset", "[", "6.272`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], ",", 
                    RowBox[{"Offset", "[", "6.72`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], ",", 
                    RowBox[{"Offset", "[", "8.16`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.6`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.68`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[
                    CircleBox[{0, 0}]], ",", 
                    RowBox[{"Offset", "[", "7.168`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}, {-1, -1}}]}],
                     ",", 
                    RowBox[{"Offset", "[", "7.168`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}, {0, 1}}]}], 
                    ",", 
                    RowBox[{"Offset", "[", "8.704`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}, {0, 1}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {1, -0.7320508075688772}, {
                    0, 1}}]]}], ",", 
                    RowBox[{"Offset", "[", "8.192`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[
                    Thickness[Medium]], 
                    FaceForm[], 
                    LineBox[
                    
                    NCache[{{0, -1}, {-1, -1 + 3^Rational[1, 2]}, {
                    1, -1 + 3^Rational[1, 2]}, {0, -1}}, {{
                    0, -1}, {-1, 0.7320508075688772}, {
                    1, 0.7320508075688772}, {0, -1}}]]}], ",", 
                    RowBox[{"Offset", "[", "8.192`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    DiskBox[{0, 0}]}], ",", 
                    RowBox[{"Offset", "[", "6.272`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{-1, -1}, {1, -1}, {1, 1}, {-1, 1}}]}], ",", 
                    RowBox[{"Offset", "[", "6.72`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[{{0, 1}, {1, 0}, {0, -1}, {-1, 0}}]}], ",", 
                    RowBox[{"Offset", "[", "8.16`", "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                   RowBox[{
                    GraphicsBox[{
                    EdgeForm[], 
                    PolygonBox[
                    
                    NCache[{{0, 1}, {-1, 1 - 3^Rational[1, 2]}, {
                    1, 1 - 3^Rational[1, 2]}}, {{0, 
                    1}, {-1, -0.7320508075688772}, {
                    1, -0.7320508075688772}}]]}], ",", 
                    RowBox[{"Offset", "[", "7.6`", "]"}]}], "}"}]}], "}"}]}], 
           ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               
               RowBox[{
                "True", ",", "True", ",", "True", ",", "True", ",", "True", 
                 ",", "True", ",", "True", ",", "True", ",", "True", ",", 
                 "True", ",", "True", ",", "True", ",", "True", ",", "True"}],
                "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.7596410384513397`*^9, 3.759665672610376*^9, 3.760296348985736*^9, 
   3.760296523868156*^9, 3.765117938854604*^9, 3.765119863489349*^9, {
   3.7824103694803963`*^9, 3.782410419763029*^9}, 3.7824338795426073`*^9, 
   3.782445160250781*^9, 3.782462851512875*^9, 3.782471410606267*^9, 
   3.7824717032394133`*^9, 3.7824942231548433`*^9, 3.782517749715889*^9, 
   3.7825793416908493`*^9},
 CellLabel->
  "Out[204]=",ExpressionUUID->"d1ca86df-0080-4032-bfbf-0bd08bad721b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Map", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "[", 
     RowBox[{"[", "2", "]"}], "]"}], " ", "&"}], ",", " ", 
   RowBox[{"List2DPlotByIdxNo2", "[", "1", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.760279139457596*^9, 3.7602791948479147`*^9}, 
   3.760296401462098*^9, 3.7824305189100122`*^9},
 CellLabel->
  "In[205]:=",ExpressionUUID->"df289eff-b108-44f4-a6fb-c484e83d83c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.020700943671297406`", ",", "0.0425846196325532`", ",", 
   "0.0655020874567631`", ",", "0.09340421956595306`", ",", 
   "0.12487289404990597`", ",", "0.15929879204955535`", ",", 
   "0.19851003541352918`", ",", "0.24157074477998242`", ",", 
   "0.29095152959254844`", ",", "0.3519294669139564`", ",", 
   "0.4267446451408814`", ",", "0.5173112668659632`", ",", 
   "0.6304130179956453`", ",", "0.7743740264288317`", ",", 
   "0.9666666666666667`"}], "}"}]], "Output",
 CellChangeTimes->{3.760279151821081*^9, 3.760279195461198*^9, 
  3.760296570799129*^9, 3.765117983658781*^9, 3.765119975043541*^9, 
  3.782433879702219*^9, 3.782445160384911*^9, 3.782462861375111*^9, 
  3.7824714207304363`*^9, 3.782494232680842*^9, 3.782517760603745*^9, 
  3.782579350979982*^9},
 CellLabel->
  "Out[205]=",ExpressionUUID->"31c80eed-065c-4315-9e30-4b739a205f83"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"res1", " ", "=", " ", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"{", "indxNames", "}"}], ",", 
     RowBox[{"Transpose", "@", 
      RowBox[{"ParallelTable", "[", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], " ", "&"}], ",", " ", 
          RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}]}], "]"}], ",", 
        " ", 
        RowBox[{"{", 
         RowBox[{"idxNo", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "@", "indxNames"}]}], "}"}]}], "]"}]}]}], "]"}]}],
   ";"}]], "Input",
 CellChangeTimes->{{3.760279048131304*^9, 3.760279049985476*^9}, {
   3.760279113421789*^9, 3.7602791146130123`*^9}, {3.76027921459932*^9, 
   3.7602792166281767`*^9}, {3.7602792880958548`*^9, 3.760279291711331*^9}, {
   3.760296216880522*^9, 3.7602962208040247`*^9}, 3.760296405036045*^9, {
   3.760623719227569*^9, 3.7606237205556602`*^9}, {3.760623767998266*^9, 
   3.760623774073196*^9}, {3.7651199877483463`*^9, 3.76511998781291*^9}, {
   3.782410468749646*^9, 3.7824104824982653`*^9}},
 CellLabel->
  "In[206]:=",ExpressionUUID->"12c0eba4-5b61-4869-a994-d1e0bc87aca7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"res1", " ", "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.76062377908426*^9, 3.7606237821847973`*^9}},
 CellLabel->
  "In[207]:=",ExpressionUUID->"225cffbc-5dab-4909-9806-8ca974ee53bf"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Geometric Consistency index v2\"\>", "\<\"Geometric Consistency \
index v1\"\>", "\<\"Koczkodaj's index\"\>", "\<\"Triad based index 1\"\>", \
"\<\"Triad based index 2\"\>", "\<\"Triad based alpha index\"\>", "\<\"Triad \
based alpha-beta index\"\>", "\<\"Golden-Wang index\"\>", \
"\<\"Salo-Hamalainen index\"\>", "\<\"Barzilai's Relative Error index \
v1\"\>", "\<\"Barzilai's Relative Error index v2\"\>", "\<\"Saaty consistency \
index\"\>", "\<\"iLLS criterion\"\>", "\<\"Oliva et al. index\"\>"},
    {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
     "0.`", "0.`", "0.`", "0.`"},
    {"0.020700943671297406`", "0.06510733347457273`", 
     "0.0016021410181912563`", "0.0019036464234768748`", 
     RowBox[{"-", "0.14339228022870726`"}], "0.0020522015241436157`", 
     RowBox[{"-", "0.0015281700115902478`"}], "0.021482554594916554`", 
     "0.005559399932711826`", "0.0514082459028757`", "0.0189459368983924`", 
     "0.06225803923331382`", "0.061032110722101796`", "0.020470954804577803`"},
    {"0.0425846196325532`", "0.12926706879080857`", "0.00327629223417482`", 
     "0.003746951340305094`", 
     RowBox[{"-", "0.27058565145591035`"}], "0.0041161259682777635`", 
     RowBox[{"-", "0.003568489483055893`"}], "0.043449447990303466`", 
     "0.012286045041845398`", "0.10426323375940408`", "0.03940035383717814`", 
     "0.12365116511691823`", "0.11819508912155947`", "0.04246046395384595`"},
    {"0.0655020874567631`", "0.19238956902904775`", "0.004891794802101536`", 
     "0.005898058106975615`", 
     RowBox[{"-", "0.38237173239628813`"}], "0.00623764017393067`", 
     RowBox[{"-", "0.006414812549364216`"}], "0.06843962012151733`", 
     "0.02145373863847551`", "0.15796238561087272`", "0.060183721362681686`", 
     "0.18362122952494228`", "0.17361167613253814`", "0.06533779200226976`"},
    {"0.09340421956595306`", "0.2575904036206759`", "0.006927820457141329`", 
     "0.008786000953770395`", 
     RowBox[{"-", "0.4799469686065269`"}], "0.008921405723626492`", 
     RowBox[{"-", "0.009883322677975696`"}], "0.09679912159893969`", 
     "0.03363234520633076`", "0.21601389960022577`", "0.08684986927407844`", 
     "0.24646501810421687`", "0.231051560740213`", "0.09368196703104918`"},
    {"0.12487289404990597`", "0.3229957500185553`", "0.009539434289125574`", 
     "0.011739930446795313`", 
     RowBox[{"-", "0.5647947084034503`"}], "0.012120981193669379`", 
     RowBox[{"-", "0.014345548852244844`"}], "0.12700668403480248`", 
     "0.049886688017361534`", "0.27576290165845274`", "0.11455639557432354`", 
     "0.30864580654428925`", "0.29087348506194105`", "0.1249042982139422`"},
    {"0.15929879204955535`", "0.38761702993109953`", "0.012689139846863333`", 
     "0.014784618771708703`", 
     RowBox[{"-", "0.6377946551826036`"}], "0.015695340964934842`", 
     RowBox[{"-", "0.02040900364148766`"}], "0.16217002277155984`", 
     "0.07197404523928345`", "0.3380962141165305`", "0.14611464603289387`", 
     "0.37129491507617324`", "0.3467157542543528`", "0.16029926736408312`"},
    {"0.19851003541352918`", "0.45228446316029597`", "0.016042452441918653`", 
     "0.01927086578195445`", 
     RowBox[{"-", "0.7003510366043695`"}], "0.01985350673483254`", 
     RowBox[{"-", "0.027911557384010757`"}], "0.20162405664039673`", 
     "0.10261443789550447`", "0.40125032362193586`", "0.1813489469643854`", 
     "0.4335928267533059`", "0.40417464609480125`", "0.20036685160195614`"},
    {"0.24157074477998242`", "0.5157398650111531`", "0.02100083829579091`", 
     "0.02299606985413237`", 
     RowBox[{"-", "0.7532935070194234`"}], "0.024844440659795162`", 
     RowBox[{"-", "0.038068733271478285`"}], "0.24595863034054669`", 
     "0.14408368683730455`", "0.4686132938301756`", "0.22195630992760507`", 
     "0.4944886130923512`", "0.4621438485039377`", "0.24314810810854506`"},
    {"0.29095152959254844`", "0.578655541332762`", "0.027109719790597984`", 
     "0.026561591352643514`", 
     RowBox[{"-", "0.7980503766306024`"}], "0.030503724937964057`", 
     RowBox[{"-", "0.05195400583492195`"}], "0.2985539707189119`", 
     "0.19888460073318165`", "0.5352770298613161`", "0.2685846594540056`", 
     "0.5557075526501547`", "0.5176555395339976`", "0.2935449072476609`"},
    {"0.3519294669139564`", "0.6430368633528665`", "0.03655279378940551`", 
     "0.03271544394322`", 
     RowBox[{"-", "0.8351837209974661`"}], "0.039123438582366145`", 
     RowBox[{"-", "0.06865203155078194`"}], "0.3585120946079881`", 
     "0.2713351629209833`", "0.6078599451168185`", "0.32605076235482533`", 
     "0.6180378608248621`", "0.5787289828198263`", "0.353309012710873`"},
    {"0.4267446451408814`", "0.7083311035238048`", "0.05160538372232078`", 
     "0.03965731576505068`", 
     RowBox[{"-", "0.8662644156319157`"}], "0.05108403105442556`", 
     RowBox[{"-", "0.09048168984661188`"}], "0.43176177335521704`", 
     "0.36562070802630997`", "0.6821924887458488`", "0.3987580929288972`", 
     "0.6838021438010774`", "0.639531641848926`", "0.4288918816872544`"},
    {"0.5173112668659632`", "0.7732410085947872`", "0.07805392622555019`", 
     "0.0470158379943647`", 
     RowBox[{"-", "0.8917806568104432`"}], "0.06997114409216991`", 
     RowBox[{"-", "0.11854193138537654`"}], "0.5195207977676823`", 
     "0.4812303739333901`", "0.7565716972625763`", "0.4876952533202165`", 
     "0.7493324489719`", "0.7066401422128564`", "0.5175362930406686`"},
    {"0.6304130179956453`", "0.8380854182391791`", "0.13416089181817376`", 
     "0.057596885395462344`", 
     RowBox[{"-", "0.9114816508840057`"}], "0.10646278500695532`", 
     RowBox[{"-", "0.14922784148195317`"}], "0.6271869662608394`", 
     "0.6196604614793391`", "0.8319718038436822`", "0.6041551765680911`", 
     "0.8174799133996037`", "0.7794892717953499`", "0.6276571307139446`"},
    {"0.7743740264288317`", "0.9023668395860153`", "0.28861812329388514`", 
     "0.07724198969050816`", 
     RowBox[{"-", "0.9100112353959441`"}], "0.20002642482077232`", 
     RowBox[{"-", "0.1503792412881017`"}], "0.7667836141517755`", 
     "0.7832182061885714`", "0.9019495321355857`", "0.753608974868795`", 
     "0.8878290015263679`", "0.8660479074857981`", "0.7680079059461413`"},
    {"0.9666666666666667`", "0.9666666666666667`", "0.9999333333333333`", 
     "0.9669`", "0.9666666666666667`", "0.9986666666666667`", 
     "0.9807333333333333`", "0.9666666666666665`", "0.9672333333333333`", 
     "0.9666666666666667`", "0.9666666666666667`", "0.9666666666666667`", 
     "0.9666666666666667`", "0.9666666666666657`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.760623783499995*^9, 3.7651180076872053`*^9, {3.765119979310462*^9, 
   3.765119990949623*^9}, 3.765120140820578*^9, 3.782410489957445*^9, 
   3.7824338813552313`*^9, 3.782445161768153*^9, 3.782462889871891*^9, 
   3.782471450808404*^9, 3.782494261206818*^9, 3.782517790912428*^9, 
   3.782579381138679*^9},
 CellLabel->
  "Out[207]//TableForm=",ExpressionUUID->"1f313406-6a3c-4839-ac5a-\
41b7ad298669"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ParallelTable", "[", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], " ", "&"}], ",", " ", 
      RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}]}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"idxNo", ",", " ", "1", ",", " ", 
      RowBox[{"Length", "@", "indxNames"}]}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellChangeTimes->{{3.7602793771451273`*^9, 3.760279389423437*^9}, 
   3.7602962276120043`*^9, 3.760296409052411*^9, {3.765120000786355*^9, 
   3.765120000885234*^9}, {3.782410509958085*^9, 3.782410513559922*^9}},
 CellLabel->
  "In[208]:=",ExpressionUUID->"353333ea-6098-45ad-bc61-b4bbd46a3986"],

Cell[BoxData[
 TagBox[GridBox[{
    {"0.`", "0.020700943671297406`", "0.0425846196325532`", 
     "0.0655020874567631`", "0.09340421956595306`", "0.12487289404990597`", 
     "0.15929879204955535`", "0.19851003541352918`", "0.24157074477998242`", 
     "0.29095152959254844`", "0.3519294669139564`", "0.4267446451408814`", 
     "0.5173112668659632`", "0.6304130179956453`", "0.7743740264288317`", 
     "0.9666666666666667`"},
    {"0.`", "0.06510733347457273`", "0.12926706879080857`", 
     "0.19238956902904775`", "0.2575904036206759`", "0.3229957500185553`", 
     "0.38761702993109953`", "0.45228446316029597`", "0.5157398650111531`", 
     "0.578655541332762`", "0.6430368633528665`", "0.7083311035238048`", 
     "0.7732410085947872`", "0.8380854182391791`", "0.9023668395860153`", 
     "0.9666666666666667`"},
    {"0.`", "0.0016021410181912563`", "0.00327629223417482`", 
     "0.004891794802101536`", "0.006927820457141329`", 
     "0.009539434289125574`", "0.012689139846863333`", 
     "0.016042452441918653`", "0.02100083829579091`", "0.027109719790597984`",
      "0.03655279378940551`", "0.05160538372232078`", "0.07805392622555019`", 
     "0.13416089181817376`", "0.28861812329388514`", "0.9999333333333333`"},
    {"0.`", "0.0019036464234768748`", "0.003746951340305094`", 
     "0.005898058106975615`", "0.008786000953770395`", 
     "0.011739930446795313`", "0.014784618771708703`", "0.01927086578195445`",
      "0.02299606985413237`", "0.026561591352643514`", "0.03271544394322`", 
     "0.03965731576505068`", "0.0470158379943647`", "0.057596885395462344`", 
     "0.07724198969050816`", "0.9669`"},
    {"0.`", 
     RowBox[{"-", "0.14339228022870726`"}], 
     RowBox[{"-", "0.27058565145591035`"}], 
     RowBox[{"-", "0.38237173239628813`"}], 
     RowBox[{"-", "0.4799469686065269`"}], 
     RowBox[{"-", "0.5647947084034503`"}], 
     RowBox[{"-", "0.6377946551826036`"}], 
     RowBox[{"-", "0.7003510366043695`"}], 
     RowBox[{"-", "0.7532935070194234`"}], 
     RowBox[{"-", "0.7980503766306024`"}], 
     RowBox[{"-", "0.8351837209974661`"}], 
     RowBox[{"-", "0.8662644156319157`"}], 
     RowBox[{"-", "0.8917806568104432`"}], 
     RowBox[{"-", "0.9114816508840057`"}], 
     RowBox[{"-", "0.9100112353959441`"}], "0.9666666666666667`"},
    {"0.`", "0.0020522015241436157`", "0.0041161259682777635`", 
     "0.00623764017393067`", "0.008921405723626492`", "0.012120981193669379`",
      "0.015695340964934842`", "0.01985350673483254`", 
     "0.024844440659795162`", "0.030503724937964057`", 
     "0.039123438582366145`", "0.05108403105442556`", "0.06997114409216991`", 
     "0.10646278500695532`", "0.20002642482077232`", "0.9986666666666667`"},
    {"0.`", 
     RowBox[{"-", "0.0015281700115902478`"}], 
     RowBox[{"-", "0.003568489483055893`"}], 
     RowBox[{"-", "0.006414812549364216`"}], 
     RowBox[{"-", "0.009883322677975696`"}], 
     RowBox[{"-", "0.014345548852244844`"}], 
     RowBox[{"-", "0.02040900364148766`"}], 
     RowBox[{"-", "0.027911557384010757`"}], 
     RowBox[{"-", "0.038068733271478285`"}], 
     RowBox[{"-", "0.05195400583492195`"}], 
     RowBox[{"-", "0.06865203155078194`"}], 
     RowBox[{"-", "0.09048168984661188`"}], 
     RowBox[{"-", "0.11854193138537654`"}], 
     RowBox[{"-", "0.14922784148195317`"}], 
     RowBox[{"-", "0.1503792412881017`"}], "0.9807333333333333`"},
    {"0.`", "0.021482554594916554`", "0.043449447990303466`", 
     "0.06843962012151733`", "0.09679912159893969`", "0.12700668403480248`", 
     "0.16217002277155984`", "0.20162405664039673`", "0.24595863034054669`", 
     "0.2985539707189119`", "0.3585120946079881`", "0.43176177335521704`", 
     "0.5195207977676823`", "0.6271869662608394`", "0.7667836141517755`", 
     "0.9666666666666665`"},
    {"0.`", "0.005559399932711826`", "0.012286045041845398`", 
     "0.02145373863847551`", "0.03363234520633076`", "0.049886688017361534`", 
     "0.07197404523928345`", "0.10261443789550447`", "0.14408368683730455`", 
     "0.19888460073318165`", "0.2713351629209833`", "0.36562070802630997`", 
     "0.4812303739333901`", "0.6196604614793391`", "0.7832182061885714`", 
     "0.9672333333333333`"},
    {"0.`", "0.0514082459028757`", "0.10426323375940408`", 
     "0.15796238561087272`", "0.21601389960022577`", "0.27576290165845274`", 
     "0.3380962141165305`", "0.40125032362193586`", "0.4686132938301756`", 
     "0.5352770298613161`", "0.6078599451168185`", "0.6821924887458488`", 
     "0.7565716972625763`", "0.8319718038436822`", "0.9019495321355857`", 
     "0.9666666666666667`"},
    {"0.`", "0.0189459368983924`", "0.03940035383717814`", 
     "0.060183721362681686`", "0.08684986927407844`", "0.11455639557432354`", 
     "0.14611464603289387`", "0.1813489469643854`", "0.22195630992760507`", 
     "0.2685846594540056`", "0.32605076235482533`", "0.3987580929288972`", 
     "0.4876952533202165`", "0.6041551765680911`", "0.753608974868795`", 
     "0.9666666666666667`"},
    {"0.`", "0.06225803923331382`", "0.12365116511691823`", 
     "0.18362122952494228`", "0.24646501810421687`", "0.30864580654428925`", 
     "0.37129491507617324`", "0.4335928267533059`", "0.4944886130923512`", 
     "0.5557075526501547`", "0.6180378608248621`", "0.6838021438010774`", 
     "0.7493324489719`", "0.8174799133996037`", "0.8878290015263679`", 
     "0.9666666666666667`"},
    {"0.`", "0.061032110722101796`", "0.11819508912155947`", 
     "0.17361167613253814`", "0.231051560740213`", "0.29087348506194105`", 
     "0.3467157542543528`", "0.40417464609480125`", "0.4621438485039377`", 
     "0.5176555395339976`", "0.5787289828198263`", "0.639531641848926`", 
     "0.7066401422128564`", "0.7794892717953499`", "0.8660479074857981`", 
     "0.9666666666666667`"},
    {"0.`", "0.020470954804577803`", "0.04246046395384595`", 
     "0.06533779200226976`", "0.09368196703104918`", "0.1249042982139422`", 
     "0.16029926736408312`", "0.20036685160195614`", "0.24314810810854506`", 
     "0.2935449072476609`", "0.353309012710873`", "0.4288918816872544`", 
     "0.5175362930406686`", "0.6276571307139446`", "0.7680079059461413`", 
     "0.9666666666666657`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.760279385162856*^9, 3.760279391087508*^9}, 
   3.76029660054401*^9, 3.765118008913124*^9, 3.765120002776599*^9, 
   3.765120148227561*^9, 3.782410515782124*^9, 3.7824338829070473`*^9, 
   3.782445163090724*^9, 3.782462891389179*^9, 3.782471452393546*^9, 
   3.782494262851609*^9, 3.782517792561257*^9, 3.782579382580415*^9},
 CellLabel->
  "Out[208]//TableForm=",ExpressionUUID->"a2491d1d-4d9c-4f56-936b-\
503accbc02ce"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"res2", " ", "=", " ", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Plus", "@@", 
      RowBox[{"Abs", "/@", "#"}]}], " ", "&"}], ",", " ", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "2", "]"}], "]"}], " ", "&"}], ",", " ", 
        RowBox[{"List2DPlotByIdxNo2", "[", "idxNo", "]"}]}], "]"}], ",", " ", 
      
      RowBox[{"{", 
       RowBox[{"idxNo", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "@", "indxNames"}]}], "}"}]}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7602794873161793`*^9, 3.760279495193375*^9}, {
   3.7602795419602833`*^9, 3.760279543523613*^9}, {3.7602962341369267`*^9, 
   3.760296234191667*^9}, 3.76029641468899*^9, {3.760390850914139*^9, 
   3.760390851653967*^9}, 3.760623795482983*^9, {3.7651201200041933`*^9, 
   3.765120120114822*^9}, {3.782410625943944*^9, 3.782410632794393*^9}},
 CellLabel->
  "In[209]:=",ExpressionUUID->"0f7c4819-a730-4086-a469-349a0c12fcb4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "4.904834956224032`", ",", "7.73337492433229`", ",", "1.692004085358574`", 
   ",", "1.3368152058203682`", ",", "10.111969262914322`", ",", 
   "1.5896798581045304`", ",", "1.7320997125922883`", ",", 
   "4.935916021622063`", ",", "4.1286732334239264`", ",", 
   "7.295859661732967`", ",", "4.674875766033036`", ",", "7.502873201286143`",
    ",", "7.142558322994866`", ",", "4.906283501093477`"}], "}"}]], "Output",
 CellChangeTimes->{3.760279498423091*^9, 3.7602795465146303`*^9, 
  3.760296601910015*^9, 3.7603903608084*^9, 3.76039085442855*^9, 
  3.760623798590083*^9, 3.765118010406447*^9, 3.765120067416131*^9, 
  3.7651201221319733`*^9, 3.765120155547304*^9, 3.7824106374493093`*^9, 
  3.782433884312604*^9, 3.782445164468431*^9, 3.782462892798044*^9, 
  3.782471454189515*^9, 3.782494264460321*^9, 3.78251779450314*^9, 
  3.782579383984267*^9},
 CellLabel->
  "Out[209]=",ExpressionUUID->"5e96d258-dcb9-4f65-b334-058268533b33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AppendTo", "[", 
   RowBox[{"res1", ",", " ", "res2"}], "]"}], "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.760623806147344*^9, 3.760623815144642*^9}},
 CellLabel->
  "In[210]:=",ExpressionUUID->"f38da939-3fa9-4c49-86b7-06bd53b653f6"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Geometric Consistency index v2\"\>", "\<\"Geometric Consistency \
index v1\"\>", "\<\"Koczkodaj's index\"\>", "\<\"Triad based index 1\"\>", \
"\<\"Triad based index 2\"\>", "\<\"Triad based alpha index\"\>", "\<\"Triad \
based alpha-beta index\"\>", "\<\"Golden-Wang index\"\>", \
"\<\"Salo-Hamalainen index\"\>", "\<\"Barzilai's Relative Error index \
v1\"\>", "\<\"Barzilai's Relative Error index v2\"\>", "\<\"Saaty consistency \
index\"\>", "\<\"iLLS criterion\"\>", "\<\"Oliva et al. index\"\>"},
    {"0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", "0.`", 
     "0.`", "0.`", "0.`", "0.`"},
    {"0.020700943671297406`", "0.06510733347457273`", 
     "0.0016021410181912563`", "0.0019036464234768748`", 
     RowBox[{"-", "0.14339228022870726`"}], "0.0020522015241436157`", 
     RowBox[{"-", "0.0015281700115902478`"}], "0.021482554594916554`", 
     "0.005559399932711826`", "0.0514082459028757`", "0.0189459368983924`", 
     "0.06225803923331382`", "0.061032110722101796`", "0.020470954804577803`"},
    {"0.0425846196325532`", "0.12926706879080857`", "0.00327629223417482`", 
     "0.003746951340305094`", 
     RowBox[{"-", "0.27058565145591035`"}], "0.0041161259682777635`", 
     RowBox[{"-", "0.003568489483055893`"}], "0.043449447990303466`", 
     "0.012286045041845398`", "0.10426323375940408`", "0.03940035383717814`", 
     "0.12365116511691823`", "0.11819508912155947`", "0.04246046395384595`"},
    {"0.0655020874567631`", "0.19238956902904775`", "0.004891794802101536`", 
     "0.005898058106975615`", 
     RowBox[{"-", "0.38237173239628813`"}], "0.00623764017393067`", 
     RowBox[{"-", "0.006414812549364216`"}], "0.06843962012151733`", 
     "0.02145373863847551`", "0.15796238561087272`", "0.060183721362681686`", 
     "0.18362122952494228`", "0.17361167613253814`", "0.06533779200226976`"},
    {"0.09340421956595306`", "0.2575904036206759`", "0.006927820457141329`", 
     "0.008786000953770395`", 
     RowBox[{"-", "0.4799469686065269`"}], "0.008921405723626492`", 
     RowBox[{"-", "0.009883322677975696`"}], "0.09679912159893969`", 
     "0.03363234520633076`", "0.21601389960022577`", "0.08684986927407844`", 
     "0.24646501810421687`", "0.231051560740213`", "0.09368196703104918`"},
    {"0.12487289404990597`", "0.3229957500185553`", "0.009539434289125574`", 
     "0.011739930446795313`", 
     RowBox[{"-", "0.5647947084034503`"}], "0.012120981193669379`", 
     RowBox[{"-", "0.014345548852244844`"}], "0.12700668403480248`", 
     "0.049886688017361534`", "0.27576290165845274`", "0.11455639557432354`", 
     "0.30864580654428925`", "0.29087348506194105`", "0.1249042982139422`"},
    {"0.15929879204955535`", "0.38761702993109953`", "0.012689139846863333`", 
     "0.014784618771708703`", 
     RowBox[{"-", "0.6377946551826036`"}], "0.015695340964934842`", 
     RowBox[{"-", "0.02040900364148766`"}], "0.16217002277155984`", 
     "0.07197404523928345`", "0.3380962141165305`", "0.14611464603289387`", 
     "0.37129491507617324`", "0.3467157542543528`", "0.16029926736408312`"},
    {"0.19851003541352918`", "0.45228446316029597`", "0.016042452441918653`", 
     "0.01927086578195445`", 
     RowBox[{"-", "0.7003510366043695`"}], "0.01985350673483254`", 
     RowBox[{"-", "0.027911557384010757`"}], "0.20162405664039673`", 
     "0.10261443789550447`", "0.40125032362193586`", "0.1813489469643854`", 
     "0.4335928267533059`", "0.40417464609480125`", "0.20036685160195614`"},
    {"0.24157074477998242`", "0.5157398650111531`", "0.02100083829579091`", 
     "0.02299606985413237`", 
     RowBox[{"-", "0.7532935070194234`"}], "0.024844440659795162`", 
     RowBox[{"-", "0.038068733271478285`"}], "0.24595863034054669`", 
     "0.14408368683730455`", "0.4686132938301756`", "0.22195630992760507`", 
     "0.4944886130923512`", "0.4621438485039377`", "0.24314810810854506`"},
    {"0.29095152959254844`", "0.578655541332762`", "0.027109719790597984`", 
     "0.026561591352643514`", 
     RowBox[{"-", "0.7980503766306024`"}], "0.030503724937964057`", 
     RowBox[{"-", "0.05195400583492195`"}], "0.2985539707189119`", 
     "0.19888460073318165`", "0.5352770298613161`", "0.2685846594540056`", 
     "0.5557075526501547`", "0.5176555395339976`", "0.2935449072476609`"},
    {"0.3519294669139564`", "0.6430368633528665`", "0.03655279378940551`", 
     "0.03271544394322`", 
     RowBox[{"-", "0.8351837209974661`"}], "0.039123438582366145`", 
     RowBox[{"-", "0.06865203155078194`"}], "0.3585120946079881`", 
     "0.2713351629209833`", "0.6078599451168185`", "0.32605076235482533`", 
     "0.6180378608248621`", "0.5787289828198263`", "0.353309012710873`"},
    {"0.4267446451408814`", "0.7083311035238048`", "0.05160538372232078`", 
     "0.03965731576505068`", 
     RowBox[{"-", "0.8662644156319157`"}], "0.05108403105442556`", 
     RowBox[{"-", "0.09048168984661188`"}], "0.43176177335521704`", 
     "0.36562070802630997`", "0.6821924887458488`", "0.3987580929288972`", 
     "0.6838021438010774`", "0.639531641848926`", "0.4288918816872544`"},
    {"0.5173112668659632`", "0.7732410085947872`", "0.07805392622555019`", 
     "0.0470158379943647`", 
     RowBox[{"-", "0.8917806568104432`"}], "0.06997114409216991`", 
     RowBox[{"-", "0.11854193138537654`"}], "0.5195207977676823`", 
     "0.4812303739333901`", "0.7565716972625763`", "0.4876952533202165`", 
     "0.7493324489719`", "0.7066401422128564`", "0.5175362930406686`"},
    {"0.6304130179956453`", "0.8380854182391791`", "0.13416089181817376`", 
     "0.057596885395462344`", 
     RowBox[{"-", "0.9114816508840057`"}], "0.10646278500695532`", 
     RowBox[{"-", "0.14922784148195317`"}], "0.6271869662608394`", 
     "0.6196604614793391`", "0.8319718038436822`", "0.6041551765680911`", 
     "0.8174799133996037`", "0.7794892717953499`", "0.6276571307139446`"},
    {"0.7743740264288317`", "0.9023668395860153`", "0.28861812329388514`", 
     "0.07724198969050816`", 
     RowBox[{"-", "0.9100112353959441`"}], "0.20002642482077232`", 
     RowBox[{"-", "0.1503792412881017`"}], "0.7667836141517755`", 
     "0.7832182061885714`", "0.9019495321355857`", "0.753608974868795`", 
     "0.8878290015263679`", "0.8660479074857981`", "0.7680079059461413`"},
    {"0.9666666666666667`", "0.9666666666666667`", "0.9999333333333333`", 
     "0.9669`", "0.9666666666666667`", "0.9986666666666667`", 
     "0.9807333333333333`", "0.9666666666666665`", "0.9672333333333333`", 
     "0.9666666666666667`", "0.9666666666666667`", "0.9666666666666667`", 
     "0.9666666666666667`", "0.9666666666666657`"},
    {"4.904834956224032`", "7.73337492433229`", "1.692004085358574`", 
     "1.3368152058203682`", "10.111969262914322`", "1.5896798581045304`", 
     "1.7320997125922883`", "4.935916021622063`", "4.1286732334239264`", 
     "7.295859661732967`", "4.674875766033036`", "7.502873201286143`", 
     "7.142558322994866`", "4.906283501093477`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.760623815516224*^9, 3.765118010539753*^9, 
  3.765120072029085*^9, 3.7651201237636013`*^9, 3.765120157162972*^9, 
  3.782410645024267*^9, 3.782433884407049*^9, 3.782445164551701*^9, 
  3.782462892898644*^9, 3.7824714543309402`*^9, 3.782494264533749*^9, 
  3.782517794955789*^9, 3.7825793840754747`*^9},
 CellLabel->
  "Out[210]//TableForm=",ExpressionUUID->"2ef9d174-84c4-4c7d-834b-\
6373d9512886"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "@", "#"}], ",", " ", 
       RowBox[{"NumberForm", "[", 
        RowBox[{"#", ",", " ", "4"}], "]"}], ",", " ", "#"}], "]"}], " ", 
     "&"}], ",", " ", 
    RowBox[{"Join", "[", 
     RowBox[{"res1", ",", " ", 
      RowBox[{"{", "res2", "}"}]}], "]"}], ",", " ", 
    RowBox[{"{", "2", "}"}]}], "]"}], " ", "//", " ", "TableForm"}]], "Input",\

 CellChangeTimes->{{3.7606240108768177`*^9, 3.760624061581554*^9}, {
  3.760624178461638*^9, 3.760624182677411*^9}},
 CellLabel->
  "In[211]:=",ExpressionUUID->"df8fc2b2-38a8-41dc-8668-c88697e80dc3"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Geometric Consistency index v2\"\>", "\<\"Geometric Consistency \
index v1\"\>", "\<\"Koczkodaj's index\"\>", "\<\"Triad based index 1\"\>", \
"\<\"Triad based index 2\"\>", "\<\"Triad based alpha index\"\>", "\<\"Triad \
based alpha-beta index\"\>", "\<\"Golden-Wang index\"\>", \
"\<\"Salo-Hamalainen index\"\>", "\<\"Barzilai's Relative Error index \
v1\"\>", "\<\"Barzilai's Relative Error index v2\"\>", "\<\"Saaty consistency \
index\"\>", "\<\"iLLS criterion\"\>", "\<\"Oliva et al. index\"\>"},
    {
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.\"\>",
       0.,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.0207\"\>",
       0.020700943671297406`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06511\"\>",
       0.06510733347457273,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.001602\"\>",
       0.0016021410181912563`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.001904\"\>",
       0.0019036464234768748`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.1434\"\>",
       -0.14339228022870726`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.002052\"\>",
       0.0020522015241436157`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.001528\"\>",
       -0.0015281700115902478`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02148\"\>",
       0.021482554594916554`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.005559\"\>",
       0.005559399932711826,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.05141\"\>",
       0.0514082459028757,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01895\"\>",
       0.0189459368983924,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06226\"\>",
       0.06225803923331382,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06103\"\>",
       0.061032110722101796`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02047\"\>",
       0.020470954804577803`,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.04258\"\>",
       0.0425846196325532,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1293\"\>",
       0.12926706879080857`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.003276\"\>",
       0.00327629223417482,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.003747\"\>",
       0.003746951340305094,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.2706\"\>",
       -0.27058565145591035`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.004116\"\>",
       0.0041161259682777635`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.003568\"\>",
       -0.003568489483055893,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.04345\"\>",
       0.043449447990303466`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01229\"\>",
       0.012286045041845398`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1043\"\>",
       0.10426323375940408`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.0394\"\>",
       0.03940035383717814,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1237\"\>",
       0.12365116511691823`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1182\"\>",
       0.11819508912155947`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.04246\"\>",
       0.04246046395384595,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.0655\"\>",
       0.0655020874567631,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1924\"\>",
       0.19238956902904775`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.004892\"\>",
       0.004891794802101536,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.005898\"\>",
       0.005898058106975615,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.3824\"\>",
       -0.38237173239628813`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.006238\"\>",
       0.00623764017393067,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.006415\"\>",
       -0.006414812549364216,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06844\"\>",
       0.06843962012151733,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02145\"\>",
       0.02145373863847551,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.158\"\>",
       0.15796238561087272`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06018\"\>",
       0.060183721362681686`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1836\"\>",
       0.18362122952494228`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1736\"\>",
       0.17361167613253814`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06534\"\>",
       0.06533779200226976,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.0934\"\>",
       0.09340421956595306,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2576\"\>",
       0.2575904036206759,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.006928\"\>",
       0.006927820457141329,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.008786\"\>",
       0.008786000953770395,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.4799\"\>",
       -0.4799469686065269,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.008921\"\>",
       0.008921405723626492,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.009883\"\>",
       -0.009883322677975696,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.0968\"\>",
       0.09679912159893969,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.03363\"\>",
       0.03363234520633076,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.216\"\>",
       0.21601389960022577`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.08685\"\>",
       0.08684986927407844,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2465\"\>",
       0.24646501810421687`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2311\"\>",
       0.231051560740213,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.09368\"\>",
       0.09368196703104918,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.1249\"\>",
       0.12487289404990597`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.323\"\>",
       0.3229957500185553,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.009539\"\>",
       0.009539434289125574,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01174\"\>",
       0.011739930446795313`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.5648\"\>",
       -0.5647947084034503,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01212\"\>",
       0.012120981193669379`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.01435\"\>",
       -0.014345548852244844`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.127\"\>",
       0.12700668403480248`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.04989\"\>",
       0.049886688017361534`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2758\"\>",
       0.27576290165845274`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1146\"\>",
       0.11455639557432354`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3086\"\>",
       0.30864580654428925`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2909\"\>",
       0.29087348506194105`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1249\"\>",
       0.1249042982139422,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.1593\"\>",
       0.15929879204955535`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3876\"\>",
       0.38761702993109953`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01269\"\>",
       0.012689139846863333`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01478\"\>",
       0.014784618771708703`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.6378\"\>",
       -0.6377946551826036,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.0157\"\>",
       0.015695340964934842`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.02041\"\>",
       -0.02040900364148766,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1622\"\>",
       0.16217002277155984`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.07197\"\>",
       0.07197404523928345,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3381\"\>",
       0.3380962141165305,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1461\"\>",
       0.14611464603289387`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3713\"\>",
       0.37129491507617324`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3467\"\>",
       0.3467157542543528,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1603\"\>",
       0.16029926736408312`,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.1985\"\>",
       0.19851003541352918`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4523\"\>",
       0.45228446316029597`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01604\"\>",
       0.016042452441918653`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01927\"\>",
       0.01927086578195445,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.7004\"\>",
       -0.7003510366043695,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.01985\"\>",
       0.01985350673483254,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.02791\"\>",
       -0.027911557384010757`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2016\"\>",
       0.20162405664039673`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1026\"\>",
       0.10261443789550447`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4013\"\>",
       0.40125032362193586`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1813\"\>",
       0.1813489469643854,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4336\"\>",
       0.4335928267533059,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4042\"\>",
       0.40417464609480125`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2004\"\>",
       0.20036685160195614`,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.2416\"\>",
       0.24157074477998242`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5157\"\>",
       0.5157398650111531,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.021\"\>",
       0.02100083829579091,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.023\"\>",
       0.02299606985413237,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.7533\"\>",
       -0.7532935070194234,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02484\"\>",
       0.024844440659795162`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.03807\"\>",
       -0.038068733271478285`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.246\"\>",
       0.24595863034054669`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1441\"\>",
       0.14408368683730455`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4686\"\>",
       0.4686132938301756,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.222\"\>",
       0.22195630992760507`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4945\"\>",
       0.4944886130923512,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4621\"\>",
       0.4621438485039377,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2431\"\>",
       0.24314810810854506`,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.291\"\>",
       0.29095152959254844`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5787\"\>",
       0.578655541332762,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02711\"\>",
       0.027109719790597984`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.02656\"\>",
       0.026561591352643514`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.7981\"\>",
       -0.7980503766306024,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.0305\"\>",
       0.030503724937964057`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.05195\"\>",
       -0.05195400583492195,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2986\"\>",
       0.2985539707189119,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1989\"\>",
       0.19888460073318165`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5353\"\>",
       0.5352770298613161,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2686\"\>",
       0.2685846594540056,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5557\"\>",
       0.5557075526501547,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5177\"\>",
       0.5176555395339976,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2935\"\>",
       0.2935449072476609,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.3519\"\>",
       0.3519294669139564,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.643\"\>",
       0.6430368633528665,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.03655\"\>",
       0.03655279378940551,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.03272\"\>",
       0.03271544394322,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.8352\"\>",
       -0.8351837209974661,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.03912\"\>",
       0.039123438582366145`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.06865\"\>",
       -0.06865203155078194,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3585\"\>",
       0.3585120946079881,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2713\"\>",
       0.2713351629209833,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6079\"\>",
       0.6078599451168185,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3261\"\>",
       0.32605076235482533`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.618\"\>",
       0.6180378608248621,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5787\"\>",
       0.5787289828198263,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3533\"\>",
       0.353309012710873,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.4267\"\>",
       0.4267446451408814,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7083\"\>",
       0.7083311035238048,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.05161\"\>",
       0.05160538372232078,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.03966\"\>",
       0.03965731576505068,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.8663\"\>",
       -0.8662644156319157,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.05108\"\>",
       0.05108403105442556,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.09048\"\>",
       -0.09048168984661188,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4318\"\>",
       0.43176177335521704`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3656\"\>",
       0.36562070802630997`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6822\"\>",
       0.6821924887458488,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.3988\"\>",
       0.3987580929288972,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6838\"\>",
       0.6838021438010774,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6395\"\>",
       0.639531641848926,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4289\"\>",
       0.4288918816872544,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.5173\"\>",
       0.5173112668659632,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7732\"\>",
       0.7732410085947872,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.07805\"\>",
       0.07805392622555019,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.04702\"\>",
       0.0470158379943647,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.8918\"\>",
       -0.8917806568104432,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.06997\"\>",
       0.06997114409216991,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.1185\"\>",
       -0.11854193138537654`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5195\"\>",
       0.5195207977676823,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4812\"\>",
       0.4812303739333901,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7566\"\>",
       0.7565716972625763,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.4877\"\>",
       0.4876952533202165,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7493\"\>",
       0.7493324489719,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7066\"\>",
       0.7066401422128564,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.5175\"\>",
       0.5175362930406686,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.6304\"\>",
       0.6304130179956453,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.8381\"\>",
       0.8380854182391791,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1342\"\>",
       0.13416089181817376`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.0576\"\>",
       0.057596885395462344`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.9115\"\>",
       -0.9114816508840057,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.1065\"\>",
       0.10646278500695532`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.1492\"\>",
       -0.14922784148195317`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6272\"\>",
       0.6271869662608394,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6197\"\>",
       0.6196604614793391,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.832\"\>",
       0.8319718038436822,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6042\"\>",
       0.6041551765680911,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.8175\"\>",
       0.8174799133996037,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7795\"\>",
       0.7794892717953499,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.6277\"\>",
       0.6276571307139446,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.7744\"\>",
       0.7743740264288317,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9024\"\>",
       0.9023668395860153,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2886\"\>",
       0.28861812329388514`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.07724\"\>",
       0.07724198969050816,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.91\"\>",
       -0.9100112353959441,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.2\"\>",
       0.20002642482077232`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"-0.1504\"\>",
       -0.1503792412881017,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7668\"\>",
       0.7667836141517755,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7832\"\>",
       0.7832182061885714,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9019\"\>",
       0.9019495321355857,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.7536\"\>",
       0.753608974868795,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.8878\"\>",
       0.8878290015263679,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.866\"\>",
       0.8660479074857981,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.768\"\>",
       0.7680079059461413,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9999\"\>",
       0.9999333333333333,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9669\"\>",
       0.9669,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9987\"\>",
       0.9986666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9807\"\>",
       0.9807333333333333,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666665,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9672\"\>",
       0.9672333333333333,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666667,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"0.9667\"\>",
       0.9666666666666657,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"4.905\"\>",
       4.904834956224032,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.733\"\>",
       7.73337492433229,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.692\"\>",
       1.692004085358574,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.337\"\>",
       1.3368152058203682`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"10.11\"\>",
       10.111969262914322`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.59\"\>",
       1.5896798581045304`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.732\"\>",
       1.7320997125922883`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.936\"\>",
       4.935916021622063,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.129\"\>",
       4.1286732334239264`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.296\"\>",
       7.295859661732967,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.675\"\>",
       4.674875766033036,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.503\"\>",
       7.502873201286143,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.143\"\>",
       7.142558322994866,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.906\"\>",
       4.906283501093477,
       AutoDelete->True],
      NumberForm[#, 4]& ]},
    {
     TagBox[
      InterpretationBox["\<\"4.905\"\>",
       4.904834956224032,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.733\"\>",
       7.73337492433229,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.692\"\>",
       1.692004085358574,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.337\"\>",
       1.3368152058203682`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"10.11\"\>",
       10.111969262914322`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.59\"\>",
       1.5896798581045304`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"1.732\"\>",
       1.7320997125922883`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.936\"\>",
       4.935916021622063,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.129\"\>",
       4.1286732334239264`,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.296\"\>",
       7.295859661732967,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.675\"\>",
       4.674875766033036,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.503\"\>",
       7.502873201286143,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"7.143\"\>",
       7.142558322994866,
       AutoDelete->True],
      NumberForm[#, 4]& ], 
     TagBox[
      InterpretationBox["\<\"4.906\"\>",
       4.906283501093477,
       AutoDelete->True],
      NumberForm[#, 4]& ]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.760624054948147*^9, 3.760624062438735*^9}, 
   3.760624103251623*^9, {3.760624183737221*^9, 3.76062418703659*^9}, 
   3.7651180105594254`*^9, 3.765120082817533*^9, 3.765120171507457*^9, 
   3.782410672418195*^9, 3.782433884429297*^9, 3.782445164576231*^9, 
   3.7824628929220467`*^9, 3.7824714543580027`*^9, 3.782494264563985*^9, 
   3.782517795514735*^9, 3.782579384094017*^9},
 CellLabel->
  "Out[211]//TableForm=",ExpressionUUID->"795192c2-d021-4018-a48a-\
d11a8bfc3a74"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\</tmp/results.xlsx\>\"", ",", " ", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"NumberQ", "@", "#"}], ",", " ", 
        RowBox[{"NumberForm", "[", 
         RowBox[{"#", ",", " ", "4"}], "]"}], ",", " ", "#"}], "]"}], " ", 
      "&"}], ",", " ", 
     RowBox[{"Join", "[", 
      RowBox[{"res1", ",", " ", 
       RowBox[{"{", "res2", "}"}]}], "]"}], ",", " ", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.760623868034403*^9, 3.760623895241889*^9}, {
  3.7606242619968367`*^9, 3.760624262925071*^9}},
 CellLabel->
  "In[212]:=",ExpressionUUID->"8b040001-a277-408f-a633-11aa341ae0d9"],

Cell[BoxData["\<\"/tmp/results.xlsx\"\>"], "Output",
 CellChangeTimes->{3.7606242673351507`*^9, 3.765118012819791*^9, 
  3.765120192535651*^9, 3.782410681749119*^9, 3.782433885619774*^9, 
  3.782445165647065*^9, 3.782462893915962*^9, 3.7824714556070757`*^9, 
  3.782494265784068*^9, 3.782517798501731*^9, 3.782579385052268*^9},
 CellLabel->
  "Out[212]=",ExpressionUUID->"6933f16e-6135-4d8d-805e-475adde31f82"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SortBy", "[", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{"indxNames", ",", " ", "res2"}], "}"}], "]"}], ",", " ", 
    "Last"}], "]"}], "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.7603903726932983`*^9, 3.760390396931185*^9}, {
   3.760390858046543*^9, 3.7603908891620197`*^9}, 3.7606238625235977`*^9, 
   3.782410685538802*^9},
 CellLabel->
  "In[213]:=",ExpressionUUID->"0e510eba-43f0-46a1-9e8e-65f025f1804c"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Triad based index 1\"\>", "1.3368152058203682`"},
    {"\<\"Triad based alpha index\"\>", "1.5896798581045304`"},
    {"\<\"Koczkodaj's index\"\>", "1.692004085358574`"},
    {"\<\"Triad based alpha-beta index\"\>", "1.7320997125922883`"},
    {"\<\"Salo-Hamalainen index\"\>", "4.1286732334239264`"},
    {"\<\"Barzilai's Relative Error index v2\"\>", "4.674875766033036`"},
    {"\<\"Geometric Consistency index v2\"\>", "4.904834956224032`"},
    {"\<\"Oliva et al. index\"\>", "4.906283501093477`"},
    {"\<\"Golden-Wang index\"\>", "4.935916021622063`"},
    {"\<\"iLLS criterion\"\>", "7.142558322994866`"},
    {"\<\"Barzilai's Relative Error index v1\"\>", "7.295859661732967`"},
    {"\<\"Saaty consistency index\"\>", "7.502873201286143`"},
    {"\<\"Geometric Consistency index v1\"\>", "7.73337492433229`"},
    {"\<\"Triad based index 2\"\>", "10.111969262914322`"}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.760390397363256*^9, 3.76039085930062*^9, 
  3.760390890405558*^9, 3.760535168570907*^9, 3.7606238636097927`*^9, 
  3.765118012997409*^9, 3.765120195766782*^9, 3.7824106866077223`*^9, 
  3.782433885743541*^9, 3.782445165815445*^9, 3.782462894047195*^9, 
  3.78247145574179*^9, 3.782471734039352*^9, 3.7824942658908787`*^9, 
  3.782517799211011*^9, 3.782579385192678*^9},
 CellLabel->
  "Out[213]//TableForm=",ExpressionUUID->"81348232-96c3-43bc-951a-\
20c44197c188"]
}, Open  ]]
},
Evaluator->"Local",
WindowSize->{1949, 1224},
WindowMargins->{{102, Automatic}, {Automatic, 25}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 291, 6, 46, "Input",ExpressionUUID->"062d065d-f6ce-472f-8da1-32e86362a31c"],
Cell[852, 28, 252, 6, 46, "Input",ExpressionUUID->"14bbcb78-82fe-457b-9f96-b50513a9704e"],
Cell[1107, 36, 2387, 61, 202, "Input",ExpressionUUID->"ef7c421a-17e4-4d07-9048-1c269d1b7f89"],
Cell[3497, 99, 810, 22, 78, "Input",ExpressionUUID->"9f20258c-eee6-4b30-8142-7e9effc2ee6f"],
Cell[4310, 123, 952, 24, 78, "Input",ExpressionUUID->"5a14d5b9-dd2d-4d2c-a409-3ba08402b05f"],
Cell[5265, 149, 705, 16, 109, "Input",ExpressionUUID->"40740209-4c6e-413d-9662-e3982720560d"],
Cell[5973, 167, 988, 25, 140, "Input",ExpressionUUID->"d3ecae77-5222-4fe5-a76c-4d2d2e4257e0"],
Cell[6964, 194, 616, 16, 46, "Input",ExpressionUUID->"ddb5e883-52d3-42b1-98c4-a67f52fbd6d4"],
Cell[7583, 212, 578, 13, 46, "Input",ExpressionUUID->"6c2521ae-f0b7-4af2-81f9-6cd7aacb48fc"],
Cell[CellGroupData[{
Cell[8186, 229, 265, 5, 46, "Input",ExpressionUUID->"8c9f3741-3191-4996-aa6b-8316e9f4678b"],
Cell[8454, 236, 3204, 57, 220, "Output",ExpressionUUID->"0769e4a9-f6fe-4b56-892c-711094bd7ea3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11695, 298, 302, 5, 46, "Input",ExpressionUUID->"36a0968a-0081-45ed-98c9-6b2337f3f7d8"],
Cell[12000, 305, 2359, 45, 220, "Output",ExpressionUUID->"cf392092-c261-4c99-955b-6d81408162e1"]
}, Open  ]],
Cell[14374, 353, 529, 11, 122, "Text",ExpressionUUID->"a961d06f-2470-46bd-9fed-ad62ee010190"],
Cell[14906, 366, 759, 20, 46, "Input",ExpressionUUID->"2a338232-58c0-4e7b-9855-86a66999dbfa"],
Cell[CellGroupData[{
Cell[15690, 390, 1380, 41, 149, "Input",ExpressionUUID->"1b0723c7-8ab5-4884-bcf8-df079e1e32bf"],
Cell[17073, 433, 4986, 144, 244, "Output",ExpressionUUID->"41826a40-a2ab-4be0-b1d1-a77a3ce8da3f"]
}, Open  ]],
Cell[22074, 580, 769, 18, 46, "Input",ExpressionUUID->"715ef334-f366-4d89-b247-9a003f897ab7"],
Cell[CellGroupData[{
Cell[22868, 602, 288, 6, 46, "Input",ExpressionUUID->"38107bb5-a51b-4063-88b2-4e7052f4dead"],
Cell[23159, 610, 3159, 55, 220, "Output",ExpressionUUID->"83685ce9-0d69-41f9-af5d-69d61e9a7c0a"]
}, Open  ]],
Cell[26333, 668, 636, 15, 46, "Input",ExpressionUUID->"dc83daa2-de53-4fac-b370-11e4a1e2a5fa"],
Cell[CellGroupData[{
Cell[26994, 687, 1096, 32, 149, "Input",ExpressionUUID->"00893386-ae21-485f-8127-e9e7ec864fa5"],
Cell[28093, 721, 2855, 57, 172, "Output",ExpressionUUID->"12b39275-64d4-4292-bdaa-c0ddee8fa8c0"]
}, Open  ]],
Cell[30963, 781, 171, 3, 53, "Text",ExpressionUUID->"6a048541-c281-431f-a0a0-bac1a68a650e"],
Cell[31137, 786, 814, 21, 49, "Input",ExpressionUUID->"692c0b99-c8c3-4225-8184-9dd7087f77fd"],
Cell[31954, 809, 856, 22, 49, "Input",ExpressionUUID->"b24a858e-2feb-416e-ace9-67ed7326e34e"],
Cell[32813, 833, 1210, 34, 105, "Input",ExpressionUUID->"6496e9ce-56d8-48b0-a0ec-88a43da714cd"],
Cell[CellGroupData[{
Cell[34048, 871, 404, 7, 46, "Input",ExpressionUUID->"85294013-ddb7-45ef-b14d-4bb0bc45e5dd"],
Cell[34455, 880, 1874, 27, 52, "Output",ExpressionUUID->"01211876-8e6a-447b-8620-78166df3a138"]
}, Open  ]],
Cell[36344, 910, 350, 8, 122, "Text",ExpressionUUID->"f1742098-427b-4075-ac4f-776b5aa44aa7"],
Cell[36697, 920, 1714, 48, 113, "Input",ExpressionUUID->"fc980d77-cfcf-45b5-956a-6a93dbbb90ed"],
Cell[38414, 970, 2240, 64, 109, "Input",ExpressionUUID->"c9db419d-7be8-433e-8219-f3192ab4ae41"],
Cell[CellGroupData[{
Cell[40679, 1038, 1143, 34, 149, "Input",ExpressionUUID->"c57e5cfe-f694-470b-a5d2-f1f9a668fc93"],
Cell[41825, 1074, 2178, 41, 71, "Output",ExpressionUUID->"47d976a0-e426-45c2-a886-330c68b03b30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44040, 1120, 1102, 33, 149, "Input",ExpressionUUID->"b1c47155-eabf-4195-8fd2-189d2ffed3de"],
Cell[45145, 1155, 1175, 30, 71, "Output",ExpressionUUID->"490f4cd4-f143-43ea-8822-cb834360b475"]
}, Open  ]],
Cell[46335, 1188, 1182, 33, 78, "Input",ExpressionUUID->"3ca287e0-be1d-4e5b-a2b1-c2ab9c3448d5"],
Cell[47520, 1223, 1284, 37, 78, "Input",ExpressionUUID->"1cd3f0ba-ab32-4568-ba0a-1e580be04caa"],
Cell[48807, 1262, 1403, 36, 109, "Input",ExpressionUUID->"762337de-eaf1-4c4b-81a6-2ffeec331a56"],
Cell[50213, 1300, 324, 5, 46, "Input",ExpressionUUID->"8b8f77b2-0832-49ae-9a96-aef21c5300de"],
Cell[50540, 1307, 872, 21, 46, "Input",ExpressionUUID->"969fed61-e46c-4be8-9a80-bccc0e64be3c"],
Cell[51415, 1330, 740, 18, 78, "Input",ExpressionUUID->"0a3b53b1-1666-4c15-9e3c-2f1cd508950b"],
Cell[52158, 1350, 274, 6, 46, "Input",ExpressionUUID->"aaaab5f9-3d71-48b7-b0f1-4c72b35194d0"],
Cell[52435, 1358, 409, 9, 46, "Input",ExpressionUUID->"616d15ed-ec9d-4799-b81f-c7f0dcf7a720"],
Cell[52847, 1369, 1131, 26, 78, "Input",ExpressionUUID->"18c6c698-819a-4567-bc46-270bdacea867"],
Cell[CellGroupData[{
Cell[54003, 1399, 237, 4, 46, "Input",ExpressionUUID->"64eac9bf-030e-4ae6-b6f5-9453ccfa8940"],
Cell[54243, 1405, 1698, 24, 52, "Output",ExpressionUUID->"1a9d6745-7439-4821-8035-443d77bdc540"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55978, 1434, 247, 4, 46, "Input",ExpressionUUID->"26090a21-8d65-48fa-97e9-22863ffde6ce"],
Cell[56228, 1440, 602, 8, 52, "Output",ExpressionUUID->"fccd33c2-c71c-4e97-9150-c64d8f6c56f5"]
}, Open  ]],
Cell[56845, 1451, 364, 8, 122, "Text",ExpressionUUID->"50eae05b-f339-491a-8f99-ab669a4ac61e"],
Cell[57212, 1461, 1195, 31, 78, "Input",ExpressionUUID->"f47b3536-12fd-40c6-b954-a5ef75b7054f"],
Cell[58410, 1494, 1162, 28, 109, "Input",ExpressionUUID->"4dee688a-6c81-46ba-92d2-ad836c178848"],
Cell[59575, 1524, 1784, 44, 160, "Input",ExpressionUUID->"af3ac631-7d93-4be1-bb4f-bc21280b0361"],
Cell[61362, 1570, 1591, 39, 150, "Input",ExpressionUUID->"3f2fc4e7-c12b-443c-8ac8-cc48f82998b2"],
Cell[62956, 1611, 287, 6, 46, "Input",ExpressionUUID->"e53de025-799e-48dd-b6b7-483f7f7e6c17"],
Cell[CellGroupData[{
Cell[63268, 1621, 267, 5, 46, "Input",ExpressionUUID->"964a5b86-2f03-46c3-92c1-0b9f33c80954"],
Cell[63538, 1628, 1766, 25, 52, "Output",ExpressionUUID->"a69d0097-12fe-4f17-8f84-8ba4dfb3e5ce"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65341, 1658, 263, 5, 46, "Input",ExpressionUUID->"72daa03a-0560-4f03-a6e0-3985d2a11896"],
Cell[65607, 1665, 1768, 25, 52, "Output",ExpressionUUID->"15ffcf61-c3f3-4c4d-89e7-6074eee0c09b"]
}, Open  ]],
Cell[67390, 1693, 587, 14, 46, "Input",ExpressionUUID->"b21b24b9-20fe-46a7-b670-252f327efe6e"],
Cell[67980, 1709, 676, 16, 46, "Input",ExpressionUUID->"6d89299b-57e4-4d9e-8a2e-20d7724468b6"],
Cell[68659, 1727, 753, 18, 46, "Input",ExpressionUUID->"16573beb-a8b5-4fe1-8143-d3c9969f172e"],
Cell[69415, 1747, 699, 16, 78, "Input",ExpressionUUID->"1ab4623a-e127-4c0d-b27c-05de26d6f383"],
Cell[CellGroupData[{
Cell[70139, 1767, 306, 6, 46, "Input",ExpressionUUID->"3b31216a-f7b2-4dc4-85c1-a8fc11e3a2d2"],
Cell[70448, 1775, 1706, 24, 52, "Output",ExpressionUUID->"66e16661-4b15-43c9-a7c4-5003c2f94179"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72191, 1804, 318, 6, 46, "Input",ExpressionUUID->"cc186982-32b2-4800-b0b2-e0a3bcd11606"],
Cell[72512, 1812, 1704, 24, 52, "Output",ExpressionUUID->"8d9fbdfd-2e00-4e43-9517-aa2445c549a5"]
}, Open  ]],
Cell[74231, 1839, 336, 8, 122, "Text",ExpressionUUID->"cc99b068-b106-4f13-9332-dd94b2fec2b7"],
Cell[74570, 1849, 656, 15, 46, "Input",ExpressionUUID->"ecd94a12-680c-4dc7-9ee1-79606d0bae6e"],
Cell[75229, 1866, 489, 12, 46, "Input",ExpressionUUID->"d90d0d59-c527-4747-b9a3-994909863a56"],
Cell[75721, 1880, 170, 2, 53, "Text",ExpressionUUID->"471fd916-1bbd-48fc-8419-4b3313406a98"],
Cell[75894, 1884, 493, 13, 46, "Input",ExpressionUUID->"f5d3b03a-8c06-44a7-8541-238127521b85"],
Cell[CellGroupData[{
Cell[76412, 1901, 1125, 33, 149, "Input",ExpressionUUID->"97db50a1-6d89-45a3-8a87-183592702af9"],
Cell[77540, 1936, 7926, 215, 248, "Output",ExpressionUUID->"627cc60a-7e6b-4721-b7f1-3a29eb1a6bad"]
}, Open  ]],
Cell[85481, 2154, 914, 22, 46, "Input",ExpressionUUID->"cb063161-69f9-42fb-a403-64ecfacd08bf"],
Cell[86398, 2178, 1015, 20, 78, "Input",ExpressionUUID->"ef990419-52c6-4398-b59e-c1b6a6b3138a"],
Cell[87416, 2200, 386, 8, 53, "Text",ExpressionUUID->"c47ece52-0f0c-4618-ad69-8910368425b8"],
Cell[87805, 2210, 544, 12, 46, "Input",ExpressionUUID->"aa7f2348-f9a3-48aa-941f-1c7474ee0e47"],
Cell[CellGroupData[{
Cell[88374, 2226, 1374, 35, 159, "Input",ExpressionUUID->"96228a72-1ea2-47cf-bc9a-3be5d77f34ee"],
Cell[89751, 2263, 2456, 46, 142, "Output",ExpressionUUID->"c4991b85-cd04-49c9-9337-f0bc175d3103"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92244, 2314, 671, 17, 119, "Input",ExpressionUUID->"e09f7503-eb5a-4b58-8615-fba006e402c4"],
Cell[92918, 2333, 2610, 47, 142, "Output",ExpressionUUID->"2c11b805-fd9b-41c0-aace-a4e8a397a828"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95565, 2385, 629, 16, 119, "Input",ExpressionUUID->"adff5af2-880a-4c97-8019-cb6031306bf8"],
Cell[96197, 2403, 2672, 50, 142, "Output",ExpressionUUID->"153ec9b6-c881-4a0a-9bda-5cf9c19f0019"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98906, 2458, 590, 15, 119, "Input",ExpressionUUID->"dd948c32-a8c0-45f4-961e-c79688df8e36"],
Cell[99499, 2475, 2498, 46, 142, "Output",ExpressionUUID->"799c1249-e797-4773-adaa-1a3ccee9b166"]
}, Open  ]],
Cell[102012, 2524, 582, 15, 46, "Input",ExpressionUUID->"2595ab7f-f037-4da5-9f38-fb6c0046b9a4"],
Cell[CellGroupData[{
Cell[102619, 2543, 561, 15, 119, "Input",ExpressionUUID->"9e4cd4bc-99e7-4dc9-b7ad-6511c64ee937"],
Cell[103183, 2560, 1687, 23, 52, "Output",ExpressionUUID->"8e04eb5d-5297-4f05-984a-1e0f2c827c9c"]
}, Open  ]],
Cell[104885, 2586, 445, 11, 46, "Input",ExpressionUUID->"8e34c7f5-d4df-4ade-9d21-0f0e643eb3e8"],
Cell[CellGroupData[{
Cell[105355, 2601, 248, 5, 46, "Input",ExpressionUUID->"f5aa4efe-2aa8-4c2a-9309-b15def59e85f"],
Cell[105606, 2608, 1749, 25, 52, "Output",ExpressionUUID->"7ae53919-9f33-42d2-9892-2e9800e7b609"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107392, 2638, 201, 4, 46, "Input",ExpressionUUID->"a1d41917-e978-428b-823f-796be627044a"],
Cell[107596, 2644, 214, 3, 52, "Output",ExpressionUUID->"7db16f39-0eb5-4788-8cbf-143ad6fbcd69"]
}, Open  ]],
Cell[107825, 2650, 662, 12, 122, "Text",ExpressionUUID->"0f198aac-49f0-470a-8d70-5db0e25f6175"],
Cell[108490, 2664, 366, 7, 53, "Text",ExpressionUUID->"df308006-2b16-4357-ad58-f4c34fd532d5"],
Cell[108859, 2673, 779, 17, 46, "Input",ExpressionUUID->"5161118c-c095-4013-8df4-2b866c79366b"],
Cell[109641, 2692, 780, 22, 46, "Input",ExpressionUUID->"47ffbcef-18bb-4938-9b76-a90e3d2791fe"],
Cell[110424, 2716, 628, 15, 46, "Input",ExpressionUUID->"2ab90d7e-082f-4c1e-9aa3-d4aef81c73ce"],
Cell[111055, 2733, 911, 25, 46, "Input",ExpressionUUID->"e2f1ad98-fc9c-487d-857f-9418533fcb7b"],
Cell[111969, 2760, 1802, 52, 75, "Input",ExpressionUUID->"11b62151-5120-4592-abcf-aa2e5e615eb6"],
Cell[CellGroupData[{
Cell[113796, 2816, 241, 4, 46, "Input",ExpressionUUID->"fd0d8381-e0b0-481f-9ed9-3e3c7d761286"],
Cell[114040, 2822, 3079, 55, 220, "Output",ExpressionUUID->"8d34f922-7c92-4c82-9b3e-ec6dac5aeb77"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117156, 2882, 259, 5, 46, "Input",ExpressionUUID->"6a27a27a-f822-48ee-b7e5-f7dd0a92a5b9"],
Cell[117418, 2889, 28085, 737, 408, "Output",ExpressionUUID->"3dfedd31-626b-4157-8aef-50860e281276"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145540, 3631, 252, 5, 46, "Input",ExpressionUUID->"8bebf80c-4c49-4713-92c9-667907decaed"],
Cell[145795, 3638, 1793, 25, 52, "Output",ExpressionUUID->"2e8de6fe-e1b2-461d-ade4-70055375f810"]
}, Open  ]],
Cell[147603, 3666, 694, 12, 122, "Text",ExpressionUUID->"4953fca1-ef38-4074-856f-a77a53fdacbb"],
Cell[148300, 3680, 1171, 29, 46, "Input",ExpressionUUID->"32221d43-d00e-485c-a89e-dfc86329cc3f"],
Cell[149474, 3711, 550, 10, 46, "Input",ExpressionUUID->"64ac20f1-1494-4597-bce7-242e14faeeb6"],
Cell[150027, 3723, 669, 19, 85, "Input",ExpressionUUID->"02de8879-b56e-4b30-9b02-238e2f7e418f"],
Cell[150699, 3744, 694, 19, 85, "Input",ExpressionUUID->"b13d8cb7-44c4-4c84-b607-87027420c1cc"],
Cell[151396, 3765, 534, 15, 143, "Input",ExpressionUUID->"48ef4940-939f-401c-8471-463b87f90350"],
Cell[151933, 3782, 791, 21, 46, "Input",ExpressionUUID->"ccc1ff69-dcfe-427f-8bbc-a84c4d210fa1"],
Cell[152727, 3805, 648, 17, 46, "Input",ExpressionUUID->"557ee67d-8325-4fd4-b48a-d86fae3dc89e"],
Cell[153378, 3824, 1931, 50, 119, "Input",ExpressionUUID->"61ba7508-f282-481d-af9c-c853bae36bd8"],
Cell[155312, 3876, 1587, 43, 76, "Input",ExpressionUUID->"d827bfd6-7135-4cfc-a1f0-6d7488a6d6b0"],
Cell[156902, 3921, 1787, 48, 119, "Input",ExpressionUUID->"af96d28f-d6cc-43f7-ad95-2ea85548fc34"],
Cell[158692, 3971, 472, 10, 46, "Input",ExpressionUUID->"e4f3fe20-2d43-438e-a529-65d8c2f9dae5"],
Cell[159167, 3983, 419, 11, 46, "Input",ExpressionUUID->"0796e192-25d4-4394-87e5-3ea20c0f8c03"],
Cell[159589, 3996, 533, 13, 131, "Input",ExpressionUUID->"d3dc0c38-a0b7-4a31-a6ad-5322e1060e3d"],
Cell[CellGroupData[{
Cell[160147, 4013, 305, 6, 46, "Input",ExpressionUUID->"08a23797-220d-46a3-aa75-90473e67d21c"],
Cell[160455, 4021, 1572, 22, 52, "Output",ExpressionUUID->"8e97ec5c-8d20-441a-a5ef-fbbc841bc436"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162064, 4048, 285, 5, 46, "Input",ExpressionUUID->"48b91fa4-5642-4a38-bf85-496f6734581e"],
Cell[162352, 4055, 1571, 22, 52, "Output",ExpressionUUID->"5d4a2a15-b57c-47a0-a7fa-803d627658ce"]
}, Open  ]],
Cell[163938, 4080, 485, 10, 122, "Text",ExpressionUUID->"49a5a8ad-f2cd-421e-9111-663aa216628f"],
Cell[164426, 4092, 329, 7, 46, "Input",ExpressionUUID->"68f928a8-015a-450b-bc22-728b239e4b87"],
Cell[CellGroupData[{
Cell[164780, 4103, 228, 4, 46, "Input",ExpressionUUID->"c91fbee8-ae19-441c-9811-d0b5334ff09d"],
Cell[165011, 4109, 1672, 24, 52, "Output",ExpressionUUID->"6b71ede6-22e4-4c87-a35c-a62410e0d032"]
}, Open  ]],
Cell[166698, 4136, 554, 10, 122, "Text",ExpressionUUID->"a4fd914a-86e6-4928-b944-a84ff3d26b41"],
Cell[167255, 4148, 1960, 45, 115, "Input",ExpressionUUID->"bcff91be-f135-4803-8de6-197dea277e90"],
Cell[CellGroupData[{
Cell[169240, 4197, 409, 7, 46, "Input",ExpressionUUID->"7829ceed-0775-432a-bc44-acd8426f27d6"],
Cell[169652, 4206, 1915, 28, 52, "Output",ExpressionUUID->"5eba4141-4b74-46a7-bd9f-5e60f34dab00"]
}, Open  ]],
Cell[171582, 4237, 1538, 39, 115, "Input",ExpressionUUID->"88b66556-0fc0-4945-a3cb-fe1d88644ac9"],
Cell[CellGroupData[{
Cell[173145, 4280, 189, 4, 46, "Input",ExpressionUUID->"7676bf07-b6bc-4c7f-9537-440626e032aa"],
Cell[173337, 4286, 339, 6, 52, "Output",ExpressionUUID->"4514a95e-8e61-4eba-a033-1ba25abff577"]
}, Open  ]],
Cell[173691, 4295, 629, 13, 157, "Text",ExpressionUUID->"1383903c-024e-4837-aea2-04582c26568e"],
Cell[174323, 4310, 656, 16, 46, "Input",ExpressionUUID->"1d58866a-c01d-4bf3-86bb-6564304dbaaa"],
Cell[174982, 4328, 749, 19, 46, "Input",ExpressionUUID->"870bc56b-7117-42cf-91ae-a1908603ac91"],
Cell[175734, 4349, 1252, 33, 78, "Input",ExpressionUUID->"c49cf8cf-0655-4c2a-8484-43215330856b"],
Cell[176989, 4384, 843, 23, 46, "Input",ExpressionUUID->"647dc381-e556-4f42-95d3-246b78cc962c"],
Cell[177835, 4409, 443, 12, 46, "Input",ExpressionUUID->"2cf3f09d-83b1-4d66-89a0-7aa0d60c59ce"],
Cell[178281, 4423, 454, 11, 46, "Input",ExpressionUUID->"ad22965c-9728-48ba-8821-b6569f9aa35b"],
Cell[178738, 4436, 1016, 25, 46, "Input",ExpressionUUID->"2018476c-af0e-4b93-8bf0-479e5a7dc951"],
Cell[CellGroupData[{
Cell[179779, 4465, 312, 7, 46, "Input",ExpressionUUID->"e0e6dbfa-79ad-4776-aa70-b52e5d7c9a21"],
Cell[180094, 4474, 1882, 38, 220, "Output",ExpressionUUID->"65c6489a-2f0e-4667-9216-a2ba59c6d8db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182013, 4517, 243, 5, 46, "Input",ExpressionUUID->"45bbf0b6-1e9f-40b5-a37e-4df13d3f63b6"],
Cell[182259, 4524, 622, 9, 52, "Output",ExpressionUUID->"52e265f0-8741-4384-a074-92ff182891a4"]
}, Open  ]],
Cell[182896, 4536, 287, 7, 122, "Text",ExpressionUUID->"21f620da-de05-4e3f-b94e-42033e9c9a72"],
Cell[CellGroupData[{
Cell[183208, 4547, 206, 4, 46, "Input",ExpressionUUID->"fcce7550-ebcf-4def-b6a8-a5cec55c63d8"],
Cell[183417, 4553, 210, 4, 52, "Output",ExpressionUUID->"7630872d-4bd1-46c0-a796-812149e158f3"]
}, Open  ]],
Cell[183642, 4560, 272, 6, 46, "Input",ExpressionUUID->"df7870f5-0a73-4a25-a893-25ef330d435c"],
Cell[183917, 4568, 243, 5, 46, "Input",ExpressionUUID->"a30d4140-e339-4ce8-b195-59781eeb9503"],
Cell[184163, 4575, 234, 5, 46, "Input",ExpressionUUID->"e600f18b-4203-463a-8b97-910ada319169"],
Cell[184400, 4582, 181, 4, 46, "Input",ExpressionUUID->"f68a0548-4db7-45a3-a531-4bda8d526c66"],
Cell[184584, 4588, 161, 4, 46, "Input",ExpressionUUID->"c49dc9c6-e78a-445b-a9ee-6cf6b7bb058e"],
Cell[184748, 4594, 209, 5, 46, "Input",ExpressionUUID->"711a6c36-18b5-499f-9769-184a3d2261a9"],
Cell[184960, 4601, 366, 9, 46, "Input",ExpressionUUID->"5aeb2c71-5402-40e6-b1d7-cfb65c133f94"],
Cell[CellGroupData[{
Cell[185351, 4614, 593, 12, 109, "Input",ExpressionUUID->"398896cd-3ae9-4d20-a282-a0ea4f7536ab"],
Cell[185947, 4628, 3040, 61, 284, "Output",ExpressionUUID->"bb05e123-3130-4be0-904a-49fd3fbf4e42"]
}, Open  ]],
Cell[189002, 4692, 256, 6, 46, "Input",ExpressionUUID->"dde32f9c-bc2f-42f7-a990-431ea39ea456"],
Cell[189261, 4700, 320, 7, 46, "Input",ExpressionUUID->"795d9aa1-27cf-4318-b3c4-13ee2438ec6c"],
Cell[CellGroupData[{
Cell[189606, 4711, 323, 6, 46, "Input",ExpressionUUID->"b6450717-9ca8-4b5f-89f6-02ee9afba2f1"],
Cell[189932, 4719, 1660, 25, 52, "Output",ExpressionUUID->"b8ff52f4-04ae-4925-9807-df281928773a"]
}, Open  ]],
Cell[191607, 4747, 256, 6, 46, "Input",ExpressionUUID->"978ed112-c8e7-4b06-bcef-e69f58ef40c6"],
Cell[191866, 4755, 250, 6, 46, "Input",ExpressionUUID->"4acb3a1d-80a1-4ca1-a53f-594d01818261"],
Cell[192119, 4763, 2032, 46, 264, "Input",ExpressionUUID->"c07e1277-4f4d-4d96-acf2-54bb2550e456"],
Cell[194154, 4811, 175, 4, 46, "Input",ExpressionUUID->"95f14714-8fff-4e85-bc55-c27b1dc15dfd"],
Cell[194332, 4817, 188, 5, 46, "Input",ExpressionUUID->"264f7820-96fc-4e28-899b-348efcd3c05e"],
Cell[194523, 4824, 329, 7, 46, "Input",ExpressionUUID->"c79e98fd-92b5-488d-a67d-a3b2ddbc1218"],
Cell[194855, 4833, 2663, 59, 512, "Input",ExpressionUUID->"ccc09f0a-1fa9-4683-913b-b264741cebae"],
Cell[CellGroupData[{
Cell[197543, 4896, 241, 5, 46, "Input",ExpressionUUID->"420ffc15-4289-432b-a6da-d0133bd8e9c5"],
Cell[197787, 4903, 1132, 19, 52, "Output",ExpressionUUID->"0551c71c-dc03-4598-a045-cb42431033dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[198956, 4927, 323, 7, 46, "Input",ExpressionUUID->"c462bf70-22f4-494f-a0a1-455fe816aca7"],
Cell[199282, 4936, 930, 17, 52, "Output",ExpressionUUID->"696de3db-8218-4af5-8949-b5fd41e8d3e7"]
}, Open  ]],
Cell[200227, 4956, 467, 13, 46, "Input",ExpressionUUID->"da95b402-e76d-4895-8ba3-17d22c96914b"],
Cell[CellGroupData[{
Cell[200719, 4973, 466, 12, 46, "Input",ExpressionUUID->"3ef05e3d-763d-47ec-a60e-6a45f506a7ea"],
Cell[201188, 4987, 785, 12, 52, "Output",ExpressionUUID->"5096e929-2670-451f-ad04-c55b9cb4f106"]
}, Open  ]],
Cell[201988, 5002, 222, 5, 53, "Text",ExpressionUUID->"df4cf886-3073-4e99-944a-d897c5bd2d53"],
Cell[CellGroupData[{
Cell[202235, 5011, 479, 10, 46, "Input",ExpressionUUID->"f24c0d4a-d87a-418e-92da-2713fc7ec9f6"],
Cell[202717, 5023, 2297, 41, 220, "Output",ExpressionUUID->"51da869f-3f81-4f32-9f65-c1689b046137"]
}, Open  ]],
Cell[205029, 5067, 168, 4, 46, "Input",ExpressionUUID->"a986fdf4-843a-4e9a-97a1-6c2d0061616a"],
Cell[205200, 5073, 166, 4, 46, "Input",ExpressionUUID->"452b71f2-4c77-4b49-a62b-65697bfc39ab"],
Cell[205369, 5079, 161, 4, 46, "Input",ExpressionUUID->"28926a52-abab-4997-8a43-6f67ef391be1"],
Cell[CellGroupData[{
Cell[205555, 5087, 534, 13, 78, "Input",ExpressionUUID->"f1b738ad-bdfd-4fc0-a358-508a3625c1e9"],
Cell[206092, 5102, 1150, 19, 52, "Output",ExpressionUUID->"edbcfa9b-2504-4d76-913a-818302b75a35"]
}, Open  ]],
Cell[207257, 5124, 227, 6, 46, "Input",ExpressionUUID->"4eb29d91-b513-4c41-bc69-11c5813023b9"],
Cell[207487, 5132, 654, 12, 46, "Input",ExpressionUUID->"80f2b1d2-7a7c-4e9d-8df7-222937adebd9"],
Cell[208144, 5146, 250, 6, 46, "Input",ExpressionUUID->"796848e7-ac04-4178-aa62-001e7567706a"],
Cell[208397, 5154, 352, 8, 46, "Input",ExpressionUUID->"26f15997-3ce6-4ebc-ad5e-ea78615ca01d"],
Cell[CellGroupData[{
Cell[208774, 5166, 189, 4, 46, "Input",ExpressionUUID->"1ae9e2eb-55b8-4a6f-82f9-a58744feed8e"],
Cell[208966, 5172, 231, 4, 52, "Output",ExpressionUUID->"3bc42c73-c839-4298-9234-b0c94e3408a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[209234, 5181, 2190, 47, 357, "Input",ExpressionUUID->"2a253f1b-55c0-4201-90b3-d6d1e3f8c71d"],
Cell[CellGroupData[{
Cell[211449, 5232, 623, 10, 36, "Print",ExpressionUUID->"5218dbee-945c-4098-8e28-eeafcca3cf70"],
Cell[212075, 5244, 623, 10, 36, "Print",ExpressionUUID->"7bb67885-04d5-4f6c-9d86-b59165867e83"],
Cell[212701, 5256, 623, 10, 36, "Print",ExpressionUUID->"219592a8-88fd-42b7-970b-458338f86f7b"],
Cell[213327, 5268, 625, 10, 36, "Print",ExpressionUUID->"cab29605-d2a6-4876-8910-e2d2b4b1b7fb"],
Cell[213955, 5280, 622, 10, 36, "Print",ExpressionUUID->"9fe96ee3-c47b-4d4b-bf62-c620dc9feccc"],
Cell[214580, 5292, 623, 10, 36, "Print",ExpressionUUID->"7782ec2c-7b55-4ee8-85b1-800b2d52fbea"],
Cell[215206, 5304, 623, 10, 36, "Print",ExpressionUUID->"3190f782-01fe-46b7-bc4a-8fb34cafd675"],
Cell[215832, 5316, 625, 10, 36, "Print",ExpressionUUID->"35fb1c6a-82e7-4b52-b8ae-3ff9150ebfe8"],
Cell[216460, 5328, 623, 10, 36, "Print",ExpressionUUID->"d7db7cdd-42c5-4115-b317-ecb4b0e1983e"],
Cell[217086, 5340, 624, 10, 36, "Print",ExpressionUUID->"d6dc3b35-0dc9-4a35-83f3-f937ce8ae192"],
Cell[217713, 5352, 624, 10, 36, "Print",ExpressionUUID->"925f953c-406e-4e76-ba3a-f8a9a99490d4"],
Cell[218340, 5364, 626, 10, 36, "Print",ExpressionUUID->"4973024a-d027-421c-8c26-395b5a1e7d4f"],
Cell[218969, 5376, 626, 10, 36, "Print",ExpressionUUID->"5f5d4554-2b38-4f89-83bb-a4c51b47df4c"],
Cell[219598, 5388, 624, 10, 36, "Print",ExpressionUUID->"fc3785ea-e1a0-4377-9ca7-053bd24848e8"],
Cell[220225, 5400, 624, 10, 36, "Print",ExpressionUUID->"1208083b-1cad-4235-96d6-5e88bf9e8f0b"],
Cell[220852, 5412, 623, 10, 36, "Print",ExpressionUUID->"1b50fdc4-782a-41e2-ae2f-cd4fe4da007f"],
Cell[221478, 5424, 626, 10, 36, "Print",ExpressionUUID->"b4ca6a75-e497-41d0-842d-4d42432ee480"],
Cell[222107, 5436, 624, 10, 36, "Print",ExpressionUUID->"da30344b-3868-4818-b697-8ede0147aa46"],
Cell[222734, 5448, 626, 10, 36, "Print",ExpressionUUID->"21aa6148-2522-4aa2-92ff-b5488928f73a"],
Cell[223363, 5460, 626, 10, 36, "Print",ExpressionUUID->"eeb4dcf4-ab31-41e1-8054-4160365fccf1"],
Cell[223992, 5472, 624, 10, 36, "Print",ExpressionUUID->"f849ab6f-7d2e-4f1c-90a1-89f871d669b0"],
Cell[224619, 5484, 623, 10, 36, "Print",ExpressionUUID->"66ed49ef-9a3c-4816-a10a-05cf0c71b4cc"],
Cell[225245, 5496, 623, 10, 36, "Print",ExpressionUUID->"e5c9c74e-a73f-4c3a-b543-ee2bb9e9f5e1"],
Cell[225871, 5508, 624, 10, 36, "Print",ExpressionUUID->"e545f107-ba10-4cfd-933e-ad43f50755be"],
Cell[226498, 5520, 626, 10, 36, "Print",ExpressionUUID->"a2a17706-396d-431c-a67f-aa524e0651c6"],
Cell[227127, 5532, 623, 10, 36, "Print",ExpressionUUID->"eb4484bf-349f-4656-927a-3330c30d7069"],
Cell[227753, 5544, 624, 10, 36, "Print",ExpressionUUID->"46d7e1b4-39f1-4aea-8f8f-2b72b89c82d6"],
Cell[228380, 5556, 624, 10, 36, "Print",ExpressionUUID->"4aa73458-c6a8-42ab-a475-2f008ae14427"],
Cell[229007, 5568, 626, 10, 36, "Print",ExpressionUUID->"fa5e27ec-88ff-4a2b-bba3-908486125bc3"],
Cell[229636, 5580, 624, 10, 36, "Print",ExpressionUUID->"70cfd3c8-996a-4df3-a400-a056432cb9f1"]
}, Open  ]]
}, Open  ]],
Cell[230287, 5594, 182, 5, 46, "Input",ExpressionUUID->"e957647e-3892-473d-98a9-a03f95741ede"],
Cell[230472, 5601, 263, 6, 46, "Input",ExpressionUUID->"251be707-acf5-4de5-9284-51e4f7aa49a1"],
Cell[230738, 5609, 793, 20, 140, "Input",ExpressionUUID->"05e33d30-f05c-47e1-9866-867c1de4c216"],
Cell[CellGroupData[{
Cell[231556, 5633, 312, 7, 46, "Input",ExpressionUUID->"e1f96fb1-80e6-4b4d-8a50-aa6ec24c14fd"],
Cell[231871, 5642, 274, 5, 52, "Output",ExpressionUUID->"68173042-8451-4c48-8ab2-4016f3445851"]
}, Open  ]],
Cell[232160, 5650, 161, 3, 53, "Text",ExpressionUUID->"b37db22e-4384-41fe-b284-0b450121dd15"],
Cell[CellGroupData[{
Cell[232346, 5657, 704, 15, 46, "Input",ExpressionUUID->"1c1c5828-2de7-41c8-8471-7e34c0bc3f1b"],
Cell[233053, 5674, 1148, 18, 52, "Output",ExpressionUUID->"7e8cabe0-61a2-4eab-87d3-8be70facca8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[234238, 5697, 1436, 39, 109, "Input",ExpressionUUID->"8b33df52-0bf7-4d22-89d9-ec8685cc1e7a"],
Cell[235677, 5738, 1626, 32, 115, "Output",ExpressionUUID->"f7629a05-7332-4254-ad7b-418c1aaac125"]
}, Open  ]],
Cell[237318, 5773, 720, 19, 46, "Input",ExpressionUUID->"cc8213db-d2e0-4f4e-9430-186335ca4b56"],
Cell[238041, 5794, 1683, 34, 84, "Input",ExpressionUUID->"662c289e-3364-4337-8827-e9cd74b45e19"],
Cell[239727, 5830, 277, 6, 53, "Text",ExpressionUUID->"ea6b7d41-9886-44d0-b77b-123a9bdb3b5a"],
Cell[240007, 5838, 1724, 41, 202, "Input",ExpressionUUID->"15f50b8b-4493-4a4a-8939-5c86c14cf2ac"],
Cell[CellGroupData[{
Cell[241756, 5883, 393, 8, 46, "Input",ExpressionUUID->"e9adc626-3010-49a3-8668-4a0de615257d"],
Cell[242152, 5893, 266, 4, 52, "Output",ExpressionUUID->"aae14bc5-813b-4989-a2e3-904a88fda48a"]
}, Open  ]],
Cell[242433, 5900, 325, 7, 46, "Input",ExpressionUUID->"90292a8d-2f74-4d29-9b42-dc215d5a749f"],
Cell[CellGroupData[{
Cell[242783, 5911, 249, 5, 46, "Input",ExpressionUUID->"b86cbc1d-9ed2-41e0-9b70-f9a4646074b0"],
Cell[243035, 5918, 849, 13, 52, "Output",ExpressionUUID->"47c373a5-28e9-478b-9948-9756a35715f9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[243921, 5936, 414, 8, 46, "Input",ExpressionUUID->"acd5be42-af72-4f2f-88ef-50b77068df90"],
Cell[244338, 5946, 899, 14, 52, "Output",ExpressionUUID->"c3863c0a-bf85-4b8c-985a-817d60820107"]
}, Open  ]],
Cell[245252, 5963, 741, 19, 78, "Input",ExpressionUUID->"90b20933-0ecf-49b2-b280-210ec136f9d9"],
Cell[CellGroupData[{
Cell[246018, 5986, 462, 8, 46, "Input",ExpressionUUID->"2427682b-665e-43d4-98d0-8635c96d43c4"],
Cell[246483, 5996, 908, 13, 52, "Output",ExpressionUUID->"9dd73168-c910-4512-9805-5bfd0ac8c291"]
}, Open  ]],
Cell[247406, 6012, 699, 18, 78, "Input",ExpressionUUID->"f362d3a2-22d7-4945-b581-07f55447118f"],
Cell[248108, 6032, 1136, 21, 109, "Input",ExpressionUUID->"811d5d7e-8f16-4a18-a124-55269c7a15c7"],
Cell[CellGroupData[{
Cell[249269, 6057, 213, 4, 46, "Input",ExpressionUUID->"a6d593f6-eadb-4b15-aa95-5340755d1556"],
Cell[249485, 6063, 557, 9, 52, "Output",ExpressionUUID->"11d30b9b-60b6-414c-bfaf-b7db8bcfd87e"]
}, Open  ]],
Cell[250057, 6075, 824, 19, 46, "Input",ExpressionUUID->"7dc4c7da-6bc7-4c2e-a8d8-895b40aa2859"],
Cell[CellGroupData[{
Cell[250906, 6098, 485, 10, 46, "Input",ExpressionUUID->"2aeda307-1e74-48c1-b01d-44bbdb8b3df0"],
Cell[251394, 6110, 3376, 74, 368, "Output",ExpressionUUID->"24d07bee-3cde-4dfb-b282-8a9fe74e401a"]
}, Open  ]],
Cell[254785, 6187, 177, 3, 46, "Input",ExpressionUUID->"c2a751d9-3b03-4550-9cdf-a2cf50e97a4b"],
Cell[254965, 6192, 253, 6, 46, "Input",ExpressionUUID->"055985e9-3d02-4fc4-86ed-ab686933101b"],
Cell[CellGroupData[{
Cell[255243, 6202, 145, 3, 46, "Input",ExpressionUUID->"d156d2c7-a0c2-4f6d-b6bf-d7e8c0a30e25"],
Cell[255391, 6207, 391, 6, 52, "Output",ExpressionUUID->"94c494d2-0978-4011-9a4f-372bfce7ecf5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[255819, 6218, 315, 6, 46, "Input",ExpressionUUID->"03b45481-c98b-4489-8efd-6e3ca7ba985d"],
Cell[256137, 6226, 530, 8, 52, "Output",ExpressionUUID->"be63a0ab-a37a-49f3-8aa6-7aaa697f07d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256704, 6239, 913, 18, 78, "Input",ExpressionUUID->"b4f0798a-24a8-4f5f-9599-0d48a369822d"],
Cell[257620, 6259, 108176, 2265, 486, "Output",ExpressionUUID->"d1f6a1a2-4dcb-45c6-b6ab-1514315e1a53"]
}, Open  ]],
Cell[365811, 8527, 211, 4, 46, "Input",ExpressionUUID->"5e1ff223-fe65-4214-b925-095af695d473"],
Cell[CellGroupData[{
Cell[366047, 8535, 993, 25, 78, "Input",ExpressionUUID->"bc812367-2d0c-44a7-bd97-70eb811db40d"],
Cell[367043, 8562, 106280, 2236, 357, "Output",ExpressionUUID->"d1ca86df-0080-4032-bfbf-0bd08bad721b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[473360, 10803, 411, 10, 46, "Input",ExpressionUUID->"df289eff-b108-44f4-a6fb-c484e83d83c8"],
Cell[473774, 10815, 905, 17, 52, "Output",ExpressionUUID->"31c80eed-065c-4315-9e30-4b739a205f83"]
}, Open  ]],
Cell[474694, 10835, 1225, 28, 46, "Input",ExpressionUUID->"12c0eba4-5b61-4869-a994-d1e0bc87aca7"],
Cell[CellGroupData[{
Cell[475944, 10867, 216, 4, 46, "Input",ExpressionUUID->"225cffbc-5dab-4909-9806-8ca974ee53bf"],
Cell[476163, 10873, 7374, 119, 480, "Output",ExpressionUUID->"1f313406-6a3c-4839-ac5a-41b7ad298669"]
}, Open  ]],
Cell[CellGroupData[{
Cell[483574, 10997, 747, 18, 46, "Input",ExpressionUUID->"353333ea-6098-45ad-bc61-b4bbd46a3986"],
Cell[484324, 11017, 6943, 122, 402, "Output",ExpressionUUID->"a2491d1d-4d9c-4f56-936b-503accbc02ce"]
}, Open  ]],
Cell[CellGroupData[{
Cell[491304, 11144, 1074, 26, 46, "Input",ExpressionUUID->"0f7c4819-a730-4086-a469-349a0c12fcb4"],
Cell[492381, 11172, 977, 17, 52, "Output",ExpressionUUID->"5e96d258-dcb9-4f65-b334-058268533b33"]
}, Open  ]],
Cell[CellGroupData[{
Cell[493395, 11194, 277, 6, 46, "Input",ExpressionUUID->"f38da939-3fa9-4c49-86b7-06bd53b653f6"],
Cell[493675, 11202, 7709, 123, 506, "Output",ExpressionUUID->"2ef9d174-84c4-4c7d-834b-6373d9512886"]
}, Open  ]],
Cell[CellGroupData[{
Cell[501421, 11330, 686, 19, 46, "Input",ExpressionUUID->"df8fc2b2-38a8-41dc-8668-c88697e80dc3"],
Cell[502110, 11351, 35806, 1306, 532, "Output",ExpressionUUID->"795192c2-d021-4018-a48a-d11a8bfc3a74"]
}, Open  ]],
Cell[CellGroupData[{
Cell[537953, 12662, 740, 19, 46, "Input",ExpressionUUID->"8b040001-a277-408f-a633-11aa341ae0d9"],
Cell[538696, 12683, 410, 6, 52, "Output",ExpressionUUID->"6933f16e-6135-4d8d-805e-475adde31f82"]
}, Open  ]],
Cell[CellGroupData[{
Cell[539143, 12694, 488, 12, 46, "Input",ExpressionUUID->"0e510eba-43f0-46a1-9e8e-65f025f1804c"],
Cell[539634, 12708, 1779, 35, 416, "Output",ExpressionUUID->"81348232-96c3-43bc-951a-20c44197c188"]
}, Open  ]]
}
]
*)

